use super::map::MIME_MAP;

#[derive(Clone, Copy, Debug, PartialEq, Eq, PartialOrd, Ord)]
/// An Enum of all Mime types
pub enum Mime {
    Application1dInterleavedParityfec,
    Application3gpdashQoeReportXml,
    Application3gpphalJson,
    Application3gpphalformsJson,
    Application3gppImsXml,
    ApplicationA2l,
    ApplicationAceCbor,
    ApplicationAceJson,
    ApplicationActivemessage,
    ApplicationActivityJson,
    ApplicationAifCbor,
    ApplicationAifJson,
    ApplicationAltoCdniJson,
    ApplicationAltoCdnifilterJson,
    ApplicationAltoCostmapJson,
    ApplicationAltoCostmapfilterJson,
    ApplicationAltoDirectoryJson,
    ApplicationAltoEndpointpropJson,
    ApplicationAltoEndpointpropparamsJson,
    ApplicationAltoEndpointcostJson,
    ApplicationAltoEndpointcostparamsJson,
    ApplicationAltoErrorJson,
    ApplicationAltoNetworkmapfilterJson,
    ApplicationAltoNetworkmapJson,
    ApplicationAltoPropmapJson,
    ApplicationAltoPropmapparamsJson,
    ApplicationAltoUpdatestreamcontrolJson,
    ApplicationAltoUpdatestreamparamsJson,
    ApplicationAml,
    ApplicationAndrewInset,
    ApplicationApplefile,
    ApplicationAtJwt,
    ApplicationAtf,
    ApplicationAtfx,
    ApplicationAtomXml,
    ApplicationAtomcatXml,
    ApplicationAtomdeletedXml,
    ApplicationAtomicmail,
    ApplicationAtomsvcXml,
    ApplicationAtscDwdXml,
    ApplicationAtscDynamicEventMessage,
    ApplicationAtscHeldXml,
    ApplicationAtscRdtJson,
    ApplicationAtscRsatXml,
    ApplicationAtxml,
    ApplicationAuthPolicyXml,
    ApplicationAutomationmlAmlXml,
    ApplicationAutomationmlAmlxZip,
    ApplicationBacnetXddZip,
    ApplicationBatchSmtp,
    ApplicationBeepXml,
    ApplicationCalendarJson,
    ApplicationCalendarXml,
    ApplicationCallCompletion,
    ApplicationCals1840,
    ApplicationCaptiveJson,
    ApplicationCbor,
    ApplicationCborSeq,
    ApplicationCccex,
    ApplicationCcmpXml,
    ApplicationCcxmlXml,
    ApplicationCdaXml,
    ApplicationCdfxXml,
    ApplicationCdmiCapability,
    ApplicationCdmiContainer,
    ApplicationCdmiDomain,
    ApplicationCdmiObject,
    ApplicationCdmiQueue,
    ApplicationCdni,
    ApplicationCea,
    ApplicationCea2018Xml,
    ApplicationCellmlXml,
    ApplicationCfw,
    ApplicationCityJson,
    ApplicationClr,
    ApplicationClueInfoXml,
    ApplicationClueXml,
    ApplicationCms,
    ApplicationCnrpXml,
    ApplicationCoapGroupJson,
    ApplicationCoapPayload,
    ApplicationCommonground,
    ApplicationConciseProblemDetailsCbor,
    ApplicationConferenceInfoXml,
    ApplicationCplXml,
    ApplicationCose,
    ApplicationCoseKey,
    ApplicationCoseKeySet,
    ApplicationCoseX509,
    ApplicationCsrattrs,
    ApplicationCstaXml,
    ApplicationCstadataXml,
    ApplicationCsvmJson,
    ApplicationCwl,
    ApplicationCwlJson,
    ApplicationCwt,
    ApplicationCybercash,
    ApplicationDashXml,
    ApplicationDashPatchXml,
    ApplicationDashdelta,
    ApplicationDavmountXml,
    ApplicationDcaRft,
    ApplicationDcd,
    ApplicationDecDx,
    ApplicationDialogInfoXml,
    ApplicationDicom,
    ApplicationDicomJson,
    ApplicationDicomXml,
    ApplicationDii,
    ApplicationDit,
    ApplicationDns,
    ApplicationDnsJson,
    ApplicationDnsMessage,
    ApplicationDotsCbor,
    ApplicationDpopJwt,
    ApplicationDskppXml,
    ApplicationDsscDer,
    ApplicationDsscXml,
    ApplicationDvcs,
    ApplicationEdiConsent,
    ApplicationEdifact,
    ApplicationEdiX12,
    ApplicationEfi,
    ApplicationElmJson,
    ApplicationElmXml,
    ApplicationEmergencycalldataCapXml,
    ApplicationEmergencycalldataCommentXml,
    ApplicationEmergencycalldataControlXml,
    ApplicationEmergencycalldataDeviceinfoXml,
    ApplicationEmergencycalldataEcallMsd,
    ApplicationEmergencycalldataLegacyesnJson,
    ApplicationEmergencycalldataProviderinfoXml,
    ApplicationEmergencycalldataServiceinfoXml,
    ApplicationEmergencycalldataSubscriberinfoXml,
    ApplicationEmergencycalldataVedsXml,
    ApplicationEmmaXml,
    ApplicationEmotionmlXml,
    ApplicationEncaprtp,
    ApplicationEppXml,
    ApplicationEpubZip,
    ApplicationEshop,
    ApplicationExample,
    ApplicationExi,
    ApplicationExpectCtReportJson,
    ApplicationExpress,
    ApplicationFastinfoset,
    ApplicationFastsoap,
    ApplicationFdf,
    ApplicationFdtXml,
    ApplicationFhirJson,
    ApplicationFhirXml,
    ApplicationFits,
    ApplicationFlexfec,
    ApplicationFontTdpfr,
    ApplicationFrameworkAttributesXml,
    ApplicationGeoJson,
    ApplicationGeoJsonSeq,
    ApplicationGeopackageSqlite3,
    ApplicationGeoxacmlXml,
    ApplicationGltfBuffer,
    ApplicationGmlXml,
    ApplicationGzip,
    ApplicationH224,
    ApplicationHeldXml,
    ApplicationHl7v2Xml,
    ApplicationHttp,
    ApplicationHyperstudio,
    ApplicationIbeKeyRequestXml,
    ApplicationIbePkgReplyXml,
    ApplicationIbePpData,
    ApplicationIges,
    ApplicationImIscomposingXml,
    ApplicationIndex,
    ApplicationIndexCmd,
    ApplicationIndexObj,
    ApplicationIndexResponse,
    ApplicationIndexVnd,
    ApplicationInkmlXml,
    ApplicationIotp,
    ApplicationIpfix,
    ApplicationIpp,
    ApplicationIsup,
    ApplicationItsXml,
    ApplicationJavaArchive,
    ApplicationJf2feedJson,
    ApplicationJose,
    ApplicationJoseJson,
    ApplicationJrdJson,
    ApplicationJscalendarJson,
    ApplicationJson,
    ApplicationJsonPatchJson,
    ApplicationJsonSeq,
    ApplicationJwkJson,
    ApplicationJwkSetJson,
    ApplicationJwt,
    ApplicationKpmlRequestXml,
    ApplicationKpmlResponseXml,
    ApplicationLdJson,
    ApplicationLgrXml,
    ApplicationLinkFormat,
    ApplicationLinkset,
    ApplicationLinksetJson,
    ApplicationLoadControlXml,
    ApplicationLogoutJwt,
    ApplicationLostXml,
    ApplicationLostsyncXml,
    ApplicationLpfZip,
    ApplicationLxf,
    ApplicationMacBinhex40,
    ApplicationMacwriteii,
    ApplicationMadsXml,
    ApplicationManifestJson,
    ApplicationMarc,
    ApplicationMarcxmlXml,
    ApplicationMathematica,
    ApplicationMathmlXml,
    ApplicationMathmlContentXml,
    ApplicationMathmlPresentationXml,
    ApplicationMbmsAssociatedProcedureDescriptionXml,
    ApplicationMbmsDeregisterXml,
    ApplicationMbmsEnvelopeXml,
    ApplicationMbmsMskResponseXml,
    ApplicationMbmsMskXml,
    ApplicationMbmsProtectionDescriptionXml,
    ApplicationMbmsReceptionReportXml,
    ApplicationMbmsRegisterResponseXml,
    ApplicationMbmsRegisterXml,
    ApplicationMbmsScheduleXml,
    ApplicationMbmsUserServiceDescriptionXml,
    ApplicationMbox,
    ApplicationMediaControlXml,
    ApplicationMediaPolicyDatasetXml,
    ApplicationMediaservercontrolXml,
    ApplicationMergePatchJson,
    ApplicationMetalink4Xml,
    ApplicationMetsXml,
    ApplicationMf4,
    ApplicationMikey,
    ApplicationMipc,
    ApplicationMissingBlocksCborSeq,
    ApplicationMmtAeiXml,
    ApplicationMmtUsdXml,
    ApplicationModsXml,
    ApplicationMossKeys,
    ApplicationMossSignature,
    ApplicationMosskeyData,
    ApplicationMosskeyRequest,
    ApplicationMp21,
    ApplicationMp4,
    ApplicationMpeg4Generic,
    ApplicationMpeg4Iod,
    ApplicationMpeg4IodXmt,
    ApplicationMrbConsumerXml,
    ApplicationMrbPublishXml,
    ApplicationMscIvrXml,
    ApplicationMscMixerXml,
    ApplicationMsword,
    ApplicationMudJson,
    ApplicationMultipartCore,
    ApplicationMxf,
    ApplicationNQuads,
    ApplicationNTriples,
    ApplicationNasdata,
    ApplicationNewsCheckgroups,
    ApplicationNewsGroupinfo,
    ApplicationNewsTransmission,
    ApplicationNlsmlXml,
    ApplicationNode,
    ApplicationNss,
    ApplicationOauthAuthzReqJwt,
    ApplicationObliviousDnsMessage,
    ApplicationOcspRequest,
    ApplicationOcspResponse,
    ApplicationOctetStream,
    ApplicationOda,
    ApplicationOdmXml,
    ApplicationOdx,
    ApplicationOebpsPackageXml,
    ApplicationOgg,
    ApplicationOhttpKeys,
    ApplicationOpcNodesetXml,
    ApplicationOscore,
    ApplicationOxps,
    ApplicationP21,
    ApplicationP21Zip,
    ApplicationP2pOverlayXml,
    ApplicationParityfec,
    ApplicationPassport,
    ApplicationPatchOpsErrorXml,
    ApplicationPdf,
    ApplicationPdx,
    ApplicationPemCertificateChain,
    ApplicationPgpEncrypted,
    ApplicationPgpKeys,
    ApplicationPgpSignature,
    ApplicationPidfDiffXml,
    ApplicationPidfXml,
    ApplicationPkcs10,
    ApplicationPkcs7Mime,
    ApplicationPkcs7Signature,
    ApplicationPkcs8,
    ApplicationPkcs8Encrypted,
    ApplicationPkcs12,
    ApplicationPkixAttrCert,
    ApplicationPkixCert,
    ApplicationPkixCrl,
    ApplicationPkixPkipath,
    ApplicationPkixcmp,
    ApplicationPlsXml,
    ApplicationPocSettingsXml,
    ApplicationPostscript,
    ApplicationPpspTrackerJson,
    ApplicationProblemJson,
    ApplicationProblemXml,
    ApplicationProvenanceXml,
    ApplicationPrsAlvestrandTitraxSheet,
    ApplicationPrsCww,
    ApplicationPrsCyn,
    ApplicationPrsHpubZip,
    ApplicationPrsImpliedDocumentXml,
    ApplicationPrsImpliedExecutable,
    ApplicationPrsImpliedStructure,
    ApplicationPrsNprend,
    ApplicationPrsPlucker,
    ApplicationPrsRdfXmlCrypt,
    ApplicationPrsXsfXml,
    ApplicationPskcXml,
    ApplicationPvdJson,
    ApplicationRdfXml,
    ApplicationRouteApdXml,
    ApplicationRouteSTsidXml,
    ApplicationRouteUsdXml,
    ApplicationQsig,
    ApplicationRaptorfec,
    ApplicationRdapJson,
    ApplicationReginfoXml,
    ApplicationRelaxNgCompactSyntax,
    ApplicationReputonJson,
    ApplicationResourceListsDiffXml,
    ApplicationResourceListsXml,
    ApplicationRfcXml,
    ApplicationRiscos,
    ApplicationRlmiXml,
    ApplicationRlsServicesXml,
    ApplicationRpkiChecklist,
    ApplicationRpkiGhostbusters,
    ApplicationRpkiManifest,
    ApplicationRpkiPublication,
    ApplicationRpkiRoa,
    ApplicationRpkiUpdown,
    ApplicationRtf,
    ApplicationRtploopback,
    ApplicationRtx,
    ApplicationSamlassertionXml,
    ApplicationSamlmetadataXml,
    ApplicationSarifExternalPropertiesJson,
    ApplicationSarifJson,
    ApplicationSbe,
    ApplicationSbmlXml,
    ApplicationScaipXml,
    ApplicationScimJson,
    ApplicationScvpCvRequest,
    ApplicationScvpCvResponse,
    ApplicationScvpVpRequest,
    ApplicationScvpVpResponse,
    ApplicationSdp,
    ApplicationSeceventJwt,
    ApplicationSenmlEtchCbor,
    ApplicationSenmlEtchJson,
    ApplicationSenmlExi,
    ApplicationSenmlCbor,
    ApplicationSenmlJson,
    ApplicationSenmlXml,
    ApplicationSensmlExi,
    ApplicationSensmlCbor,
    ApplicationSensmlJson,
    ApplicationSensmlXml,
    ApplicationSepExi,
    ApplicationSepXml,
    ApplicationSessionInfo,
    ApplicationSetPayment,
    ApplicationSetPaymentInitiation,
    ApplicationSetRegistration,
    ApplicationSetRegistrationInitiation,
    ApplicationSgml,
    ApplicationSgmlOpenCatalog,
    ApplicationShfXml,
    ApplicationSieve,
    ApplicationSimpleFilterXml,
    ApplicationSimpleMessageSummary,
    ApplicationSimplesymbolcontainer,
    ApplicationSipc,
    ApplicationSlate,
    ApplicationSmilXml,
    ApplicationSmpte336m,
    ApplicationSoapFastinfoset,
    ApplicationSoapXml,
    ApplicationSparqlQuery,
    ApplicationSpdxJson,
    ApplicationSparqlResultsXml,
    ApplicationSpiritsEventXml,
    ApplicationSql,
    ApplicationSrgs,
    ApplicationSrgsXml,
    ApplicationSruXml,
    ApplicationSsmlXml,
    ApplicationStixJson,
    ApplicationSwidCbor,
    ApplicationSwidXml,
    ApplicationTampApexUpdate,
    ApplicationTampApexUpdateConfirm,
    ApplicationTampCommunityUpdate,
    ApplicationTampCommunityUpdateConfirm,
    ApplicationTampError,
    ApplicationTampSequenceAdjust,
    ApplicationTampSequenceAdjustConfirm,
    ApplicationTampStatusQuery,
    ApplicationTampStatusResponse,
    ApplicationTampUpdate,
    ApplicationTampUpdateConfirm,
    ApplicationTaxiiJson,
    ApplicationTdJson,
    ApplicationTeiXml,
    ApplicationTetraIsi,
    ApplicationThraudXml,
    ApplicationTimestampQuery,
    ApplicationTimestampReply,
    ApplicationTimestampedData,
    ApplicationTlsrptGzip,
    ApplicationTlsrptJson,
    ApplicationTmJson,
    ApplicationTnauthlist,
    ApplicationTokenIntrospectionJwt,
    ApplicationTrickleIceSdpfrag,
    ApplicationTrig,
    ApplicationTtmlXml,
    ApplicationTveTrigger,
    ApplicationTzif,
    ApplicationTzifLeap,
    ApplicationUlpfec,
    ApplicationUrcGrpsheetXml,
    ApplicationUrcRessheetXml,
    ApplicationUrcTargetdescXml,
    ApplicationUrcUisocketdescXml,
    ApplicationVcardJson,
    ApplicationVcardXml,
    ApplicationVemmi,
    ApplicationVnd1000mindsDecisionModelXml,
    ApplicationVnd1ob,
    ApplicationVnd3gpp5gnas,
    ApplicationVnd3gppAccessTransferEventsXml,
    ApplicationVnd3gppBsfXml,
    ApplicationVnd3gppCrsXml,
    ApplicationVnd3gppCurrentLocationDiscoveryXml,
    ApplicationVnd3gppGmopXml,
    ApplicationVnd3gppGtpc,
    ApplicationVnd3gppInterworkingData,
    ApplicationVnd3gppLpp,
    ApplicationVnd3gppMcSignallingEar,
    ApplicationVnd3gppMcdataAffiliationCommandXml,
    ApplicationVnd3gppMcdataInfoXml,
    ApplicationVnd3gppMcdataMsgstoreCtrlRequestXml,
    ApplicationVnd3gppMcdataPayload,
    ApplicationVnd3gppMcdataRegroupXml,
    ApplicationVnd3gppMcdataServiceConfigXml,
    ApplicationVnd3gppMcdataSignalling,
    ApplicationVnd3gppMcdataUeConfigXml,
    ApplicationVnd3gppMcdataUserProfileXml,
    ApplicationVnd3gppMcpttAffiliationCommandXml,
    ApplicationVnd3gppMcpttFloorRequestXml,
    ApplicationVnd3gppMcpttInfoXml,
    ApplicationVnd3gppMcpttLocationInfoXml,
    ApplicationVnd3gppMcpttMbmsUsageInfoXml,
    ApplicationVnd3gppMcpttRegroupXml,
    ApplicationVnd3gppMcpttServiceConfigXml,
    ApplicationVnd3gppMcpttSignedXml,
    ApplicationVnd3gppMcpttUeConfigXml,
    ApplicationVnd3gppMcpttUeInitConfigXml,
    ApplicationVnd3gppMcpttUserProfileXml,
    ApplicationVnd3gppMcvideoAffiliationCommandXml,
    ApplicationVnd3gppMcvideoInfoXml,
    ApplicationVnd3gppMcvideoLocationInfoXml,
    ApplicationVnd3gppMcvideoMbmsUsageInfoXml,
    ApplicationVnd3gppMcvideoRegroupXml,
    ApplicationVnd3gppMcvideoServiceConfigXml,
    ApplicationVnd3gppMcvideoTransmissionRequestXml,
    ApplicationVnd3gppMcvideoUeConfigXml,
    ApplicationVnd3gppMcvideoUserProfileXml,
    ApplicationVnd3gppMidCallXml,
    ApplicationVnd3gppNgap,
    ApplicationVnd3gppPfcp,
    ApplicationVnd3gppPicBwLarge,
    ApplicationVnd3gppPicBwSmall,
    ApplicationVnd3gppPicBwVar,
    ApplicationVnd3gppProsePc3aXml,
    ApplicationVnd3gppProsePc3achXml,
    ApplicationVnd3gppProsePc3chXml,
    ApplicationVnd3gppProsePc8Xml,
    ApplicationVnd3gppProseXml,
    ApplicationVnd3gppS1ap,
    ApplicationVnd3gppSealGroupDocXml,
    ApplicationVnd3gppSealInfoXml,
    ApplicationVnd3gppSealLocationInfoXml,
    ApplicationVnd3gppSealMbmsUsageInfoXml,
    ApplicationVnd3gppSealNetworkQosManagementInfoXml,
    ApplicationVnd3gppSealUeConfigInfoXml,
    ApplicationVnd3gppSealUnicastInfoXml,
    ApplicationVnd3gppSealUserProfileInfoXml,
    ApplicationVnd3gppSms,
    ApplicationVnd3gppSmsXml,
    ApplicationVnd3gppSrvccExtXml,
    ApplicationVnd3gppSrvccInfoXml,
    ApplicationVnd3gppStateAndEventInfoXml,
    ApplicationVnd3gppUssdXml,
    ApplicationVnd3gppVaeInfoXml,
    ApplicationVnd3gppV2xLocalServiceInformation,
    ApplicationVnd3gpp2BcmcsinfoXml,
    ApplicationVnd3gpp2Sms,
    ApplicationVnd3gpp2Tcap,
    ApplicationVnd3gppV2x,
    ApplicationVnd3lightssoftwareImagescal,
    ApplicationVnd3mPostItNotes,
    ApplicationVndAccpacSimplyAso,
    ApplicationVndAccpacSimplyImp,
    ApplicationVndAcmAddressxferJson,
    ApplicationVndAcucobol,
    ApplicationVndAcucorp,
    ApplicationVndAdobeFlashMovie,
    ApplicationVndAdobeFormscentralFcdt,
    ApplicationVndAdobeFxp,
    ApplicationVndAdobePartialUpload,
    ApplicationVndAdobeXdpXml,
    ApplicationVndAetherImp,
    ApplicationVndAfpcAfplinedata,
    ApplicationVndAfpcAfplinedataPagedef,
    ApplicationVndAfpcCmocaCmresource,
    ApplicationVndAfpcFocaCharset,
    ApplicationVndAfpcFocaCodedfont,
    ApplicationVndAfpcFocaCodepage,
    ApplicationVndAfpcModca,
    ApplicationVndAfpcModcaCmtable,
    ApplicationVndAfpcModcaFormdef,
    ApplicationVndAfpcModcaMediummap,
    ApplicationVndAfpcModcaObjectcontainer,
    ApplicationVndAfpcModcaOverlay,
    ApplicationVndAfpcModcaPagesegment,
    ApplicationVndAge,
    ApplicationVndAhBarcode,
    ApplicationVndAheadSpace,
    ApplicationVndAirzipFilesecureAzf,
    ApplicationVndAirzipFilesecureAzs,
    ApplicationVndAmadeusJson,
    ApplicationVndAmazonMobi8Ebook,
    ApplicationVndAmericandynamicsAcc,
    ApplicationVndAmigaAmi,
    ApplicationVndAmundsenMazeXml,
    ApplicationVndAndroidOta,
    ApplicationVndAnki,
    ApplicationVndAnserWebCertificateIssueInitiation,
    ApplicationVndAntixGameComponent,
    ApplicationVndApacheArrowFile,
    ApplicationVndApacheArrowStream,
    ApplicationVndApacheThriftBinary,
    ApplicationVndApacheThriftCompact,
    ApplicationVndApacheThriftJson,
    ApplicationVndApexlang,
    ApplicationVndApiJson,
    ApplicationVndAplextorWarrpJson,
    ApplicationVndApothekendeReservationJson,
    ApplicationVndAppleInstallerXml,
    ApplicationVndAppleKeynote,
    ApplicationVndAppleMpegurl,
    ApplicationVndAppleNumbers,
    ApplicationVndApplePages,
    ApplicationVndAristanetworksSwi,
    ApplicationVndArtisanJson,
    ApplicationVndArtsquare,
    ApplicationVndAstraeaSoftwareIota,
    ApplicationVndAudiograph,
    ApplicationVndAutopackage,
    ApplicationVndAvalonJson,
    ApplicationVndAvistarXml,
    ApplicationVndBalsamiqBmmlXml,
    ApplicationVndBananaAccounting,
    ApplicationVndBbfUspError,
    ApplicationVndBbfUspMsg,
    ApplicationVndBbfUspMsgJson,
    ApplicationVndBalsamiqBmpr,
    ApplicationVndBekitzurStechJson,
    ApplicationVndBelightsoftLhzdZip,
    ApplicationVndBelightsoftLhzlZip,
    ApplicationVndBintMedContent,
    ApplicationVndBiopaxRdfXml,
    ApplicationVndBlinkIdbValueWrapper,
    ApplicationVndBlueiceMultipass,
    ApplicationVndBluetoothEpOob,
    ApplicationVndBluetoothLeOob,
    ApplicationVndBmi,
    ApplicationVndBpf,
    ApplicationVndBpf3,
    ApplicationVndBusinessobjects,
    ApplicationVndByuUapiJson,
    ApplicationVndCabJscript,
    ApplicationVndCanonCpdl,
    ApplicationVndCanonLips,
    ApplicationVndCapasystemsPgJson,
    ApplicationVndCendioThinlincClientconf,
    ApplicationVndCenturySystemsTcpStream,
    ApplicationVndChemdrawXml,
    ApplicationVndChessPgn,
    ApplicationVndChipnutsKaraokeMmd,
    ApplicationVndCiedi,
    ApplicationVndCinderella,
    ApplicationVndCirpackIsdnExt,
    ApplicationVndCitationstylesStyleXml,
    ApplicationVndClaymore,
    ApplicationVndCloantoRp9,
    ApplicationVndClonkC4group,
    ApplicationVndCluetrustCartomobileConfig,
    ApplicationVndCluetrustCartomobileConfigPkg,
    ApplicationVndCncfHelmChartContentV1TarGzip,
    ApplicationVndCncfHelmChartProvenanceV1Prov,
    ApplicationVndCncfHelmConfigV1Json,
    ApplicationVndCoffeescript,
    ApplicationVndCollabioXodocumentsDocument,
    ApplicationVndCollabioXodocumentsDocumentTemplate,
    ApplicationVndCollabioXodocumentsPresentation,
    ApplicationVndCollabioXodocumentsPresentationTemplate,
    ApplicationVndCollabioXodocumentsSpreadsheet,
    ApplicationVndCollabioXodocumentsSpreadsheetTemplate,
    ApplicationVndCollectionDocJson,
    ApplicationVndCollectionJson,
    ApplicationVndCollectionNextJson,
    ApplicationVndComicbookRar,
    ApplicationVndComicbookZip,
    ApplicationVndCommerceBattelle,
    ApplicationVndCommonspace,
    ApplicationVndCoreosIgnitionJson,
    ApplicationVndCosmocaller,
    ApplicationVndContactCmsg,
    ApplicationVndCrickClicker,
    ApplicationVndCrickClickerKeyboard,
    ApplicationVndCrickClickerPalette,
    ApplicationVndCrickClickerTemplate,
    ApplicationVndCrickClickerWordbank,
    ApplicationVndCriticaltoolsWbsXml,
    ApplicationVndCryptiiPipeJson,
    ApplicationVndCryptoShadeFile,
    ApplicationVndCryptomatorEncrypted,
    ApplicationVndCryptomatorVault,
    ApplicationVndCtcPosml,
    ApplicationVndCtctWsXml,
    ApplicationVndCupsPdf,
    ApplicationVndCupsPostscript,
    ApplicationVndCupsPpd,
    ApplicationVndCupsRaster,
    ApplicationVndCupsRaw,
    ApplicationVndCurl,
    ApplicationVndCyanDeanRootXml,
    ApplicationVndCybank,
    ApplicationVndCyclonedxJson,
    ApplicationVndCyclonedxXml,
    ApplicationVndD2lCoursepackage1p0Zip,
    ApplicationVndD3mDataset,
    ApplicationVndD3mProblem,
    ApplicationVndDart,
    ApplicationVndDataVisionRdz,
    ApplicationVndDatalog,
    ApplicationVndDatapackageJson,
    ApplicationVndDataresourceJson,
    ApplicationVndDbf,
    ApplicationVndDebianBinaryPackage,
    ApplicationVndDeceData,
    ApplicationVndDeceTtmlXml,
    ApplicationVndDeceUnspecified,
    ApplicationVndDeceZip,
    ApplicationVndDenovoFcselayoutLink,
    ApplicationVndDesmumeMovie,
    ApplicationVndDirBiPlateDlNosuffix,
    ApplicationVndDmDelegationXml,
    ApplicationVndDna,
    ApplicationVndDocumentJson,
    ApplicationVndDolbyMobile1,
    ApplicationVndDolbyMobile2,
    ApplicationVndDoremirScorecloudBinaryDocument,
    ApplicationVndDpgraph,
    ApplicationVndDreamfactory,
    ApplicationVndDriveJson,
    ApplicationVndDtgLocal,
    ApplicationVndDtgLocalFlash,
    ApplicationVndDtgLocalHtml,
    ApplicationVndDvbAit,
    ApplicationVndDvbDvbislXml,
    ApplicationVndDvbDvbj,
    ApplicationVndDvbEsgcontainer,
    ApplicationVndDvbIpdcdftnotifaccess,
    ApplicationVndDvbIpdcesgaccess,
    ApplicationVndDvbIpdcesgaccess2,
    ApplicationVndDvbIpdcesgpdd,
    ApplicationVndDvbIpdcroaming,
    ApplicationVndDvbIptvAlfecBase,
    ApplicationVndDvbIptvAlfecEnhancement,
    ApplicationVndDvbNotifAggregateRootXml,
    ApplicationVndDvbNotifContainerXml,
    ApplicationVndDvbNotifGenericXml,
    ApplicationVndDvbNotifIaMsglistXml,
    ApplicationVndDvbNotifIaRegistrationRequestXml,
    ApplicationVndDvbNotifIaRegistrationResponseXml,
    ApplicationVndDvbNotifInitXml,
    ApplicationVndDvbPfr,
    ApplicationVndDvbService,
    ApplicationVndDxr,
    ApplicationVndDynageo,
    ApplicationVndDzr,
    ApplicationVndEasykaraokeCdgdownload,
    ApplicationVndEcipRlp,
    ApplicationVndEcdisUpdate,
    ApplicationVndEclipseDittoJson,
    ApplicationVndEcowinChart,
    ApplicationVndEcowinFilerequest,
    ApplicationVndEcowinFileupdate,
    ApplicationVndEcowinSeries,
    ApplicationVndEcowinSeriesrequest,
    ApplicationVndEcowinSeriesupdate,
    ApplicationVndEfiImg,
    ApplicationVndEfiIso,
    ApplicationVndElnZip,
    ApplicationVndEmclientAccessrequestXml,
    ApplicationVndEnliven,
    ApplicationVndEnphaseEnvoy,
    ApplicationVndEprintsDataXml,
    ApplicationVndEpsonEsf,
    ApplicationVndEpsonMsf,
    ApplicationVndEpsonQuickanime,
    ApplicationVndEpsonSalt,
    ApplicationVndEpsonSsf,
    ApplicationVndEricssonQuickcall,
    ApplicationVndEspassEspassZip,
    ApplicationVndEszigno3Xml,
    ApplicationVndEtsiAocXml,
    ApplicationVndEtsiAsicSZip,
    ApplicationVndEtsiAsicEZip,
    ApplicationVndEtsiCugXml,
    ApplicationVndEtsiIptvcommandXml,
    ApplicationVndEtsiIptvdiscoveryXml,
    ApplicationVndEtsiIptvprofileXml,
    ApplicationVndEtsiIptvsadBcXml,
    ApplicationVndEtsiIptvsadCodXml,
    ApplicationVndEtsiIptvsadNpvrXml,
    ApplicationVndEtsiIptvserviceXml,
    ApplicationVndEtsiIptvsyncXml,
    ApplicationVndEtsiIptvueprofileXml,
    ApplicationVndEtsiMcidXml,
    ApplicationVndEtsiMheg5,
    ApplicationVndEtsiOverloadControlPolicyDatasetXml,
    ApplicationVndEtsiPstnXml,
    ApplicationVndEtsiSciXml,
    ApplicationVndEtsiSimservsXml,
    ApplicationVndEtsiTimestampToken,
    ApplicationVndEtsiTslXml,
    ApplicationVndEtsiTslDer,
    ApplicationVndEuKasparianCarJson,
    ApplicationVndEudoraData,
    ApplicationVndEvolvEcigProfile,
    ApplicationVndEvolvEcigSettings,
    ApplicationVndEvolvEcigTheme,
    ApplicationVndExstreamEmpowerZip,
    ApplicationVndExstreamPackage,
    ApplicationVndEzpixAlbum,
    ApplicationVndEzpixPackage,
    ApplicationVndFSecureMobile,
    ApplicationVndFastcopyDiskImage,
    ApplicationVndFamilysearchGedcomZip,
    ApplicationVndFdsnMseed,
    ApplicationVndFdsnSeed,
    ApplicationVndFfsns,
    ApplicationVndFiclabFlbZip,
    ApplicationVndFilmitZfc,
    ApplicationVndFints,
    ApplicationVndFiremonkeysCloudcell,
    ApplicationVndFlographit,
    ApplicationVndFluxtimeClip,
    ApplicationVndFontFontforgeSfd,
    ApplicationVndFramemaker,
    ApplicationVndFscWeblaunch,
    ApplicationVndFujifilmFbDocuworks,
    ApplicationVndFujifilmFbDocuworksBinder,
    ApplicationVndFujifilmFbDocuworksContainer,
    ApplicationVndFujifilmFbJfiXml,
    ApplicationVndFujitsuOasys,
    ApplicationVndFujitsuOasys2,
    ApplicationVndFujitsuOasys3,
    ApplicationVndFujitsuOasysgp,
    ApplicationVndFujitsuOasysprs,
    ApplicationVndFujixeroxArt4,
    ApplicationVndFujixeroxArtEx,
    ApplicationVndFujixeroxDdd,
    ApplicationVndFujixeroxDocuworks,
    ApplicationVndFujixeroxDocuworksBinder,
    ApplicationVndFujixeroxDocuworksContainer,
    ApplicationVndFujixeroxHbpl,
    ApplicationVndFutMisnet,
    ApplicationVndFutoinCbor,
    ApplicationVndFutoinJson,
    ApplicationVndFuzzysheet,
    ApplicationVndGenomatixTuxedo,
    ApplicationVndGenozip,
    ApplicationVndGenticsGrdJson,
    ApplicationVndGentooCatmetadataXml,
    ApplicationVndGentooEbuild,
    ApplicationVndGentooEclass,
    ApplicationVndGentooGpkg,
    ApplicationVndGentooManifest,
    ApplicationVndGentooXpak,
    ApplicationVndGentooPkgmetadataXml,
    ApplicationVndGeogebraFile,
    ApplicationVndGeogebraSlides,
    ApplicationVndGeogebraTool,
    ApplicationVndGeometryExplorer,
    ApplicationVndGeonext,
    ApplicationVndGeoplan,
    ApplicationVndGeospace,
    ApplicationVndGerber,
    ApplicationVndGlobalplatformCardContentMgt,
    ApplicationVndGlobalplatformCardContentMgtResponse,
    ApplicationVndGnuTalerExchangeJson,
    ApplicationVndGnuTalerMerchantJson,
    ApplicationVndGoogleEarthKmlXml,
    ApplicationVndGoogleEarthKmz,
    ApplicationVndGovSkEFormXml,
    ApplicationVndGovSkEFormZip,
    ApplicationVndGovSkXmldatacontainerXml,
    ApplicationVndGpxseeMapXml,
    ApplicationVndGrafeq,
    ApplicationVndGridmp,
    ApplicationVndGrooveAccount,
    ApplicationVndGrooveHelp,
    ApplicationVndGrooveIdentityMessage,
    ApplicationVndGrooveInjector,
    ApplicationVndGrooveToolMessage,
    ApplicationVndGrooveToolTemplate,
    ApplicationVndGrooveVcard,
    ApplicationVndHalJson,
    ApplicationVndHalXml,
    ApplicationVndHandheldEntertainmentXml,
    ApplicationVndHbci,
    ApplicationVndHcJson,
    ApplicationVndHclBireports,
    ApplicationVndHdt,
    ApplicationVndHerokuJson,
    ApplicationVndHheLessonPlayer,
    ApplicationVndHpHpgl,
    ApplicationVndHpHpid,
    ApplicationVndHpHps,
    ApplicationVndHpJlyt,
    ApplicationVndHpPcl,
    ApplicationVndHpPclxl,
    ApplicationVndHsl,
    ApplicationVndHttphone,
    ApplicationVndHydrostatixSofData,
    ApplicationVndHyperItemJson,
    ApplicationVndHyperJson,
    ApplicationVndHyperdriveJson,
    ApplicationVndHzn3dCrossword,
    ApplicationVndIbmElectronicMedia,
    ApplicationVndIbmMinipay,
    ApplicationVndIbmRightsManagement,
    ApplicationVndIbmSecureContainer,
    ApplicationVndIccprofile,
    ApplicationVndIeee1905,
    ApplicationVndIgloader,
    ApplicationVndImagemeterFolderZip,
    ApplicationVndImagemeterImageZip,
    ApplicationVndImmervisionIvp,
    ApplicationVndImmervisionIvu,
    ApplicationVndImsImsccv1p1,
    ApplicationVndImsImsccv1p2,
    ApplicationVndImsImsccv1p3,
    ApplicationVndImsLisV2ResultJson,
    ApplicationVndImsLtiV2ToolconsumerprofileJson,
    ApplicationVndImsLtiV2ToolproxyIdJson,
    ApplicationVndImsLtiV2ToolproxyJson,
    ApplicationVndImsLtiV2ToolsettingsJson,
    ApplicationVndImsLtiV2ToolsettingsSimpleJson,
    ApplicationVndInformedcontrolRmsXml,
    ApplicationVndInfotechProject,
    ApplicationVndInfotechProjectXml,
    ApplicationVndInnopathWampNotification,
    ApplicationVndInsorsIgm,
    ApplicationVndInterconFormnet,
    ApplicationVndIntergeo,
    ApplicationVndIntertrustDigibox,
    ApplicationVndIntertrustNncp,
    ApplicationVndIntuQbo,
    ApplicationVndIntuQfx,
    ApplicationVndIpfsIpnsRecord,
    ApplicationVndIpldCar,
    ApplicationVndIpldDagCbor,
    ApplicationVndIpldDagJson,
    ApplicationVndIpldRaw,
    ApplicationVndIptcG2CatalogitemXml,
    ApplicationVndIptcG2ConceptitemXml,
    ApplicationVndIptcG2KnowledgeitemXml,
    ApplicationVndIptcG2NewsitemXml,
    ApplicationVndIptcG2NewsmessageXml,
    ApplicationVndIptcG2PackageitemXml,
    ApplicationVndIptcG2PlanningitemXml,
    ApplicationVndIpunpluggedRcprofile,
    ApplicationVndIrepositoryPackageXml,
    ApplicationVndIsXpr,
    ApplicationVndIsacFcs,
    ApplicationVndJam,
    ApplicationVndIso1178310Zip,
    ApplicationVndJapannetDirectoryService,
    ApplicationVndJapannetJpnstoreWakeup,
    ApplicationVndJapannetPaymentWakeup,
    ApplicationVndJapannetRegistration,
    ApplicationVndJapannetRegistrationWakeup,
    ApplicationVndJapannetSetstoreWakeup,
    ApplicationVndJapannetVerification,
    ApplicationVndJapannetVerificationWakeup,
    ApplicationVndJcpJavameMidletRms,
    ApplicationVndJisp,
    ApplicationVndJoostJodaArchive,
    ApplicationVndJskIsdnNgn,
    ApplicationVndKahootz,
    ApplicationVndKdeKarbon,
    ApplicationVndKdeKchart,
    ApplicationVndKdeKformula,
    ApplicationVndKdeKivio,
    ApplicationVndKdeKontour,
    ApplicationVndKdeKpresenter,
    ApplicationVndKdeKspread,
    ApplicationVndKdeKword,
    ApplicationVndKenameaapp,
    ApplicationVndKidspiration,
    ApplicationVndKinar,
    ApplicationVndKoan,
    ApplicationVndKodakDescriptor,
    ApplicationVndLas,
    ApplicationVndLasLasJson,
    ApplicationVndLasLasXml,
    ApplicationVndLaszip,
    ApplicationVndLeapJson,
    ApplicationVndLibertyRequestXml,
    ApplicationVndLlamagraphicsLifeBalanceDesktop,
    ApplicationVndLlamagraphicsLifeBalanceExchangeXml,
    ApplicationVndLogipipeCircuitZip,
    ApplicationVndLoom,
    ApplicationVndLotus123,
    ApplicationVndLotusApproach,
    ApplicationVndLotusFreelance,
    ApplicationVndLotusNotes,
    ApplicationVndLotusOrganizer,
    ApplicationVndLotusScreencam,
    ApplicationVndLotusWordpro,
    ApplicationVndMacportsPortpkg,
    ApplicationVndMapboxVectorTile,
    ApplicationVndMarlinDrmActiontokenXml,
    ApplicationVndMarlinDrmConftokenXml,
    ApplicationVndMarlinDrmLicenseXml,
    ApplicationVndMarlinDrmMdcf,
    ApplicationVndMasonJson,
    ApplicationVndMaxarArchive3tzZip,
    ApplicationVndMaxmindMaxmindDb,
    ApplicationVndMcd,
    ApplicationVndMdl,
    ApplicationVndMdlMbsdf,
    ApplicationVndMedcalcdata,
    ApplicationVndMediastationCdkey,
    ApplicationVndMedicalholodeckRecordxr,
    ApplicationVndMeridianSlingshot,
    ApplicationVndMfer,
    ApplicationVndMfmp,
    ApplicationVndMicroJson,
    ApplicationVndMicrografxFlo,
    ApplicationVndMicrografxIgx,
    ApplicationVndMicrosoftPortableExecutable,
    ApplicationVndMicrosoftWindowsThumbnailCache,
    ApplicationVndMieleJson,
    ApplicationVndMif,
    ApplicationVndMinisoftHp3000Save,
    ApplicationVndMitsubishiMistyGuardTrustweb,
    ApplicationVndMobiusDaf,
    ApplicationVndMobiusDis,
    ApplicationVndMobiusMbk,
    ApplicationVndMobiusMqy,
    ApplicationVndMobiusMsl,
    ApplicationVndMobiusPlc,
    ApplicationVndMobiusTxf,
    ApplicationVndModl,
    ApplicationVndMophunApplication,
    ApplicationVndMophunCertificate,
    ApplicationVndMotorolaFlexsuite,
    ApplicationVndMotorolaFlexsuiteAdsi,
    ApplicationVndMotorolaFlexsuiteFis,
    ApplicationVndMotorolaFlexsuiteGotap,
    ApplicationVndMotorolaFlexsuiteKmr,
    ApplicationVndMotorolaFlexsuiteTtc,
    ApplicationVndMotorolaFlexsuiteWem,
    ApplicationVndMotorolaIprm,
    ApplicationVndMozillaXulXml,
    ApplicationVndMsArtgalry,
    ApplicationVndMsAsf,
    ApplicationVndMsCabCompressed,
    ApplicationVndMs3mfdocument,
    ApplicationVndMsExcel,
    ApplicationVndMsExcelAddinMacroenabled12,
    ApplicationVndMsExcelSheetBinaryMacroenabled12,
    ApplicationVndMsExcelSheetMacroenabled12,
    ApplicationVndMsExcelTemplateMacroenabled12,
    ApplicationVndMsFontobject,
    ApplicationVndMsHtmlhelp,
    ApplicationVndMsIms,
    ApplicationVndMsLrm,
    ApplicationVndMsOfficeActivexXml,
    ApplicationVndMsOfficetheme,
    ApplicationVndMsPlayreadyInitiatorXml,
    ApplicationVndMsPowerpoint,
    ApplicationVndMsPowerpointAddinMacroenabled12,
    ApplicationVndMsPowerpointPresentationMacroenabled12,
    ApplicationVndMsPowerpointSlideMacroenabled12,
    ApplicationVndMsPowerpointSlideshowMacroenabled12,
    ApplicationVndMsPowerpointTemplateMacroenabled12,
    ApplicationVndMsPrintdevicecapabilitiesXml,
    ApplicationVndMsPrintschematicketXml,
    ApplicationVndMsProject,
    ApplicationVndMsTnef,
    ApplicationVndMsWindowsDevicepairing,
    ApplicationVndMsWindowsNwprintingOob,
    ApplicationVndMsWindowsPrinterpairing,
    ApplicationVndMsWindowsWsdOob,
    ApplicationVndMsWmdrmLicChlgReq,
    ApplicationVndMsWmdrmLicResp,
    ApplicationVndMsWmdrmMeterChlgReq,
    ApplicationVndMsWmdrmMeterResp,
    ApplicationVndMsWordDocumentMacroenabled12,
    ApplicationVndMsWordTemplateMacroenabled12,
    ApplicationVndMsWorks,
    ApplicationVndMsWpl,
    ApplicationVndMsXpsdocument,
    ApplicationVndMsaDiskImage,
    ApplicationVndMseq,
    ApplicationVndMsign,
    ApplicationVndMultiadCreator,
    ApplicationVndMultiadCreatorCif,
    ApplicationVndMusician,
    ApplicationVndMusicNiff,
    ApplicationVndMuveeStyle,
    ApplicationVndMynfc,
    ApplicationVndNacamarYbridJson,
    ApplicationVndNcdControl,
    ApplicationVndNcdReference,
    ApplicationVndNearstInvJson,
    ApplicationVndNebumindLine,
    ApplicationVndNervana,
    ApplicationVndNetfpx,
    ApplicationVndNeurolanguageNlu,
    ApplicationVndNimn,
    ApplicationVndNintendoSnesRom,
    ApplicationVndNintendoNitroRom,
    ApplicationVndNitf,
    ApplicationVndNoblenetDirectory,
    ApplicationVndNoblenetSealer,
    ApplicationVndNoblenetWeb,
    ApplicationVndNokiaCatalogs,
    ApplicationVndNokiaConmlWbxml,
    ApplicationVndNokiaConmlXml,
    ApplicationVndNokiaIptvConfigXml,
    ApplicationVndNokiaIsdsRadioPresets,
    ApplicationVndNokiaLandmarkWbxml,
    ApplicationVndNokiaLandmarkXml,
    ApplicationVndNokiaLandmarkcollectionXml,
    ApplicationVndNokiaNcd,
    ApplicationVndNokiaNGageAcXml,
    ApplicationVndNokiaNGageData,
    ApplicationVndNokiaPcdWbxml,
    ApplicationVndNokiaPcdXml,
    ApplicationVndNokiaRadioPreset,
    ApplicationVndNokiaRadioPresets,
    ApplicationVndNovadigmEdm,
    ApplicationVndNovadigmEdx,
    ApplicationVndNovadigmExt,
    ApplicationVndNttLocalContentShare,
    ApplicationVndNttLocalFileTransfer,
    ApplicationVndNttLocalOgwRemoteAccess,
    ApplicationVndNttLocalSipTaRemote,
    ApplicationVndNttLocalSipTaTcpStream,
    ApplicationVndOasisOpendocumentBase,
    ApplicationVndOasisOpendocumentChart,
    ApplicationVndOasisOpendocumentChartTemplate,
    ApplicationVndOasisOpendocumentFormula,
    ApplicationVndOasisOpendocumentFormulaTemplate,
    ApplicationVndOasisOpendocumentGraphics,
    ApplicationVndOasisOpendocumentGraphicsTemplate,
    ApplicationVndOasisOpendocumentImage,
    ApplicationVndOasisOpendocumentImageTemplate,
    ApplicationVndOasisOpendocumentPresentation,
    ApplicationVndOasisOpendocumentPresentationTemplate,
    ApplicationVndOasisOpendocumentSpreadsheet,
    ApplicationVndOasisOpendocumentSpreadsheetTemplate,
    ApplicationVndOasisOpendocumentText,
    ApplicationVndOasisOpendocumentTextMaster,
    ApplicationVndOasisOpendocumentTextMasterTemplate,
    ApplicationVndOasisOpendocumentTextTemplate,
    ApplicationVndOasisOpendocumentTextWeb,
    ApplicationVndObn,
    ApplicationVndOcfCbor,
    ApplicationVndOciImageManifestV1Json,
    ApplicationVndOftnL10nJson,
    ApplicationVndOipfContentaccessdownloadXml,
    ApplicationVndOipfContentaccessstreamingXml,
    ApplicationVndOipfCspgHexbinary,
    ApplicationVndOipfDaeSvgXml,
    ApplicationVndOipfDaeXhtmlXml,
    ApplicationVndOipfMippvcontrolmessageXml,
    ApplicationVndOipfPaeGem,
    ApplicationVndOipfSpdiscoveryXml,
    ApplicationVndOipfSpdlistXml,
    ApplicationVndOipfUeprofileXml,
    ApplicationVndOipfUserprofileXml,
    ApplicationVndOlpcSugar,
    ApplicationVndOmaBcastAssociatedProcedureParameterXml,
    ApplicationVndOmaBcastDrmTriggerXml,
    ApplicationVndOmaBcastImdXml,
    ApplicationVndOmaBcastLtkm,
    ApplicationVndOmaBcastNotificationXml,
    ApplicationVndOmaBcastProvisioningtrigger,
    ApplicationVndOmaBcastSgboot,
    ApplicationVndOmaBcastSgddXml,
    ApplicationVndOmaBcastSgdu,
    ApplicationVndOmaBcastSimpleSymbolContainer,
    ApplicationVndOmaBcastSmartcardTriggerXml,
    ApplicationVndOmaBcastSprovXml,
    ApplicationVndOmaBcastStkm,
    ApplicationVndOmaCabAddressBookXml,
    ApplicationVndOmaCabFeatureHandlerXml,
    ApplicationVndOmaCabPccXml,
    ApplicationVndOmaCabSubsInviteXml,
    ApplicationVndOmaCabUserPrefsXml,
    ApplicationVndOmaDcd,
    ApplicationVndOmaDcdc,
    ApplicationVndOmaDd2Xml,
    ApplicationVndOmaDrmRisdXml,
    ApplicationVndOmaGroupUsageListXml,
    ApplicationVndOmaLwm2mCbor,
    ApplicationVndOmaLwm2mJson,
    ApplicationVndOmaLwm2mTlv,
    ApplicationVndOmaPalXml,
    ApplicationVndOmaPocDetailedProgressReportXml,
    ApplicationVndOmaPocFinalReportXml,
    ApplicationVndOmaPocGroupsXml,
    ApplicationVndOmaPocInvocationDescriptorXml,
    ApplicationVndOmaPocOptimizedProgressReportXml,
    ApplicationVndOmaPush,
    ApplicationVndOmaScidmMessagesXml,
    ApplicationVndOmaXcapDirectoryXml,
    ApplicationVndOmadsEmailXml,
    ApplicationVndOmadsFileXml,
    ApplicationVndOmadsFolderXml,
    ApplicationVndOmalocSuplInit,
    ApplicationVndOmaScwsConfig,
    ApplicationVndOmaScwsHttpRequest,
    ApplicationVndOmaScwsHttpResponse,
    ApplicationVndOnepager,
    ApplicationVndOnepagertamp,
    ApplicationVndOnepagertamx,
    ApplicationVndOnepagertat,
    ApplicationVndOnepagertatp,
    ApplicationVndOnepagertatx,
    ApplicationVndOnvifMetadata,
    ApplicationVndOpenbloxGameBinary,
    ApplicationVndOpenbloxGameXml,
    ApplicationVndOpeneyeOeb,
    ApplicationVndOpenstreetmapDataXml,
    ApplicationVndOpentimestampsOts,
    ApplicationVndOpenxmlformatsOfficedocumentCustomPropertiesXml,
    ApplicationVndOpenxmlformatsOfficedocumentCustomxmlpropertiesXml,
    ApplicationVndOpenxmlformatsOfficedocumentDrawingXml,
    ApplicationVndOpenxmlformatsOfficedocumentDrawingmlChartXml,
    ApplicationVndOpenxmlformatsOfficedocumentDrawingmlChartshapesXml,
    ApplicationVndOpenxmlformatsOfficedocumentDrawingmlDiagramcolorsXml,
    ApplicationVndOpenxmlformatsOfficedocumentDrawingmlDiagramdataXml,
    ApplicationVndOpenxmlformatsOfficedocumentDrawingmlDiagramlayoutXml,
    ApplicationVndOpenxmlformatsOfficedocumentDrawingmlDiagramstyleXml,
    ApplicationVndOpenxmlformatsOfficedocumentExtendedPropertiesXml,
    ApplicationVndOpenxmlformatsOfficedocumentPresentationmlCommentauthorsXml,
    ApplicationVndOpenxmlformatsOfficedocumentPresentationmlCommentsXml,
    ApplicationVndOpenxmlformatsOfficedocumentPresentationmlHandoutmasterXml,
    ApplicationVndOpenxmlformatsOfficedocumentPresentationmlNotesmasterXml,
    ApplicationVndOpenxmlformatsOfficedocumentPresentationmlNotesslideXml,
    ApplicationVndOpenxmlformatsOfficedocumentPresentationmlPresentation,
    ApplicationVndOpenxmlformatsOfficedocumentPresentationmlPresentationMainXml,
    ApplicationVndOpenxmlformatsOfficedocumentPresentationmlPrespropsXml,
    ApplicationVndOpenxmlformatsOfficedocumentPresentationmlSlide,
    ApplicationVndOpenxmlformatsOfficedocumentPresentationmlSlideXml,
    ApplicationVndOpenxmlformatsOfficedocumentPresentationmlSlidelayoutXml,
    ApplicationVndOpenxmlformatsOfficedocumentPresentationmlSlidemasterXml,
    ApplicationVndOpenxmlformatsOfficedocumentPresentationmlSlideshow,
    ApplicationVndOpenxmlformatsOfficedocumentPresentationmlSlideshowMainXml,
    ApplicationVndOpenxmlformatsOfficedocumentPresentationmlSlideupdateinfoXml,
    ApplicationVndOpenxmlformatsOfficedocumentPresentationmlTablestylesXml,
    ApplicationVndOpenxmlformatsOfficedocumentPresentationmlTagsXml,
    ApplicationVndOpenxmlformatsOfficedocumentPresentationmlTemplate,
    ApplicationVndOpenxmlformatsOfficedocumentPresentationmlTemplateMainXml,
    ApplicationVndOpenxmlformatsOfficedocumentPresentationmlViewpropsXml,
    ApplicationVndOpenxmlformatsOfficedocumentSpreadsheetmlCalcchainXml,
    ApplicationVndOpenxmlformatsOfficedocumentSpreadsheetmlChartsheetXml,
    ApplicationVndOpenxmlformatsOfficedocumentSpreadsheetmlCommentsXml,
    ApplicationVndOpenxmlformatsOfficedocumentSpreadsheetmlConnectionsXml,
    ApplicationVndOpenxmlformatsOfficedocumentSpreadsheetmlDialogsheetXml,
    ApplicationVndOpenxmlformatsOfficedocumentSpreadsheetmlExternallinkXml,
    ApplicationVndOpenxmlformatsOfficedocumentSpreadsheetmlPivotcachedefinitionXml,
    ApplicationVndOpenxmlformatsOfficedocumentSpreadsheetmlPivotcacherecordsXml,
    ApplicationVndOpenxmlformatsOfficedocumentSpreadsheetmlPivottableXml,
    ApplicationVndOpenxmlformatsOfficedocumentSpreadsheetmlQuerytableXml,
    ApplicationVndOpenxmlformatsOfficedocumentSpreadsheetmlRevisionheadersXml,
    ApplicationVndOpenxmlformatsOfficedocumentSpreadsheetmlRevisionlogXml,
    ApplicationVndOpenxmlformatsOfficedocumentSpreadsheetmlSharedstringsXml,
    ApplicationVndOpenxmlformatsOfficedocumentSpreadsheetmlSheet,
    ApplicationVndOpenxmlformatsOfficedocumentSpreadsheetmlSheetMainXml,
    ApplicationVndOpenxmlformatsOfficedocumentSpreadsheetmlSheetmetadataXml,
    ApplicationVndOpenxmlformatsOfficedocumentSpreadsheetmlStylesXml,
    ApplicationVndOpenxmlformatsOfficedocumentSpreadsheetmlTableXml,
    ApplicationVndOpenxmlformatsOfficedocumentSpreadsheetmlTablesinglecellsXml,
    ApplicationVndOpenxmlformatsOfficedocumentSpreadsheetmlTemplate,
    ApplicationVndOpenxmlformatsOfficedocumentSpreadsheetmlTemplateMainXml,
    ApplicationVndOpenxmlformatsOfficedocumentSpreadsheetmlUsernamesXml,
    ApplicationVndOpenxmlformatsOfficedocumentSpreadsheetmlVolatiledependenciesXml,
    ApplicationVndOpenxmlformatsOfficedocumentSpreadsheetmlWorksheetXml,
    ApplicationVndOpenxmlformatsOfficedocumentThemeXml,
    ApplicationVndOpenxmlformatsOfficedocumentThemeoverrideXml,
    ApplicationVndOpenxmlformatsOfficedocumentVmldrawing,
    ApplicationVndOpenxmlformatsOfficedocumentWordprocessingmlCommentsXml,
    ApplicationVndOpenxmlformatsOfficedocumentWordprocessingmlDocument,
    ApplicationVndOpenxmlformatsOfficedocumentWordprocessingmlDocumentGlossaryXml,
    ApplicationVndOpenxmlformatsOfficedocumentWordprocessingmlDocumentMainXml,
    ApplicationVndOpenxmlformatsOfficedocumentWordprocessingmlEndnotesXml,
    ApplicationVndOpenxmlformatsOfficedocumentWordprocessingmlFonttableXml,
    ApplicationVndOpenxmlformatsOfficedocumentWordprocessingmlFooterXml,
    ApplicationVndOpenxmlformatsOfficedocumentWordprocessingmlFootnotesXml,
    ApplicationVndOpenxmlformatsOfficedocumentWordprocessingmlNumberingXml,
    ApplicationVndOpenxmlformatsOfficedocumentWordprocessingmlSettingsXml,
    ApplicationVndOpenxmlformatsOfficedocumentWordprocessingmlStylesXml,
    ApplicationVndOpenxmlformatsOfficedocumentWordprocessingmlTemplate,
    ApplicationVndOpenxmlformatsOfficedocumentWordprocessingmlTemplateMainXml,
    ApplicationVndOpenxmlformatsOfficedocumentWordprocessingmlWebsettingsXml,
    ApplicationVndOpenxmlformatsPackageCorePropertiesXml,
    ApplicationVndOpenxmlformatsPackageDigitalSignatureXmlsignatureXml,
    ApplicationVndOpenxmlformatsPackageRelationshipsXml,
    ApplicationVndOracleResourceJson,
    ApplicationVndOrangeIndata,
    ApplicationVndOsaNetdeploy,
    ApplicationVndOsgeoMapguidePackage,
    ApplicationVndOsgiBundle,
    ApplicationVndOsgiDp,
    ApplicationVndOsgiSubsystem,
    ApplicationVndOtpsCtKipXml,
    ApplicationVndOxliCountgraph,
    ApplicationVndPagerdutyJson,
    ApplicationVndPalm,
    ApplicationVndPanoply,
    ApplicationVndPaosXml,
    ApplicationVndPatentdive,
    ApplicationVndPatientecommsdoc,
    ApplicationVndPawaafile,
    ApplicationVndPcos,
    ApplicationVndPgFormat,
    ApplicationVndPgOsasli,
    ApplicationVndPiaccessApplicationLicence,
    ApplicationVndPicsel,
    ApplicationVndPmiWidget,
    ApplicationVndPocGroupAdvertisementXml,
    ApplicationVndPocketlearn,
    ApplicationVndPowerbuilder6,
    ApplicationVndPowerbuilder6S,
    ApplicationVndPowerbuilder7,
    ApplicationVndPowerbuilder75,
    ApplicationVndPowerbuilder75S,
    ApplicationVndPowerbuilder7S,
    ApplicationVndPreminet,
    ApplicationVndPreviewsystemsBox,
    ApplicationVndProteusMagazine,
    ApplicationVndPsfs,
    ApplicationVndPtMundusmundi,
    ApplicationVndPublishareDeltaTree,
    ApplicationVndPviPtid1,
    ApplicationVndPwgMultiplexed,
    ApplicationVndPwgXhtmlPrintXml,
    ApplicationVndQualcommBrewAppRes,
    ApplicationVndQuarantainenet,
    ApplicationVndQuarkQuarkxpress,
    ApplicationVndQuobjectQuoxdocument,
    ApplicationVndRadisysMomlXml,
    ApplicationVndRadisysMsmlAuditConfXml,
    ApplicationVndRadisysMsmlAuditConnXml,
    ApplicationVndRadisysMsmlAuditDialogXml,
    ApplicationVndRadisysMsmlAuditStreamXml,
    ApplicationVndRadisysMsmlAuditXml,
    ApplicationVndRadisysMsmlConfXml,
    ApplicationVndRadisysMsmlDialogBaseXml,
    ApplicationVndRadisysMsmlDialogFaxDetectXml,
    ApplicationVndRadisysMsmlDialogFaxSendrecvXml,
    ApplicationVndRadisysMsmlDialogGroupXml,
    ApplicationVndRadisysMsmlDialogSpeechXml,
    ApplicationVndRadisysMsmlDialogTransformXml,
    ApplicationVndRadisysMsmlDialogXml,
    ApplicationVndRadisysMsmlXml,
    ApplicationVndRainstorData,
    ApplicationVndRapid,
    ApplicationVndRar,
    ApplicationVndRealvncBed,
    ApplicationVndRecordareMusicxml,
    ApplicationVndRecordareMusicxmlXml,
    ApplicationVndRenlearnRlprint,
    ApplicationVndResilientLogic,
    ApplicationVndRestfulJson,
    ApplicationVndRigCryptonote,
    ApplicationVndRoute66Link66Xml,
    ApplicationVndRs274x,
    ApplicationVndRuckusDownload,
    ApplicationVndS3sms,
    ApplicationVndSailingtrackerTrack,
    ApplicationVndSar,
    ApplicationVndSbmCid,
    ApplicationVndSbmMid2,
    ApplicationVndScribus,
    ApplicationVndSealed3df,
    ApplicationVndSealedCsf,
    ApplicationVndSealedDoc,
    ApplicationVndSealedEml,
    ApplicationVndSealedMht,
    ApplicationVndSealedNet,
    ApplicationVndSealedPpt,
    ApplicationVndSealedTiff,
    ApplicationVndSealedXls,
    ApplicationVndSealedmediaSoftsealHtml,
    ApplicationVndSealedmediaSoftsealPdf,
    ApplicationVndSeemail,
    ApplicationVndSeisJson,
    ApplicationVndSema,
    ApplicationVndSemd,
    ApplicationVndSemf,
    ApplicationVndShadeSaveFile,
    ApplicationVndShanaInformedFormdata,
    ApplicationVndShanaInformedFormtemplate,
    ApplicationVndShanaInformedInterchange,
    ApplicationVndShanaInformedPackage,
    ApplicationVndShootproofJson,
    ApplicationVndShopkickJson,
    ApplicationVndShp,
    ApplicationVndShx,
    ApplicationVndSigrokSession,
    ApplicationVndSimtechMindmapper,
    ApplicationVndSirenJson,
    ApplicationVndSmaf,
    ApplicationVndSmartNotebook,
    ApplicationVndSmartTeacher,
    ApplicationVndSmintioPortalsArchive,
    ApplicationVndSnesdevPageTable,
    ApplicationVndSoftware602FillerFormXml,
    ApplicationVndSoftware602FillerFormXmlZip,
    ApplicationVndSolentSdkmXml,
    ApplicationVndSpotfireDxp,
    ApplicationVndSpotfireSfs,
    ApplicationVndSqlite3,
    ApplicationVndSssCod,
    ApplicationVndSssDtf,
    ApplicationVndSssNtf,
    ApplicationVndStepmaniaPackage,
    ApplicationVndStepmaniaStepchart,
    ApplicationVndStreetStream,
    ApplicationVndSunWadlXml,
    ApplicationVndSusCalendar,
    ApplicationVndSvd,
    ApplicationVndSwiftviewIcs,
    ApplicationVndSybylMol2,
    ApplicationVndSycleXml,
    ApplicationVndSyftJson,
    ApplicationVndSyncmlDmNotification,
    ApplicationVndSyncmlDmddfXml,
    ApplicationVndSyncmlDmtndsWbxml,
    ApplicationVndSyncmlDmtndsXml,
    ApplicationVndSyncmlDmddfWbxml,
    ApplicationVndSyncmlDmWbxml,
    ApplicationVndSyncmlDmXml,
    ApplicationVndSyncmlDsNotification,
    ApplicationVndSyncmlXml,
    ApplicationVndTableschemaJson,
    ApplicationVndTaoIntentModuleArchive,
    ApplicationVndTcpdumpPcap,
    ApplicationVndThinkCellPpttcJson,
    ApplicationVndTml,
    ApplicationVndTmdMediaflexApiXml,
    ApplicationVndTmobileLivetv,
    ApplicationVndTriOnesource,
    ApplicationVndTridTpt,
    ApplicationVndTriscapeMxs,
    ApplicationVndTrueapp,
    ApplicationVndTruedoc,
    ApplicationVndUbisoftWebplayer,
    ApplicationVndUfdl,
    ApplicationVndUiqTheme,
    ApplicationVndUmajin,
    ApplicationVndUnity,
    ApplicationVndUomlXml,
    ApplicationVndUplanetAlert,
    ApplicationVndUplanetAlertWbxml,
    ApplicationVndUplanetBearerChoice,
    ApplicationVndUplanetBearerChoiceWbxml,
    ApplicationVndUplanetCacheop,
    ApplicationVndUplanetCacheopWbxml,
    ApplicationVndUplanetChannel,
    ApplicationVndUplanetChannelWbxml,
    ApplicationVndUplanetList,
    ApplicationVndUplanetListcmd,
    ApplicationVndUplanetListcmdWbxml,
    ApplicationVndUplanetListWbxml,
    ApplicationVndUriMap,
    ApplicationVndUplanetSignal,
    ApplicationVndValveSourceMaterial,
    ApplicationVndVcx,
    ApplicationVndVdStudy,
    ApplicationVndVectorworks,
    ApplicationVndVelJson,
    ApplicationVndVerimatrixVcas,
    ApplicationVndVeritoneAionJson,
    ApplicationVndVeryantThin,
    ApplicationVndVesEncrypted,
    ApplicationVndVidsoftVidconference,
    ApplicationVndVisio,
    ApplicationVndVisionary,
    ApplicationVndVividenceScriptfile,
    ApplicationVndVsf,
    ApplicationVndWapSic,
    ApplicationVndWapSlc,
    ApplicationVndWapWbxml,
    ApplicationVndWapWmlc,
    ApplicationVndWapWmlscriptc,
    ApplicationVndWasmflowWafl,
    ApplicationVndWebturbo,
    ApplicationVndWfaDpp,
    ApplicationVndWfaP2p,
    ApplicationVndWfaWsc,
    ApplicationVndWindowsDevicepairing,
    ApplicationVndWmc,
    ApplicationVndWmfBootstrap,
    ApplicationVndWolframMathematica,
    ApplicationVndWolframMathematicaPackage,
    ApplicationVndWolframPlayer,
    ApplicationVndWordlift,
    ApplicationVndWordperfect,
    ApplicationVndWqd,
    ApplicationVndWrqHp3000Labelled,
    ApplicationVndWtStf,
    ApplicationVndWvCspXml,
    ApplicationVndWvCspWbxml,
    ApplicationVndWvSspXml,
    ApplicationVndXacmlJson,
    ApplicationVndXara,
    ApplicationVndXfdl,
    ApplicationVndXfdlWebform,
    ApplicationVndXmiXml,
    ApplicationVndXmpieCpkg,
    ApplicationVndXmpieDpkg,
    ApplicationVndXmpiePlan,
    ApplicationVndXmpiePpkg,
    ApplicationVndXmpieXlim,
    ApplicationVndYamahaHvDic,
    ApplicationVndYamahaHvScript,
    ApplicationVndYamahaHvVoice,
    ApplicationVndYamahaOpenscoreformatOsfpvgXml,
    ApplicationVndYamahaOpenscoreformat,
    ApplicationVndYamahaRemoteSetup,
    ApplicationVndYamahaSmafAudio,
    ApplicationVndYamahaSmafPhrase,
    ApplicationVndYamahaThroughNgn,
    ApplicationVndYamahaTunnelUdpencap,
    ApplicationVndYaoweme,
    ApplicationVndYellowriverCustomMenu,
    ApplicationVndZul,
    ApplicationVndZzazzDeckXml,
    ApplicationVoicexmlXml,
    ApplicationVoucherCmsJson,
    ApplicationVqRtcpxr,
    ApplicationWasm,
    ApplicationWatcherinfoXml,
    ApplicationWebpushOptionsJson,
    ApplicationWhoisppQuery,
    ApplicationWhoisppResponse,
    ApplicationWidget,
    ApplicationWita,
    ApplicationWordperfect51,
    ApplicationWsdlXml,
    ApplicationWspolicyXml,
    ApplicationXPkiMessage,
    ApplicationXWwwFormUrlencoded,
    ApplicationXX509CaCert,
    ApplicationXX509CaRaCert,
    ApplicationXX509NextCaCert,
    ApplicationX400Bp,
    ApplicationXacmlXml,
    ApplicationXcapAttXml,
    ApplicationXcapCapsXml,
    ApplicationXcapDiffXml,
    ApplicationXcapElXml,
    ApplicationXcapErrorXml,
    ApplicationXcapNsXml,
    ApplicationXconConferenceInfoDiffXml,
    ApplicationXconConferenceInfoXml,
    ApplicationXencXml,
    ApplicationXfdf,
    ApplicationXhtmlXml,
    ApplicationXliffXml,
    ApplicationXml,
    ApplicationXmlDtd,
    ApplicationXmlExternalParsedEntity,
    ApplicationXmlPatchXml,
    ApplicationXmppXml,
    ApplicationXopXml,
    ApplicationXsltXml,
    ApplicationXvXml,
    ApplicationYang,
    ApplicationYangDataCbor,
    ApplicationYangDataJson,
    ApplicationYangDataXml,
    ApplicationYangPatchJson,
    ApplicationYangPatchXml,
    ApplicationYinXml,
    ApplicationZip,
    ApplicationZlib,
    ApplicationZstd,
    Audio1dInterleavedParityfec,
    Audio32kadpcm,
    Audio3gpp,
    Audio3gpp2,
    AudioAac,
    AudioAc3,
    AudioAmr,
    AudioAmrWbPlus,
    AudioAmrWb,
    AudioAptx,
    AudioAsc,
    AudioAtracAdvancedLossless,
    AudioAtracX,
    AudioAtrac3,
    AudioBasic,
    AudioBv16,
    AudioBv32,
    AudioClearmode,
    AudioCn,
    AudioDat12,
    AudioDls,
    AudioDsrEs201108,
    AudioDsrEs202050,
    AudioDsrEs202211,
    AudioDsrEs202212,
    AudioDv,
    AudioDvi4,
    AudioEac3,
    AudioEncaprtp,
    AudioEvrc,
    AudioEvrcQcp,
    AudioEvrc0,
    AudioEvrc1,
    AudioEvrcb,
    AudioEvrcb0,
    AudioEvrcb1,
    AudioEvrcnw,
    AudioEvrcnw0,
    AudioEvrcnw1,
    AudioEvrcwb,
    AudioEvrcwb0,
    AudioEvrcwb1,
    AudioEvs,
    AudioExample,
    AudioFlexfec,
    AudioFwdred,
    AudioG7110,
    AudioG719,
    AudioG7221,
    AudioG722,
    AudioG723,
    AudioG72616,
    AudioG72624,
    AudioG72632,
    AudioG72640,
    AudioG728,
    AudioG729,
    AudioG7291,
    AudioG729d,
    AudioG729e,
    AudioGsm,
    AudioGsmEfr,
    AudioGsmHr08,
    AudioIlbc,
    AudioIpMrV25,
    AudioL8,
    AudioL16,
    AudioL20,
    AudioL24,
    AudioLpc,
    AudioMelp,
    AudioMelp600,
    AudioMelp1200,
    AudioMelp2400,
    AudioMhas,
    AudioMobileXmf,
    AudioMpa,
    AudioMp4,
    AudioMp4aLatm,
    AudioMpaRobust,
    AudioMpeg,
    AudioMpeg4Generic,
    AudioOgg,
    AudioOpus,
    AudioParityfec,
    AudioPcma,
    AudioPcmaWb,
    AudioPcmu,
    AudioPcmuWb,
    AudioPrsSid,
    AudioQcelp,
    AudioRaptorfec,
    AudioRed,
    AudioRtpEncAescm128,
    AudioRtploopback,
    AudioRtpMidi,
    AudioRtx,
    AudioScip,
    AudioSmv,
    AudioSmv0,
    AudioSmvQcp,
    AudioSofa,
    AudioSpMidi,
    AudioSpeex,
    AudioT140c,
    AudioT38,
    AudioTelephoneEvent,
    AudioTetraAcelp,
    AudioTetraAcelpBb,
    AudioTone,
    AudioTsvcis,
    AudioUemclip,
    AudioUlpfec,
    AudioUsac,
    AudioVdvi,
    AudioVmrWb,
    AudioVnd3gppIufp,
    AudioVnd4sb,
    AudioVndAudiokoz,
    AudioVndCelp,
    AudioVndCiscoNse,
    AudioVndCmlesRadioEvents,
    AudioVndCnsAnp1,
    AudioVndCnsInf1,
    AudioVndDeceAudio,
    AudioVndDigitalWinds,
    AudioVndDlnaAdts,
    AudioVndDolbyHeaac1,
    AudioVndDolbyHeaac2,
    AudioVndDolbyMlp,
    AudioVndDolbyMps,
    AudioVndDolbyPl2,
    AudioVndDolbyPl2x,
    AudioVndDolbyPl2z,
    AudioVndDolbyPulse1,
    AudioVndDra,
    AudioVndDts,
    AudioVndDtsHd,
    AudioVndDtsUhd,
    AudioVndDvbFile,
    AudioVndEveradPlj,
    AudioVndHnsAudio,
    AudioVndLucentVoice,
    AudioVndMsPlayreadyMediaPya,
    AudioVndNokiaMobileXmf,
    AudioVndNortelVbk,
    AudioVndNueraEcelp4800,
    AudioVndNueraEcelp7470,
    AudioVndNueraEcelp9600,
    AudioVndOctelSbc,
    AudioVndPresonusMultitrack,
    AudioVndRhetorex32kadpcm,
    AudioVndRip,
    AudioVndSealedmediaSoftsealMpeg,
    AudioVndVmxCvsd,
    AudioVorbis,
    AudioVorbisConfig,
    FontCollection,
    FontOtf,
    FontSfnt,
    FontTtf,
    FontWoff,
    FontWoff2,
    ImageAces,
    ImageApng,
    ImageAvci,
    ImageAvcs,
    ImageAvif,
    ImageBmp,
    ImageCgm,
    ImageDicomRle,
    ImageDpx,
    ImageEmf,
    ImageExample,
    ImageFits,
    ImageG3fax,
    ImageHeic,
    ImageHeicSequence,
    ImageHeif,
    ImageHeifSequence,
    ImageHej2k,
    ImageHsj2,
    ImageJls,
    ImageJp2,
    ImageJpeg,
    ImageJph,
    ImageJphc,
    ImageJpm,
    ImageJpx,
    ImageJxr,
    ImageJxra,
    ImageJxrs,
    ImageJxs,
    ImageJxsc,
    ImageJxsi,
    ImageJxss,
    ImageKtx,
    ImageKtx2,
    ImageNaplps,
    ImagePng,
    ImagePrsBtif,
    ImagePrsPti,
    ImagePwgRaster,
    ImageSvgXml,
    ImageT38,
    ImageTiff,
    ImageTiffFx,
    ImageVndAdobePhotoshop,
    ImageVndAirzipAcceleratorAzv,
    ImageVndCnsInf2,
    ImageVndDeceGraphic,
    ImageVndDjvu,
    ImageVndDwg,
    ImageVndDxf,
    ImageVndDvbSubtitle,
    ImageVndFastbidsheet,
    ImageVndFpx,
    ImageVndFst,
    ImageVndFujixeroxEdmicsMmr,
    ImageVndFujixeroxEdmicsRlc,
    ImageVndGlobalgraphicsPgb,
    ImageVndMicrosoftIcon,
    ImageVndMix,
    ImageVndMsModi,
    ImageVndMozillaApng,
    ImageVndNetFpx,
    ImageVndPcoB16,
    ImageVndRadiance,
    ImageVndSealedPng,
    ImageVndSealedmediaSoftsealGif,
    ImageVndSealedmediaSoftsealJpg,
    ImageVndSvf,
    ImageVndTencentTap,
    ImageVndValveSourceTexture,
    ImageVndWapWbmp,
    ImageVndXiff,
    ImageVndZbrushPcx,
    ImageWebp,
    ImageWmf,
    MessageBhttp,
    MessageCpim,
    MessageDeliveryStatus,
    MessageDispositionNotification,
    MessageExample,
    MessageFeedbackReport,
    MessageGlobal,
    MessageGlobalDeliveryStatus,
    MessageGlobalDispositionNotification,
    MessageGlobalHeaders,
    MessageHttp,
    MessageImdnXml,
    MessageMls,
    MessageOhttpReq,
    MessageOhttpRes,
    MessageSip,
    MessageSipfrag,
    MessageTrackingStatus,
    MessageVndWfaWsc,
    Model3mf,
    ModelE57,
    ModelExample,
    ModelGltfBinary,
    ModelGltfJson,
    ModelJt,
    ModelIges,
    ModelMtl,
    ModelObj,
    ModelPrc,
    ModelStep,
    ModelStepXml,
    ModelStepZip,
    ModelStepXmlZip,
    ModelStl,
    ModelU3d,
    ModelVndBary,
    ModelVndCld,
    ModelVndColladaXml,
    ModelVndDwf,
    ModelVndFlatland3dml,
    ModelVndGdl,
    ModelVndGsGdl,
    ModelVndGtw,
    ModelVndMomlXml,
    ModelVndMts,
    ModelVndOpengex,
    ModelVndParasolidTransmitBinary,
    ModelVndParasolidTransmitText,
    ModelVndPythaPyox,
    ModelVndRosetteAnnotatedDataModel,
    ModelVndSapVds,
    ModelVndUsda,
    ModelVndUsdzZip,
    ModelVndValveSourceCompiledMap,
    ModelVndVtu,
    ModelX3dVrml,
    ModelX3dFastinfoset,
    ModelX3dXml,
    MultipartAppledouble,
    MultipartByteranges,
    MultipartEncrypted,
    MultipartExample,
    MultipartFormData,
    MultipartHeaderSet,
    MultipartMultilingual,
    MultipartRelated,
    MultipartReport,
    MultipartSigned,
    MultipartVndBintMedPlus,
    MultipartVoiceMessage,
    MultipartXMixedReplace,
    Text1dInterleavedParityfec,
    TextCacheManifest,
    TextCalendar,
    TextCql,
    TextCqlExpression,
    TextCqlIdentifier,
    TextCss,
    TextCsv,
    TextCsvSchema,
    TextDns,
    TextEncaprtp,
    TextExample,
    TextFhirpath,
    TextFlexfec,
    TextFwdred,
    TextGff3,
    TextGrammarRefList,
    TextHl7v2,
    TextHtml,
    TextJavascript,
    TextJcrCnd,
    TextMarkdown,
    TextMizar,
    TextN3,
    TextParameters,
    TextParityfec,
    TextPlain,
    TextProvenanceNotation,
    TextPrsFallensteinRst,
    TextPrsLinesTag,
    TextPrsPropLogic,
    TextRaptorfec,
    TextRed,
    TextRfc822Headers,
    TextRtf,
    TextRtpEncAescm128,
    TextRtploopback,
    TextRtx,
    TextSgml,
    TextShaclc,
    TextShex,
    TextSpdx,
    TextStrings,
    TextT140,
    TextTabSeparatedValues,
    TextTroff,
    TextTurtle,
    TextUlpfec,
    TextUriList,
    TextVcard,
    TextVndA,
    TextVndAbc,
    TextVndAsciiArt,
    TextVndCurl,
    TextVndDebianCopyright,
    TextVndDmclientscript,
    TextVndDvbSubtitle,
    TextVndEsmertecThemeDescriptor,
    TextVndExchangeable,
    TextVndFamilysearchGedcom,
    TextVndFiclabFlt,
    TextVndFly,
    TextVndFmiFlexstor,
    TextVndGml,
    TextVndGraphviz,
    TextVndHans,
    TextVndHgl,
    TextVndIn3d3dml,
    TextVndIn3dSpot,
    TextVndIptcNewsml,
    TextVndIptcNitf,
    TextVndLatexZ,
    TextVndMotorolaReflex,
    TextVndMsMediapackage,
    TextVndNet2phoneCommcenterCommand,
    TextVndRadisysMsmlBasicLayout,
    TextVndSenxWarpscript,
    TextVndSunJ2meAppDescriptor,
    TextVndSosi,
    TextVndTrolltechLinguist,
    TextVndWapSi,
    TextVndWapSl,
    TextVndWapWml,
    TextVndWapWmlscript,
    TextVtt,
    TextWgsl,
    TextXml,
    TextXmlExternalParsedEntity,
    Video1dInterleavedParityfec,
    Video3gpp,
    Video3gpp2,
    Video3gppTt,
    VideoAv1,
    VideoBmpeg,
    VideoBt656,
    VideoCelb,
    VideoDv,
    VideoEncaprtp,
    VideoExample,
    VideoFfv1,
    VideoFlexfec,
    VideoH261,
    VideoH263,
    VideoH2631998,
    VideoH2632000,
    VideoH264,
    VideoH264Rcdo,
    VideoH264Svc,
    VideoH265,
    VideoH266,
    VideoIsoSegment,
    VideoJpeg,
    VideoJpeg2000,
    VideoJxsv,
    VideoMj2,
    VideoMp1s,
    VideoMp2p,
    VideoMp2t,
    VideoMp4,
    VideoMp4vEs,
    VideoMpv,
    VideoMpeg4Generic,
    VideoNv,
    VideoOgg,
    VideoParityfec,
    VideoPointer,
    VideoQuicktime,
    VideoRaptorfec,
    VideoRaw,
    VideoRtpEncAescm128,
    VideoRtploopback,
    VideoRtx,
    VideoScip,
    VideoSmpte291,
    VideoSmpte292m,
    VideoUlpfec,
    VideoVc1,
    VideoVc2,
    VideoVndCctv,
    VideoVndDeceHd,
    VideoVndDeceMobile,
    VideoVndDeceMp4,
    VideoVndDecePd,
    VideoVndDeceSd,
    VideoVndDeceVideo,
    VideoVndDirectvMpeg,
    VideoVndDirectvMpegTts,
    VideoVndDlnaMpegTts,
    VideoVndDvbFile,
    VideoVndFvt,
    VideoVndHnsVideo,
    VideoVndIptvforum1dparityfec1010,
    VideoVndIptvforum1dparityfec2005,
    VideoVndIptvforum2dparityfec1010,
    VideoVndIptvforum2dparityfec2005,
    VideoVndIptvforumTtsavc,
    VideoVndIptvforumTtsmpeg2,
    VideoVndMotorolaVideo,
    VideoVndMotorolaVideop,
    VideoVndMpegurl,
    VideoVndMsPlayreadyMediaPyv,
    VideoVndNokiaInterleavedMultimedia,
    VideoVndNokiaMp4vr,
    VideoVndNokiaVideovoip,
    VideoVndObjectvideo,
    VideoVndRadgamettoolsBink,
    VideoVndRadgamettoolsSmacker,
    VideoVndSealedMpeg1,
    VideoVndSealedMpeg4,
    VideoVndSealedSwf,
    VideoVndSealedmediaSoftsealMov,
    VideoVndUvvuMp4,
    VideoVndYoutubeYt,
    VideoVndVivo,
    VideoVp8,
    VideoVp9,
}

impl std::fmt::Display for Mime {
    fn fmt(&self, f: &mut std::fmt::Formatter) -> std::fmt::Result {
        match self {
			Mime::Application1dInterleavedParityfec => write!(f, "application/1d-interleaved-parityfec"),
			Mime::Application3gpdashQoeReportXml => write!(f, "application/3gpdash-qoe-report+xml"),
			Mime::Application3gpphalJson => write!(f, "application/3gppHal+json"),
			Mime::Application3gpphalformsJson => write!(f, "application/3gppHalForms+json"),
			Mime::Application3gppImsXml => write!(f, "application/3gpp-ims+xml"),
			Mime::ApplicationA2l => write!(f, "application/A2L"),
			Mime::ApplicationAceCbor => write!(f, "application/ace+cbor"),
			Mime::ApplicationAceJson => write!(f, "application/ace+json"),
			Mime::ApplicationActivemessage => write!(f, "application/activemessage"),
			Mime::ApplicationActivityJson => write!(f, "application/activity+json"),
			Mime::ApplicationAifCbor => write!(f, "application/aif+cbor"),
			Mime::ApplicationAifJson => write!(f, "application/aif+json"),
			Mime::ApplicationAltoCdniJson => write!(f, "application/alto-cdni+json"),
			Mime::ApplicationAltoCdnifilterJson => write!(f, "application/alto-cdnifilter+json"),
			Mime::ApplicationAltoCostmapJson => write!(f, "application/alto-costmap+json"),
			Mime::ApplicationAltoCostmapfilterJson => write!(f, "application/alto-costmapfilter+json"),
			Mime::ApplicationAltoDirectoryJson => write!(f, "application/alto-directory+json"),
			Mime::ApplicationAltoEndpointpropJson => write!(f, "application/alto-endpointprop+json"),
			Mime::ApplicationAltoEndpointpropparamsJson => write!(f, "application/alto-endpointpropparams+json"),
			Mime::ApplicationAltoEndpointcostJson => write!(f, "application/alto-endpointcost+json"),
			Mime::ApplicationAltoEndpointcostparamsJson => write!(f, "application/alto-endpointcostparams+json"),
			Mime::ApplicationAltoErrorJson => write!(f, "application/alto-error+json"),
			Mime::ApplicationAltoNetworkmapfilterJson => write!(f, "application/alto-networkmapfilter+json"),
			Mime::ApplicationAltoNetworkmapJson => write!(f, "application/alto-networkmap+json"),
			Mime::ApplicationAltoPropmapJson => write!(f, "application/alto-propmap+json"),
			Mime::ApplicationAltoPropmapparamsJson => write!(f, "application/alto-propmapparams+json"),
			Mime::ApplicationAltoUpdatestreamcontrolJson => write!(f, "application/alto-updatestreamcontrol+json"),
			Mime::ApplicationAltoUpdatestreamparamsJson => write!(f, "application/alto-updatestreamparams+json"),
			Mime::ApplicationAml => write!(f, "application/AML"),
			Mime::ApplicationAndrewInset => write!(f, "application/andrew-inset"),
			Mime::ApplicationApplefile => write!(f, "application/applefile"),
			Mime::ApplicationAtJwt => write!(f, "application/at+jwt"),
			Mime::ApplicationAtf => write!(f, "application/ATF"),
			Mime::ApplicationAtfx => write!(f, "application/ATFX"),
			Mime::ApplicationAtomXml => write!(f, "application/atom+xml"),
			Mime::ApplicationAtomcatXml => write!(f, "application/atomcat+xml"),
			Mime::ApplicationAtomdeletedXml => write!(f, "application/atomdeleted+xml"),
			Mime::ApplicationAtomicmail => write!(f, "application/atomicmail"),
			Mime::ApplicationAtomsvcXml => write!(f, "application/atomsvc+xml"),
			Mime::ApplicationAtscDwdXml => write!(f, "application/atsc-dwd+xml"),
			Mime::ApplicationAtscDynamicEventMessage => write!(f, "application/atsc-dynamic-event-message"),
			Mime::ApplicationAtscHeldXml => write!(f, "application/atsc-held+xml"),
			Mime::ApplicationAtscRdtJson => write!(f, "application/atsc-rdt+json"),
			Mime::ApplicationAtscRsatXml => write!(f, "application/atsc-rsat+xml"),
			Mime::ApplicationAtxml => write!(f, "application/ATXML"),
			Mime::ApplicationAuthPolicyXml => write!(f, "application/auth-policy+xml"),
			Mime::ApplicationAutomationmlAmlXml => write!(f, "application/automationml-aml+xml"),
			Mime::ApplicationAutomationmlAmlxZip => write!(f, "application/automationml-amlx+zip"),
			Mime::ApplicationBacnetXddZip => write!(f, "application/bacnet-xdd+zip"),
			Mime::ApplicationBatchSmtp => write!(f, "application/batch-SMTP"),
			Mime::ApplicationBeepXml => write!(f, "application/beep+xml"),
			Mime::ApplicationCalendarJson => write!(f, "application/calendar+json"),
			Mime::ApplicationCalendarXml => write!(f, "application/calendar+xml"),
			Mime::ApplicationCallCompletion => write!(f, "application/call-completion"),
			Mime::ApplicationCals1840 => write!(f, "application/CALS-1840"),
			Mime::ApplicationCaptiveJson => write!(f, "application/captive+json"),
			Mime::ApplicationCbor => write!(f, "application/cbor"),
			Mime::ApplicationCborSeq => write!(f, "application/cbor-seq"),
			Mime::ApplicationCccex => write!(f, "application/cccex"),
			Mime::ApplicationCcmpXml => write!(f, "application/ccmp+xml"),
			Mime::ApplicationCcxmlXml => write!(f, "application/ccxml+xml"),
			Mime::ApplicationCdaXml => write!(f, "application/cda+xml"),
			Mime::ApplicationCdfxXml => write!(f, "application/CDFX+XML"),
			Mime::ApplicationCdmiCapability => write!(f, "application/cdmi-capability"),
			Mime::ApplicationCdmiContainer => write!(f, "application/cdmi-container"),
			Mime::ApplicationCdmiDomain => write!(f, "application/cdmi-domain"),
			Mime::ApplicationCdmiObject => write!(f, "application/cdmi-object"),
			Mime::ApplicationCdmiQueue => write!(f, "application/cdmi-queue"),
			Mime::ApplicationCdni => write!(f, "application/cdni"),
			Mime::ApplicationCea => write!(f, "application/CEA"),
			Mime::ApplicationCea2018Xml => write!(f, "application/cea-2018+xml"),
			Mime::ApplicationCellmlXml => write!(f, "application/cellml+xml"),
			Mime::ApplicationCfw => write!(f, "application/cfw"),
			Mime::ApplicationCityJson => write!(f, "application/city+json"),
			Mime::ApplicationClr => write!(f, "application/clr"),
			Mime::ApplicationClueInfoXml => write!(f, "application/clue_info+xml"),
			Mime::ApplicationClueXml => write!(f, "application/clue+xml"),
			Mime::ApplicationCms => write!(f, "application/cms"),
			Mime::ApplicationCnrpXml => write!(f, "application/cnrp+xml"),
			Mime::ApplicationCoapGroupJson => write!(f, "application/coap-group+json"),
			Mime::ApplicationCoapPayload => write!(f, "application/coap-payload"),
			Mime::ApplicationCommonground => write!(f, "application/commonground"),
			Mime::ApplicationConciseProblemDetailsCbor => write!(f, "application/concise-problem-details+cbor"),
			Mime::ApplicationConferenceInfoXml => write!(f, "application/conference-info+xml"),
			Mime::ApplicationCplXml => write!(f, "application/cpl+xml"),
			Mime::ApplicationCose => write!(f, "application/cose"),
			Mime::ApplicationCoseKey => write!(f, "application/cose-key"),
			Mime::ApplicationCoseKeySet => write!(f, "application/cose-key-set"),
			Mime::ApplicationCoseX509 => write!(f, "application/cose-x509"),
			Mime::ApplicationCsrattrs => write!(f, "application/csrattrs"),
			Mime::ApplicationCstaXml => write!(f, "application/csta+xml"),
			Mime::ApplicationCstadataXml => write!(f, "application/CSTAdata+xml"),
			Mime::ApplicationCsvmJson => write!(f, "application/csvm+json"),
			Mime::ApplicationCwl => write!(f, "application/cwl"),
			Mime::ApplicationCwlJson => write!(f, "application/cwl+json"),
			Mime::ApplicationCwt => write!(f, "application/cwt"),
			Mime::ApplicationCybercash => write!(f, "application/cybercash"),
			Mime::ApplicationDashXml => write!(f, "application/dash+xml"),
			Mime::ApplicationDashPatchXml => write!(f, "application/dash-patch+xml"),
			Mime::ApplicationDashdelta => write!(f, "application/dashdelta"),
			Mime::ApplicationDavmountXml => write!(f, "application/davmount+xml"),
			Mime::ApplicationDcaRft => write!(f, "application/dca-rft"),
			Mime::ApplicationDcd => write!(f, "application/DCD"),
			Mime::ApplicationDecDx => write!(f, "application/dec-dx"),
			Mime::ApplicationDialogInfoXml => write!(f, "application/dialog-info+xml"),
			Mime::ApplicationDicom => write!(f, "application/dicom"),
			Mime::ApplicationDicomJson => write!(f, "application/dicom+json"),
			Mime::ApplicationDicomXml => write!(f, "application/dicom+xml"),
			Mime::ApplicationDii => write!(f, "application/DII"),
			Mime::ApplicationDit => write!(f, "application/DIT"),
			Mime::ApplicationDns => write!(f, "application/dns"),
			Mime::ApplicationDnsJson => write!(f, "application/dns+json"),
			Mime::ApplicationDnsMessage => write!(f, "application/dns-message"),
			Mime::ApplicationDotsCbor => write!(f, "application/dots+cbor"),
			Mime::ApplicationDpopJwt => write!(f, "application/dpop+jwt"),
			Mime::ApplicationDskppXml => write!(f, "application/dskpp+xml"),
			Mime::ApplicationDsscDer => write!(f, "application/dssc+der"),
			Mime::ApplicationDsscXml => write!(f, "application/dssc+xml"),
			Mime::ApplicationDvcs => write!(f, "application/dvcs"),
			Mime::ApplicationEdiConsent => write!(f, "application/EDI-consent"),
			Mime::ApplicationEdifact => write!(f, "application/EDIFACT"),
			Mime::ApplicationEdiX12 => write!(f, "application/EDI-X12"),
			Mime::ApplicationEfi => write!(f, "application/efi"),
			Mime::ApplicationElmJson => write!(f, "application/elm+json"),
			Mime::ApplicationElmXml => write!(f, "application/elm+xml"),
			Mime::ApplicationEmergencycalldataCapXml => write!(f, "application/EmergencyCallData.cap+xml"),
			Mime::ApplicationEmergencycalldataCommentXml => write!(f, "application/EmergencyCallData.Comment+xml"),
			Mime::ApplicationEmergencycalldataControlXml => write!(f, "application/EmergencyCallData.Control+xml"),
			Mime::ApplicationEmergencycalldataDeviceinfoXml => write!(f, "application/EmergencyCallData.DeviceInfo+xml"),
			Mime::ApplicationEmergencycalldataEcallMsd => write!(f, "application/EmergencyCallData.eCall.MSD"),
			Mime::ApplicationEmergencycalldataLegacyesnJson => write!(f, "application/EmergencyCallData.LegacyESN+json"),
			Mime::ApplicationEmergencycalldataProviderinfoXml => write!(f, "application/EmergencyCallData.ProviderInfo+xml"),
			Mime::ApplicationEmergencycalldataServiceinfoXml => write!(f, "application/EmergencyCallData.ServiceInfo+xml"),
			Mime::ApplicationEmergencycalldataSubscriberinfoXml => write!(f, "application/EmergencyCallData.SubscriberInfo+xml"),
			Mime::ApplicationEmergencycalldataVedsXml => write!(f, "application/EmergencyCallData.VEDS+xml"),
			Mime::ApplicationEmmaXml => write!(f, "application/emma+xml"),
			Mime::ApplicationEmotionmlXml => write!(f, "application/emotionml+xml"),
			Mime::ApplicationEncaprtp => write!(f, "application/encaprtp"),
			Mime::ApplicationEppXml => write!(f, "application/epp+xml"),
			Mime::ApplicationEpubZip => write!(f, "application/epub+zip"),
			Mime::ApplicationEshop => write!(f, "application/eshop"),
			Mime::ApplicationExample => write!(f, "application/example"),
			Mime::ApplicationExi => write!(f, "application/exi"),
			Mime::ApplicationExpectCtReportJson => write!(f, "application/expect-ct-report+json"),
			Mime::ApplicationExpress => write!(f, "application/express"),
			Mime::ApplicationFastinfoset => write!(f, "application/fastinfoset"),
			Mime::ApplicationFastsoap => write!(f, "application/fastsoap"),
			Mime::ApplicationFdf => write!(f, "application/fdf"),
			Mime::ApplicationFdtXml => write!(f, "application/fdt+xml"),
			Mime::ApplicationFhirJson => write!(f, "application/fhir+json"),
			Mime::ApplicationFhirXml => write!(f, "application/fhir+xml"),
			Mime::ApplicationFits => write!(f, "application/fits"),
			Mime::ApplicationFlexfec => write!(f, "application/flexfec"),
			Mime::ApplicationFontTdpfr => write!(f, "application/font-tdpfr"),
			Mime::ApplicationFrameworkAttributesXml => write!(f, "application/framework-attributes+xml"),
			Mime::ApplicationGeoJson => write!(f, "application/geo+json"),
			Mime::ApplicationGeoJsonSeq => write!(f, "application/geo+json-seq"),
			Mime::ApplicationGeopackageSqlite3 => write!(f, "application/geopackage+sqlite3"),
			Mime::ApplicationGeoxacmlXml => write!(f, "application/geoxacml+xml"),
			Mime::ApplicationGltfBuffer => write!(f, "application/gltf-buffer"),
			Mime::ApplicationGmlXml => write!(f, "application/gml+xml"),
			Mime::ApplicationGzip => write!(f, "application/gzip"),
			Mime::ApplicationH224 => write!(f, "application/H224"),
			Mime::ApplicationHeldXml => write!(f, "application/held+xml"),
			Mime::ApplicationHl7v2Xml => write!(f, "application/hl7v2+xml"),
			Mime::ApplicationHttp => write!(f, "application/http"),
			Mime::ApplicationHyperstudio => write!(f, "application/hyperstudio"),
			Mime::ApplicationIbeKeyRequestXml => write!(f, "application/ibe-key-request+xml"),
			Mime::ApplicationIbePkgReplyXml => write!(f, "application/ibe-pkg-reply+xml"),
			Mime::ApplicationIbePpData => write!(f, "application/ibe-pp-data"),
			Mime::ApplicationIges => write!(f, "application/iges"),
			Mime::ApplicationImIscomposingXml => write!(f, "application/im-iscomposing+xml"),
			Mime::ApplicationIndex => write!(f, "application/index"),
			Mime::ApplicationIndexCmd => write!(f, "application/index.cmd"),
			Mime::ApplicationIndexObj => write!(f, "application/index.obj"),
			Mime::ApplicationIndexResponse => write!(f, "application/index.response"),
			Mime::ApplicationIndexVnd => write!(f, "application/index.vnd"),
			Mime::ApplicationInkmlXml => write!(f, "application/inkml+xml"),
			Mime::ApplicationIotp => write!(f, "application/IOTP"),
			Mime::ApplicationIpfix => write!(f, "application/ipfix"),
			Mime::ApplicationIpp => write!(f, "application/ipp"),
			Mime::ApplicationIsup => write!(f, "application/ISUP"),
			Mime::ApplicationItsXml => write!(f, "application/its+xml"),
			Mime::ApplicationJavaArchive => write!(f, "application/java-archive"),
			Mime::ApplicationJf2feedJson => write!(f, "application/jf2feed+json"),
			Mime::ApplicationJose => write!(f, "application/jose"),
			Mime::ApplicationJoseJson => write!(f, "application/jose+json"),
			Mime::ApplicationJrdJson => write!(f, "application/jrd+json"),
			Mime::ApplicationJscalendarJson => write!(f, "application/jscalendar+json"),
			Mime::ApplicationJson => write!(f, "application/json"),
			Mime::ApplicationJsonPatchJson => write!(f, "application/json-patch+json"),
			Mime::ApplicationJsonSeq => write!(f, "application/json-seq"),
			Mime::ApplicationJwkJson => write!(f, "application/jwk+json"),
			Mime::ApplicationJwkSetJson => write!(f, "application/jwk-set+json"),
			Mime::ApplicationJwt => write!(f, "application/jwt"),
			Mime::ApplicationKpmlRequestXml => write!(f, "application/kpml-request+xml"),
			Mime::ApplicationKpmlResponseXml => write!(f, "application/kpml-response+xml"),
			Mime::ApplicationLdJson => write!(f, "application/ld+json"),
			Mime::ApplicationLgrXml => write!(f, "application/lgr+xml"),
			Mime::ApplicationLinkFormat => write!(f, "application/link-format"),
			Mime::ApplicationLinkset => write!(f, "application/linkset"),
			Mime::ApplicationLinksetJson => write!(f, "application/linkset+json"),
			Mime::ApplicationLoadControlXml => write!(f, "application/load-control+xml"),
			Mime::ApplicationLogoutJwt => write!(f, "application/logout+jwt"),
			Mime::ApplicationLostXml => write!(f, "application/lost+xml"),
			Mime::ApplicationLostsyncXml => write!(f, "application/lostsync+xml"),
			Mime::ApplicationLpfZip => write!(f, "application/lpf+zip"),
			Mime::ApplicationLxf => write!(f, "application/LXF"),
			Mime::ApplicationMacBinhex40 => write!(f, "application/mac-binhex40"),
			Mime::ApplicationMacwriteii => write!(f, "application/macwriteii"),
			Mime::ApplicationMadsXml => write!(f, "application/mads+xml"),
			Mime::ApplicationManifestJson => write!(f, "application/manifest+json"),
			Mime::ApplicationMarc => write!(f, "application/marc"),
			Mime::ApplicationMarcxmlXml => write!(f, "application/marcxml+xml"),
			Mime::ApplicationMathematica => write!(f, "application/mathematica"),
			Mime::ApplicationMathmlXml => write!(f, "application/mathml+xml"),
			Mime::ApplicationMathmlContentXml => write!(f, "application/mathml-content+xml"),
			Mime::ApplicationMathmlPresentationXml => write!(f, "application/mathml-presentation+xml"),
			Mime::ApplicationMbmsAssociatedProcedureDescriptionXml => write!(f, "application/mbms-associated-procedure-description+xml"),
			Mime::ApplicationMbmsDeregisterXml => write!(f, "application/mbms-deregister+xml"),
			Mime::ApplicationMbmsEnvelopeXml => write!(f, "application/mbms-envelope+xml"),
			Mime::ApplicationMbmsMskResponseXml => write!(f, "application/mbms-msk-response+xml"),
			Mime::ApplicationMbmsMskXml => write!(f, "application/mbms-msk+xml"),
			Mime::ApplicationMbmsProtectionDescriptionXml => write!(f, "application/mbms-protection-description+xml"),
			Mime::ApplicationMbmsReceptionReportXml => write!(f, "application/mbms-reception-report+xml"),
			Mime::ApplicationMbmsRegisterResponseXml => write!(f, "application/mbms-register-response+xml"),
			Mime::ApplicationMbmsRegisterXml => write!(f, "application/mbms-register+xml"),
			Mime::ApplicationMbmsScheduleXml => write!(f, "application/mbms-schedule+xml"),
			Mime::ApplicationMbmsUserServiceDescriptionXml => write!(f, "application/mbms-user-service-description+xml"),
			Mime::ApplicationMbox => write!(f, "application/mbox"),
			Mime::ApplicationMediaControlXml => write!(f, "application/media_control+xml"),
			Mime::ApplicationMediaPolicyDatasetXml => write!(f, "application/media-policy-dataset+xml"),
			Mime::ApplicationMediaservercontrolXml => write!(f, "application/mediaservercontrol+xml"),
			Mime::ApplicationMergePatchJson => write!(f, "application/merge-patch+json"),
			Mime::ApplicationMetalink4Xml => write!(f, "application/metalink4+xml"),
			Mime::ApplicationMetsXml => write!(f, "application/mets+xml"),
			Mime::ApplicationMf4 => write!(f, "application/MF4"),
			Mime::ApplicationMikey => write!(f, "application/mikey"),
			Mime::ApplicationMipc => write!(f, "application/mipc"),
			Mime::ApplicationMissingBlocksCborSeq => write!(f, "application/missing-blocks+cbor-seq"),
			Mime::ApplicationMmtAeiXml => write!(f, "application/mmt-aei+xml"),
			Mime::ApplicationMmtUsdXml => write!(f, "application/mmt-usd+xml"),
			Mime::ApplicationModsXml => write!(f, "application/mods+xml"),
			Mime::ApplicationMossKeys => write!(f, "application/moss-keys"),
			Mime::ApplicationMossSignature => write!(f, "application/moss-signature"),
			Mime::ApplicationMosskeyData => write!(f, "application/mosskey-data"),
			Mime::ApplicationMosskeyRequest => write!(f, "application/mosskey-request"),
			Mime::ApplicationMp21 => write!(f, "application/mp21"),
			Mime::ApplicationMp4 => write!(f, "application/mp4"),
			Mime::ApplicationMpeg4Generic => write!(f, "application/mpeg4-generic"),
			Mime::ApplicationMpeg4Iod => write!(f, "application/mpeg4-iod"),
			Mime::ApplicationMpeg4IodXmt => write!(f, "application/mpeg4-iod-xmt"),
			Mime::ApplicationMrbConsumerXml => write!(f, "application/mrb-consumer+xml"),
			Mime::ApplicationMrbPublishXml => write!(f, "application/mrb-publish+xml"),
			Mime::ApplicationMscIvrXml => write!(f, "application/msc-ivr+xml"),
			Mime::ApplicationMscMixerXml => write!(f, "application/msc-mixer+xml"),
			Mime::ApplicationMsword => write!(f, "application/msword"),
			Mime::ApplicationMudJson => write!(f, "application/mud+json"),
			Mime::ApplicationMultipartCore => write!(f, "application/multipart-core"),
			Mime::ApplicationMxf => write!(f, "application/mxf"),
			Mime::ApplicationNQuads => write!(f, "application/n-quads"),
			Mime::ApplicationNTriples => write!(f, "application/n-triples"),
			Mime::ApplicationNasdata => write!(f, "application/nasdata"),
			Mime::ApplicationNewsCheckgroups => write!(f, "application/news-checkgroups"),
			Mime::ApplicationNewsGroupinfo => write!(f, "application/news-groupinfo"),
			Mime::ApplicationNewsTransmission => write!(f, "application/news-transmission"),
			Mime::ApplicationNlsmlXml => write!(f, "application/nlsml+xml"),
			Mime::ApplicationNode => write!(f, "application/node"),
			Mime::ApplicationNss => write!(f, "application/nss"),
			Mime::ApplicationOauthAuthzReqJwt => write!(f, "application/oauth-authz-req+jwt"),
			Mime::ApplicationObliviousDnsMessage => write!(f, "application/oblivious-dns-message"),
			Mime::ApplicationOcspRequest => write!(f, "application/ocsp-request"),
			Mime::ApplicationOcspResponse => write!(f, "application/ocsp-response"),
			Mime::ApplicationOctetStream => write!(f, "application/octet-stream"),
			Mime::ApplicationOda => write!(f, "application/ODA"),
			Mime::ApplicationOdmXml => write!(f, "application/odm+xml"),
			Mime::ApplicationOdx => write!(f, "application/ODX"),
			Mime::ApplicationOebpsPackageXml => write!(f, "application/oebps-package+xml"),
			Mime::ApplicationOgg => write!(f, "application/ogg"),
			Mime::ApplicationOhttpKeys => write!(f, "application/ohttp-keys"),
			Mime::ApplicationOpcNodesetXml => write!(f, "application/opc-nodeset+xml"),
			Mime::ApplicationOscore => write!(f, "application/oscore"),
			Mime::ApplicationOxps => write!(f, "application/oxps"),
			Mime::ApplicationP21 => write!(f, "application/p21"),
			Mime::ApplicationP21Zip => write!(f, "application/p21+zip"),
			Mime::ApplicationP2pOverlayXml => write!(f, "application/p2p-overlay+xml"),
			Mime::ApplicationParityfec => write!(f, "application/parityfec"),
			Mime::ApplicationPassport => write!(f, "application/passport"),
			Mime::ApplicationPatchOpsErrorXml => write!(f, "application/patch-ops-error+xml"),
			Mime::ApplicationPdf => write!(f, "application/pdf"),
			Mime::ApplicationPdx => write!(f, "application/PDX"),
			Mime::ApplicationPemCertificateChain => write!(f, "application/pem-certificate-chain"),
			Mime::ApplicationPgpEncrypted => write!(f, "application/pgp-encrypted"),
			Mime::ApplicationPgpKeys => write!(f, "application/pgp-keys"),
			Mime::ApplicationPgpSignature => write!(f, "application/pgp-signature"),
			Mime::ApplicationPidfDiffXml => write!(f, "application/pidf-diff+xml"),
			Mime::ApplicationPidfXml => write!(f, "application/pidf+xml"),
			Mime::ApplicationPkcs10 => write!(f, "application/pkcs10"),
			Mime::ApplicationPkcs7Mime => write!(f, "application/pkcs7-mime"),
			Mime::ApplicationPkcs7Signature => write!(f, "application/pkcs7-signature"),
			Mime::ApplicationPkcs8 => write!(f, "application/pkcs8"),
			Mime::ApplicationPkcs8Encrypted => write!(f, "application/pkcs8-encrypted"),
			Mime::ApplicationPkcs12 => write!(f, "application/pkcs12"),
			Mime::ApplicationPkixAttrCert => write!(f, "application/pkix-attr-cert"),
			Mime::ApplicationPkixCert => write!(f, "application/pkix-cert"),
			Mime::ApplicationPkixCrl => write!(f, "application/pkix-crl"),
			Mime::ApplicationPkixPkipath => write!(f, "application/pkix-pkipath"),
			Mime::ApplicationPkixcmp => write!(f, "application/pkixcmp"),
			Mime::ApplicationPlsXml => write!(f, "application/pls+xml"),
			Mime::ApplicationPocSettingsXml => write!(f, "application/poc-settings+xml"),
			Mime::ApplicationPostscript => write!(f, "application/postscript"),
			Mime::ApplicationPpspTrackerJson => write!(f, "application/ppsp-tracker+json"),
			Mime::ApplicationProblemJson => write!(f, "application/problem+json"),
			Mime::ApplicationProblemXml => write!(f, "application/problem+xml"),
			Mime::ApplicationProvenanceXml => write!(f, "application/provenance+xml"),
			Mime::ApplicationPrsAlvestrandTitraxSheet => write!(f, "application/prs.alvestrand.titrax-sheet"),
			Mime::ApplicationPrsCww => write!(f, "application/prs.cww"),
			Mime::ApplicationPrsCyn => write!(f, "application/prs.cyn"),
			Mime::ApplicationPrsHpubZip => write!(f, "application/prs.hpub+zip"),
			Mime::ApplicationPrsImpliedDocumentXml => write!(f, "application/prs.implied-document+xml"),
			Mime::ApplicationPrsImpliedExecutable => write!(f, "application/prs.implied-executable"),
			Mime::ApplicationPrsImpliedStructure => write!(f, "application/prs.implied-structure"),
			Mime::ApplicationPrsNprend => write!(f, "application/prs.nprend"),
			Mime::ApplicationPrsPlucker => write!(f, "application/prs.plucker"),
			Mime::ApplicationPrsRdfXmlCrypt => write!(f, "application/prs.rdf-xml-crypt"),
			Mime::ApplicationPrsXsfXml => write!(f, "application/prs.xsf+xml"),
			Mime::ApplicationPskcXml => write!(f, "application/pskc+xml"),
			Mime::ApplicationPvdJson => write!(f, "application/pvd+json"),
			Mime::ApplicationRdfXml => write!(f, "application/rdf+xml"),
			Mime::ApplicationRouteApdXml => write!(f, "application/route-apd+xml"),
			Mime::ApplicationRouteSTsidXml => write!(f, "application/route-s-tsid+xml"),
			Mime::ApplicationRouteUsdXml => write!(f, "application/route-usd+xml"),
			Mime::ApplicationQsig => write!(f, "application/QSIG"),
			Mime::ApplicationRaptorfec => write!(f, "application/raptorfec"),
			Mime::ApplicationRdapJson => write!(f, "application/rdap+json"),
			Mime::ApplicationReginfoXml => write!(f, "application/reginfo+xml"),
			Mime::ApplicationRelaxNgCompactSyntax => write!(f, "application/relax-ng-compact-syntax"),
			Mime::ApplicationReputonJson => write!(f, "application/reputon+json"),
			Mime::ApplicationResourceListsDiffXml => write!(f, "application/resource-lists-diff+xml"),
			Mime::ApplicationResourceListsXml => write!(f, "application/resource-lists+xml"),
			Mime::ApplicationRfcXml => write!(f, "application/rfc+xml"),
			Mime::ApplicationRiscos => write!(f, "application/riscos"),
			Mime::ApplicationRlmiXml => write!(f, "application/rlmi+xml"),
			Mime::ApplicationRlsServicesXml => write!(f, "application/rls-services+xml"),
			Mime::ApplicationRpkiChecklist => write!(f, "application/rpki-checklist"),
			Mime::ApplicationRpkiGhostbusters => write!(f, "application/rpki-ghostbusters"),
			Mime::ApplicationRpkiManifest => write!(f, "application/rpki-manifest"),
			Mime::ApplicationRpkiPublication => write!(f, "application/rpki-publication"),
			Mime::ApplicationRpkiRoa => write!(f, "application/rpki-roa"),
			Mime::ApplicationRpkiUpdown => write!(f, "application/rpki-updown"),
			Mime::ApplicationRtf => write!(f, "application/rtf"),
			Mime::ApplicationRtploopback => write!(f, "application/rtploopback"),
			Mime::ApplicationRtx => write!(f, "application/rtx"),
			Mime::ApplicationSamlassertionXml => write!(f, "application/samlassertion+xml"),
			Mime::ApplicationSamlmetadataXml => write!(f, "application/samlmetadata+xml"),
			Mime::ApplicationSarifExternalPropertiesJson => write!(f, "application/sarif-external-properties+json"),
			Mime::ApplicationSarifJson => write!(f, "application/sarif+json"),
			Mime::ApplicationSbe => write!(f, "application/sbe"),
			Mime::ApplicationSbmlXml => write!(f, "application/sbml+xml"),
			Mime::ApplicationScaipXml => write!(f, "application/scaip+xml"),
			Mime::ApplicationScimJson => write!(f, "application/scim+json"),
			Mime::ApplicationScvpCvRequest => write!(f, "application/scvp-cv-request"),
			Mime::ApplicationScvpCvResponse => write!(f, "application/scvp-cv-response"),
			Mime::ApplicationScvpVpRequest => write!(f, "application/scvp-vp-request"),
			Mime::ApplicationScvpVpResponse => write!(f, "application/scvp-vp-response"),
			Mime::ApplicationSdp => write!(f, "application/sdp"),
			Mime::ApplicationSeceventJwt => write!(f, "application/secevent+jwt"),
			Mime::ApplicationSenmlEtchCbor => write!(f, "application/senml-etch+cbor"),
			Mime::ApplicationSenmlEtchJson => write!(f, "application/senml-etch+json"),
			Mime::ApplicationSenmlExi => write!(f, "application/senml-exi"),
			Mime::ApplicationSenmlCbor => write!(f, "application/senml+cbor"),
			Mime::ApplicationSenmlJson => write!(f, "application/senml+json"),
			Mime::ApplicationSenmlXml => write!(f, "application/senml+xml"),
			Mime::ApplicationSensmlExi => write!(f, "application/sensml-exi"),
			Mime::ApplicationSensmlCbor => write!(f, "application/sensml+cbor"),
			Mime::ApplicationSensmlJson => write!(f, "application/sensml+json"),
			Mime::ApplicationSensmlXml => write!(f, "application/sensml+xml"),
			Mime::ApplicationSepExi => write!(f, "application/sep-exi"),
			Mime::ApplicationSepXml => write!(f, "application/sep+xml"),
			Mime::ApplicationSessionInfo => write!(f, "application/session-info"),
			Mime::ApplicationSetPayment => write!(f, "application/set-payment"),
			Mime::ApplicationSetPaymentInitiation => write!(f, "application/set-payment-initiation"),
			Mime::ApplicationSetRegistration => write!(f, "application/set-registration"),
			Mime::ApplicationSetRegistrationInitiation => write!(f, "application/set-registration-initiation"),
			Mime::ApplicationSgml => write!(f, "application/SGML"),
			Mime::ApplicationSgmlOpenCatalog => write!(f, "application/sgml-open-catalog"),
			Mime::ApplicationShfXml => write!(f, "application/shf+xml"),
			Mime::ApplicationSieve => write!(f, "application/sieve"),
			Mime::ApplicationSimpleFilterXml => write!(f, "application/simple-filter+xml"),
			Mime::ApplicationSimpleMessageSummary => write!(f, "application/simple-message-summary"),
			Mime::ApplicationSimplesymbolcontainer => write!(f, "application/simpleSymbolContainer"),
			Mime::ApplicationSipc => write!(f, "application/sipc"),
			Mime::ApplicationSlate => write!(f, "application/slate"),
			Mime::ApplicationSmilXml => write!(f, "application/smil+xml"),
			Mime::ApplicationSmpte336m => write!(f, "application/smpte336m"),
			Mime::ApplicationSoapFastinfoset => write!(f, "application/soap+fastinfoset"),
			Mime::ApplicationSoapXml => write!(f, "application/soap+xml"),
			Mime::ApplicationSparqlQuery => write!(f, "application/sparql-query"),
			Mime::ApplicationSpdxJson => write!(f, "application/spdx+json"),
			Mime::ApplicationSparqlResultsXml => write!(f, "application/sparql-results+xml"),
			Mime::ApplicationSpiritsEventXml => write!(f, "application/spirits-event+xml"),
			Mime::ApplicationSql => write!(f, "application/sql"),
			Mime::ApplicationSrgs => write!(f, "application/srgs"),
			Mime::ApplicationSrgsXml => write!(f, "application/srgs+xml"),
			Mime::ApplicationSruXml => write!(f, "application/sru+xml"),
			Mime::ApplicationSsmlXml => write!(f, "application/ssml+xml"),
			Mime::ApplicationStixJson => write!(f, "application/stix+json"),
			Mime::ApplicationSwidCbor => write!(f, "application/swid+cbor"),
			Mime::ApplicationSwidXml => write!(f, "application/swid+xml"),
			Mime::ApplicationTampApexUpdate => write!(f, "application/tamp-apex-update"),
			Mime::ApplicationTampApexUpdateConfirm => write!(f, "application/tamp-apex-update-confirm"),
			Mime::ApplicationTampCommunityUpdate => write!(f, "application/tamp-community-update"),
			Mime::ApplicationTampCommunityUpdateConfirm => write!(f, "application/tamp-community-update-confirm"),
			Mime::ApplicationTampError => write!(f, "application/tamp-error"),
			Mime::ApplicationTampSequenceAdjust => write!(f, "application/tamp-sequence-adjust"),
			Mime::ApplicationTampSequenceAdjustConfirm => write!(f, "application/tamp-sequence-adjust-confirm"),
			Mime::ApplicationTampStatusQuery => write!(f, "application/tamp-status-query"),
			Mime::ApplicationTampStatusResponse => write!(f, "application/tamp-status-response"),
			Mime::ApplicationTampUpdate => write!(f, "application/tamp-update"),
			Mime::ApplicationTampUpdateConfirm => write!(f, "application/tamp-update-confirm"),
			Mime::ApplicationTaxiiJson => write!(f, "application/taxii+json"),
			Mime::ApplicationTdJson => write!(f, "application/td+json"),
			Mime::ApplicationTeiXml => write!(f, "application/tei+xml"),
			Mime::ApplicationTetraIsi => write!(f, "application/TETRA_ISI"),
			Mime::ApplicationThraudXml => write!(f, "application/thraud+xml"),
			Mime::ApplicationTimestampQuery => write!(f, "application/timestamp-query"),
			Mime::ApplicationTimestampReply => write!(f, "application/timestamp-reply"),
			Mime::ApplicationTimestampedData => write!(f, "application/timestamped-data"),
			Mime::ApplicationTlsrptGzip => write!(f, "application/tlsrpt+gzip"),
			Mime::ApplicationTlsrptJson => write!(f, "application/tlsrpt+json"),
			Mime::ApplicationTmJson => write!(f, "application/tm+json"),
			Mime::ApplicationTnauthlist => write!(f, "application/tnauthlist"),
			Mime::ApplicationTokenIntrospectionJwt => write!(f, "application/token-introspection+jwt"),
			Mime::ApplicationTrickleIceSdpfrag => write!(f, "application/trickle-ice-sdpfrag"),
			Mime::ApplicationTrig => write!(f, "application/trig"),
			Mime::ApplicationTtmlXml => write!(f, "application/ttml+xml"),
			Mime::ApplicationTveTrigger => write!(f, "application/tve-trigger"),
			Mime::ApplicationTzif => write!(f, "application/tzif"),
			Mime::ApplicationTzifLeap => write!(f, "application/tzif-leap"),
			Mime::ApplicationUlpfec => write!(f, "application/ulpfec"),
			Mime::ApplicationUrcGrpsheetXml => write!(f, "application/urc-grpsheet+xml"),
			Mime::ApplicationUrcRessheetXml => write!(f, "application/urc-ressheet+xml"),
			Mime::ApplicationUrcTargetdescXml => write!(f, "application/urc-targetdesc+xml"),
			Mime::ApplicationUrcUisocketdescXml => write!(f, "application/urc-uisocketdesc+xml"),
			Mime::ApplicationVcardJson => write!(f, "application/vcard+json"),
			Mime::ApplicationVcardXml => write!(f, "application/vcard+xml"),
			Mime::ApplicationVemmi => write!(f, "application/vemmi"),
			Mime::ApplicationVnd1000mindsDecisionModelXml => write!(f, "application/vnd.1000minds.decision-model+xml"),
			Mime::ApplicationVnd1ob => write!(f, "application/vnd.1ob"),
			Mime::ApplicationVnd3gpp5gnas => write!(f, "application/vnd.3gpp.5gnas"),
			Mime::ApplicationVnd3gppAccessTransferEventsXml => write!(f, "application/vnd.3gpp.access-transfer-events+xml"),
			Mime::ApplicationVnd3gppBsfXml => write!(f, "application/vnd.3gpp.bsf+xml"),
			Mime::ApplicationVnd3gppCrsXml => write!(f, "application/vnd.3gpp.crs+xml"),
			Mime::ApplicationVnd3gppCurrentLocationDiscoveryXml => write!(f, "application/vnd.3gpp.current-location-discovery+xml"),
			Mime::ApplicationVnd3gppGmopXml => write!(f, "application/vnd.3gpp.GMOP+xml"),
			Mime::ApplicationVnd3gppGtpc => write!(f, "application/vnd.3gpp.gtpc"),
			Mime::ApplicationVnd3gppInterworkingData => write!(f, "application/vnd.3gpp.interworking-data"),
			Mime::ApplicationVnd3gppLpp => write!(f, "application/vnd.3gpp.lpp"),
			Mime::ApplicationVnd3gppMcSignallingEar => write!(f, "application/vnd.3gpp.mc-signalling-ear"),
			Mime::ApplicationVnd3gppMcdataAffiliationCommandXml => write!(f, "application/vnd.3gpp.mcdata-affiliation-command+xml"),
			Mime::ApplicationVnd3gppMcdataInfoXml => write!(f, "application/vnd.3gpp.mcdata-info+xml"),
			Mime::ApplicationVnd3gppMcdataMsgstoreCtrlRequestXml => write!(f, "application/vnd.3gpp.mcdata-msgstore-ctrl-request+xml"),
			Mime::ApplicationVnd3gppMcdataPayload => write!(f, "application/vnd.3gpp.mcdata-payload"),
			Mime::ApplicationVnd3gppMcdataRegroupXml => write!(f, "application/vnd.3gpp.mcdata-regroup+xml"),
			Mime::ApplicationVnd3gppMcdataServiceConfigXml => write!(f, "application/vnd.3gpp.mcdata-service-config+xml"),
			Mime::ApplicationVnd3gppMcdataSignalling => write!(f, "application/vnd.3gpp.mcdata-signalling"),
			Mime::ApplicationVnd3gppMcdataUeConfigXml => write!(f, "application/vnd.3gpp.mcdata-ue-config+xml"),
			Mime::ApplicationVnd3gppMcdataUserProfileXml => write!(f, "application/vnd.3gpp.mcdata-user-profile+xml"),
			Mime::ApplicationVnd3gppMcpttAffiliationCommandXml => write!(f, "application/vnd.3gpp.mcptt-affiliation-command+xml"),
			Mime::ApplicationVnd3gppMcpttFloorRequestXml => write!(f, "application/vnd.3gpp.mcptt-floor-request+xml"),
			Mime::ApplicationVnd3gppMcpttInfoXml => write!(f, "application/vnd.3gpp.mcptt-info+xml"),
			Mime::ApplicationVnd3gppMcpttLocationInfoXml => write!(f, "application/vnd.3gpp.mcptt-location-info+xml"),
			Mime::ApplicationVnd3gppMcpttMbmsUsageInfoXml => write!(f, "application/vnd.3gpp.mcptt-mbms-usage-info+xml"),
			Mime::ApplicationVnd3gppMcpttRegroupXml => write!(f, "application/vnd.3gpp.mcptt-regroup+xml"),
			Mime::ApplicationVnd3gppMcpttServiceConfigXml => write!(f, "application/vnd.3gpp.mcptt-service-config+xml"),
			Mime::ApplicationVnd3gppMcpttSignedXml => write!(f, "application/vnd.3gpp.mcptt-signed+xml"),
			Mime::ApplicationVnd3gppMcpttUeConfigXml => write!(f, "application/vnd.3gpp.mcptt-ue-config+xml"),
			Mime::ApplicationVnd3gppMcpttUeInitConfigXml => write!(f, "application/vnd.3gpp.mcptt-ue-init-config+xml"),
			Mime::ApplicationVnd3gppMcpttUserProfileXml => write!(f, "application/vnd.3gpp.mcptt-user-profile+xml"),
			Mime::ApplicationVnd3gppMcvideoAffiliationCommandXml => write!(f, "application/vnd.3gpp.mcvideo-affiliation-command+xml"),
			Mime::ApplicationVnd3gppMcvideoInfoXml => write!(f, "application/vnd.3gpp.mcvideo-info+xml"),
			Mime::ApplicationVnd3gppMcvideoLocationInfoXml => write!(f, "application/vnd.3gpp.mcvideo-location-info+xml"),
			Mime::ApplicationVnd3gppMcvideoMbmsUsageInfoXml => write!(f, "application/vnd.3gpp.mcvideo-mbms-usage-info+xml"),
			Mime::ApplicationVnd3gppMcvideoRegroupXml => write!(f, "application/vnd.3gpp.mcvideo-regroup+xml"),
			Mime::ApplicationVnd3gppMcvideoServiceConfigXml => write!(f, "application/vnd.3gpp.mcvideo-service-config+xml"),
			Mime::ApplicationVnd3gppMcvideoTransmissionRequestXml => write!(f, "application/vnd.3gpp.mcvideo-transmission-request+xml"),
			Mime::ApplicationVnd3gppMcvideoUeConfigXml => write!(f, "application/vnd.3gpp.mcvideo-ue-config+xml"),
			Mime::ApplicationVnd3gppMcvideoUserProfileXml => write!(f, "application/vnd.3gpp.mcvideo-user-profile+xml"),
			Mime::ApplicationVnd3gppMidCallXml => write!(f, "application/vnd.3gpp.mid-call+xml"),
			Mime::ApplicationVnd3gppNgap => write!(f, "application/vnd.3gpp.ngap"),
			Mime::ApplicationVnd3gppPfcp => write!(f, "application/vnd.3gpp.pfcp"),
			Mime::ApplicationVnd3gppPicBwLarge => write!(f, "application/vnd.3gpp.pic-bw-large"),
			Mime::ApplicationVnd3gppPicBwSmall => write!(f, "application/vnd.3gpp.pic-bw-small"),
			Mime::ApplicationVnd3gppPicBwVar => write!(f, "application/vnd.3gpp.pic-bw-var"),
			Mime::ApplicationVnd3gppProsePc3aXml => write!(f, "application/vnd.3gpp-prose-pc3a+xml"),
			Mime::ApplicationVnd3gppProsePc3achXml => write!(f, "application/vnd.3gpp-prose-pc3ach+xml"),
			Mime::ApplicationVnd3gppProsePc3chXml => write!(f, "application/vnd.3gpp-prose-pc3ch+xml"),
			Mime::ApplicationVnd3gppProsePc8Xml => write!(f, "application/vnd.3gpp-prose-pc8+xml"),
			Mime::ApplicationVnd3gppProseXml => write!(f, "application/vnd.3gpp-prose+xml"),
			Mime::ApplicationVnd3gppS1ap => write!(f, "application/vnd.3gpp.s1ap"),
			Mime::ApplicationVnd3gppSealGroupDocXml => write!(f, "application/vnd.3gpp.seal-group-doc+xml"),
			Mime::ApplicationVnd3gppSealInfoXml => write!(f, "application/vnd.3gpp.seal-info+xml"),
			Mime::ApplicationVnd3gppSealLocationInfoXml => write!(f, "application/vnd.3gpp.seal-location-info+xml"),
			Mime::ApplicationVnd3gppSealMbmsUsageInfoXml => write!(f, "application/vnd.3gpp.seal-mbms-usage-info+xml"),
			Mime::ApplicationVnd3gppSealNetworkQosManagementInfoXml => write!(f, "application/vnd.3gpp.seal-network-QoS-management-info+xml"),
			Mime::ApplicationVnd3gppSealUeConfigInfoXml => write!(f, "application/vnd.3gpp.seal-ue-config-info+xml"),
			Mime::ApplicationVnd3gppSealUnicastInfoXml => write!(f, "application/vnd.3gpp.seal-unicast-info+xml"),
			Mime::ApplicationVnd3gppSealUserProfileInfoXml => write!(f, "application/vnd.3gpp.seal-user-profile-info+xml"),
			Mime::ApplicationVnd3gppSms => write!(f, "application/vnd.3gpp.sms"),
			Mime::ApplicationVnd3gppSmsXml => write!(f, "application/vnd.3gpp.sms+xml"),
			Mime::ApplicationVnd3gppSrvccExtXml => write!(f, "application/vnd.3gpp.srvcc-ext+xml"),
			Mime::ApplicationVnd3gppSrvccInfoXml => write!(f, "application/vnd.3gpp.SRVCC-info+xml"),
			Mime::ApplicationVnd3gppStateAndEventInfoXml => write!(f, "application/vnd.3gpp.state-and-event-info+xml"),
			Mime::ApplicationVnd3gppUssdXml => write!(f, "application/vnd.3gpp.ussd+xml"),
			Mime::ApplicationVnd3gppVaeInfoXml => write!(f, "application/vnd.3gpp.vae-info+xml"),
			Mime::ApplicationVnd3gppV2xLocalServiceInformation => write!(f, "application/vnd.3gpp-v2x-local-service-information"),
			Mime::ApplicationVnd3gpp2BcmcsinfoXml => write!(f, "application/vnd.3gpp2.bcmcsinfo+xml"),
			Mime::ApplicationVnd3gpp2Sms => write!(f, "application/vnd.3gpp2.sms"),
			Mime::ApplicationVnd3gpp2Tcap => write!(f, "application/vnd.3gpp2.tcap"),
			Mime::ApplicationVnd3gppV2x => write!(f, "application/vnd.3gpp.v2x"),
			Mime::ApplicationVnd3lightssoftwareImagescal => write!(f, "application/vnd.3lightssoftware.imagescal"),
			Mime::ApplicationVnd3mPostItNotes => write!(f, "application/vnd.3M.Post-it-Notes"),
			Mime::ApplicationVndAccpacSimplyAso => write!(f, "application/vnd.accpac.simply.aso"),
			Mime::ApplicationVndAccpacSimplyImp => write!(f, "application/vnd.accpac.simply.imp"),
			Mime::ApplicationVndAcmAddressxferJson => write!(f, "application/vnd.acm.addressxfer+json"),
			Mime::ApplicationVndAcucobol => write!(f, "application/vnd.acucobol"),
			Mime::ApplicationVndAcucorp => write!(f, "application/vnd.acucorp"),
			Mime::ApplicationVndAdobeFlashMovie => write!(f, "application/vnd.adobe.flash.movie"),
			Mime::ApplicationVndAdobeFormscentralFcdt => write!(f, "application/vnd.adobe.formscentral.fcdt"),
			Mime::ApplicationVndAdobeFxp => write!(f, "application/vnd.adobe.fxp"),
			Mime::ApplicationVndAdobePartialUpload => write!(f, "application/vnd.adobe.partial-upload"),
			Mime::ApplicationVndAdobeXdpXml => write!(f, "application/vnd.adobe.xdp+xml"),
			Mime::ApplicationVndAetherImp => write!(f, "application/vnd.aether.imp"),
			Mime::ApplicationVndAfpcAfplinedata => write!(f, "application/vnd.afpc.afplinedata"),
			Mime::ApplicationVndAfpcAfplinedataPagedef => write!(f, "application/vnd.afpc.afplinedata-pagedef"),
			Mime::ApplicationVndAfpcCmocaCmresource => write!(f, "application/vnd.afpc.cmoca-cmresource"),
			Mime::ApplicationVndAfpcFocaCharset => write!(f, "application/vnd.afpc.foca-charset"),
			Mime::ApplicationVndAfpcFocaCodedfont => write!(f, "application/vnd.afpc.foca-codedfont"),
			Mime::ApplicationVndAfpcFocaCodepage => write!(f, "application/vnd.afpc.foca-codepage"),
			Mime::ApplicationVndAfpcModca => write!(f, "application/vnd.afpc.modca"),
			Mime::ApplicationVndAfpcModcaCmtable => write!(f, "application/vnd.afpc.modca-cmtable"),
			Mime::ApplicationVndAfpcModcaFormdef => write!(f, "application/vnd.afpc.modca-formdef"),
			Mime::ApplicationVndAfpcModcaMediummap => write!(f, "application/vnd.afpc.modca-mediummap"),
			Mime::ApplicationVndAfpcModcaObjectcontainer => write!(f, "application/vnd.afpc.modca-objectcontainer"),
			Mime::ApplicationVndAfpcModcaOverlay => write!(f, "application/vnd.afpc.modca-overlay"),
			Mime::ApplicationVndAfpcModcaPagesegment => write!(f, "application/vnd.afpc.modca-pagesegment"),
			Mime::ApplicationVndAge => write!(f, "application/vnd.age"),
			Mime::ApplicationVndAhBarcode => write!(f, "application/vnd.ah-barcode"),
			Mime::ApplicationVndAheadSpace => write!(f, "application/vnd.ahead.space"),
			Mime::ApplicationVndAirzipFilesecureAzf => write!(f, "application/vnd.airzip.filesecure.azf"),
			Mime::ApplicationVndAirzipFilesecureAzs => write!(f, "application/vnd.airzip.filesecure.azs"),
			Mime::ApplicationVndAmadeusJson => write!(f, "application/vnd.amadeus+json"),
			Mime::ApplicationVndAmazonMobi8Ebook => write!(f, "application/vnd.amazon.mobi8-ebook"),
			Mime::ApplicationVndAmericandynamicsAcc => write!(f, "application/vnd.americandynamics.acc"),
			Mime::ApplicationVndAmigaAmi => write!(f, "application/vnd.amiga.ami"),
			Mime::ApplicationVndAmundsenMazeXml => write!(f, "application/vnd.amundsen.maze+xml"),
			Mime::ApplicationVndAndroidOta => write!(f, "application/vnd.android.ota"),
			Mime::ApplicationVndAnki => write!(f, "application/vnd.anki"),
			Mime::ApplicationVndAnserWebCertificateIssueInitiation => write!(f, "application/vnd.anser-web-certificate-issue-initiation"),
			Mime::ApplicationVndAntixGameComponent => write!(f, "application/vnd.antix.game-component"),
			Mime::ApplicationVndApacheArrowFile => write!(f, "application/vnd.apache.arrow.file"),
			Mime::ApplicationVndApacheArrowStream => write!(f, "application/vnd.apache.arrow.stream"),
			Mime::ApplicationVndApacheThriftBinary => write!(f, "application/vnd.apache.thrift.binary"),
			Mime::ApplicationVndApacheThriftCompact => write!(f, "application/vnd.apache.thrift.compact"),
			Mime::ApplicationVndApacheThriftJson => write!(f, "application/vnd.apache.thrift.json"),
			Mime::ApplicationVndApexlang => write!(f, "application/vnd.apexlang"),
			Mime::ApplicationVndApiJson => write!(f, "application/vnd.api+json"),
			Mime::ApplicationVndAplextorWarrpJson => write!(f, "application/vnd.aplextor.warrp+json"),
			Mime::ApplicationVndApothekendeReservationJson => write!(f, "application/vnd.apothekende.reservation+json"),
			Mime::ApplicationVndAppleInstallerXml => write!(f, "application/vnd.apple.installer+xml"),
			Mime::ApplicationVndAppleKeynote => write!(f, "application/vnd.apple.keynote"),
			Mime::ApplicationVndAppleMpegurl => write!(f, "application/vnd.apple.mpegurl"),
			Mime::ApplicationVndAppleNumbers => write!(f, "application/vnd.apple.numbers"),
			Mime::ApplicationVndApplePages => write!(f, "application/vnd.apple.pages"),
			Mime::ApplicationVndAristanetworksSwi => write!(f, "application/vnd.aristanetworks.swi"),
			Mime::ApplicationVndArtisanJson => write!(f, "application/vnd.artisan+json"),
			Mime::ApplicationVndArtsquare => write!(f, "application/vnd.artsquare"),
			Mime::ApplicationVndAstraeaSoftwareIota => write!(f, "application/vnd.astraea-software.iota"),
			Mime::ApplicationVndAudiograph => write!(f, "application/vnd.audiograph"),
			Mime::ApplicationVndAutopackage => write!(f, "application/vnd.autopackage"),
			Mime::ApplicationVndAvalonJson => write!(f, "application/vnd.avalon+json"),
			Mime::ApplicationVndAvistarXml => write!(f, "application/vnd.avistar+xml"),
			Mime::ApplicationVndBalsamiqBmmlXml => write!(f, "application/vnd.balsamiq.bmml+xml"),
			Mime::ApplicationVndBananaAccounting => write!(f, "application/vnd.banana-accounting"),
			Mime::ApplicationVndBbfUspError => write!(f, "application/vnd.bbf.usp.error"),
			Mime::ApplicationVndBbfUspMsg => write!(f, "application/vnd.bbf.usp.msg"),
			Mime::ApplicationVndBbfUspMsgJson => write!(f, "application/vnd.bbf.usp.msg+json"),
			Mime::ApplicationVndBalsamiqBmpr => write!(f, "application/vnd.balsamiq.bmpr"),
			Mime::ApplicationVndBekitzurStechJson => write!(f, "application/vnd.bekitzur-stech+json"),
			Mime::ApplicationVndBelightsoftLhzdZip => write!(f, "application/vnd.belightsoft.lhzd+zip"),
			Mime::ApplicationVndBelightsoftLhzlZip => write!(f, "application/vnd.belightsoft.lhzl+zip"),
			Mime::ApplicationVndBintMedContent => write!(f, "application/vnd.bint.med-content"),
			Mime::ApplicationVndBiopaxRdfXml => write!(f, "application/vnd.biopax.rdf+xml"),
			Mime::ApplicationVndBlinkIdbValueWrapper => write!(f, "application/vnd.blink-idb-value-wrapper"),
			Mime::ApplicationVndBlueiceMultipass => write!(f, "application/vnd.blueice.multipass"),
			Mime::ApplicationVndBluetoothEpOob => write!(f, "application/vnd.bluetooth.ep.oob"),
			Mime::ApplicationVndBluetoothLeOob => write!(f, "application/vnd.bluetooth.le.oob"),
			Mime::ApplicationVndBmi => write!(f, "application/vnd.bmi"),
			Mime::ApplicationVndBpf => write!(f, "application/vnd.bpf"),
			Mime::ApplicationVndBpf3 => write!(f, "application/vnd.bpf3"),
			Mime::ApplicationVndBusinessobjects => write!(f, "application/vnd.businessobjects"),
			Mime::ApplicationVndByuUapiJson => write!(f, "application/vnd.byu.uapi+json"),
			Mime::ApplicationVndCabJscript => write!(f, "application/vnd.cab-jscript"),
			Mime::ApplicationVndCanonCpdl => write!(f, "application/vnd.canon-cpdl"),
			Mime::ApplicationVndCanonLips => write!(f, "application/vnd.canon-lips"),
			Mime::ApplicationVndCapasystemsPgJson => write!(f, "application/vnd.capasystems-pg+json"),
			Mime::ApplicationVndCendioThinlincClientconf => write!(f, "application/vnd.cendio.thinlinc.clientconf"),
			Mime::ApplicationVndCenturySystemsTcpStream => write!(f, "application/vnd.century-systems.tcp_stream"),
			Mime::ApplicationVndChemdrawXml => write!(f, "application/vnd.chemdraw+xml"),
			Mime::ApplicationVndChessPgn => write!(f, "application/vnd.chess-pgn"),
			Mime::ApplicationVndChipnutsKaraokeMmd => write!(f, "application/vnd.chipnuts.karaoke-mmd"),
			Mime::ApplicationVndCiedi => write!(f, "application/vnd.ciedi"),
			Mime::ApplicationVndCinderella => write!(f, "application/vnd.cinderella"),
			Mime::ApplicationVndCirpackIsdnExt => write!(f, "application/vnd.cirpack.isdn-ext"),
			Mime::ApplicationVndCitationstylesStyleXml => write!(f, "application/vnd.citationstyles.style+xml"),
			Mime::ApplicationVndClaymore => write!(f, "application/vnd.claymore"),
			Mime::ApplicationVndCloantoRp9 => write!(f, "application/vnd.cloanto.rp9"),
			Mime::ApplicationVndClonkC4group => write!(f, "application/vnd.clonk.c4group"),
			Mime::ApplicationVndCluetrustCartomobileConfig => write!(f, "application/vnd.cluetrust.cartomobile-config"),
			Mime::ApplicationVndCluetrustCartomobileConfigPkg => write!(f, "application/vnd.cluetrust.cartomobile-config-pkg"),
			Mime::ApplicationVndCncfHelmChartContentV1TarGzip => write!(f, "application/vnd.cncf.helm.chart.content.v1.tar+gzip"),
			Mime::ApplicationVndCncfHelmChartProvenanceV1Prov => write!(f, "application/vnd.cncf.helm.chart.provenance.v1.prov"),
			Mime::ApplicationVndCncfHelmConfigV1Json => write!(f, "application/vnd.cncf.helm.config.v1+json"),
			Mime::ApplicationVndCoffeescript => write!(f, "application/vnd.coffeescript"),
			Mime::ApplicationVndCollabioXodocumentsDocument => write!(f, "application/vnd.collabio.xodocuments.document"),
			Mime::ApplicationVndCollabioXodocumentsDocumentTemplate => write!(f, "application/vnd.collabio.xodocuments.document-template"),
			Mime::ApplicationVndCollabioXodocumentsPresentation => write!(f, "application/vnd.collabio.xodocuments.presentation"),
			Mime::ApplicationVndCollabioXodocumentsPresentationTemplate => write!(f, "application/vnd.collabio.xodocuments.presentation-template"),
			Mime::ApplicationVndCollabioXodocumentsSpreadsheet => write!(f, "application/vnd.collabio.xodocuments.spreadsheet"),
			Mime::ApplicationVndCollabioXodocumentsSpreadsheetTemplate => write!(f, "application/vnd.collabio.xodocuments.spreadsheet-template"),
			Mime::ApplicationVndCollectionDocJson => write!(f, "application/vnd.collection.doc+json"),
			Mime::ApplicationVndCollectionJson => write!(f, "application/vnd.collection+json"),
			Mime::ApplicationVndCollectionNextJson => write!(f, "application/vnd.collection.next+json"),
			Mime::ApplicationVndComicbookRar => write!(f, "application/vnd.comicbook-rar"),
			Mime::ApplicationVndComicbookZip => write!(f, "application/vnd.comicbook+zip"),
			Mime::ApplicationVndCommerceBattelle => write!(f, "application/vnd.commerce-battelle"),
			Mime::ApplicationVndCommonspace => write!(f, "application/vnd.commonspace"),
			Mime::ApplicationVndCoreosIgnitionJson => write!(f, "application/vnd.coreos.ignition+json"),
			Mime::ApplicationVndCosmocaller => write!(f, "application/vnd.cosmocaller"),
			Mime::ApplicationVndContactCmsg => write!(f, "application/vnd.contact.cmsg"),
			Mime::ApplicationVndCrickClicker => write!(f, "application/vnd.crick.clicker"),
			Mime::ApplicationVndCrickClickerKeyboard => write!(f, "application/vnd.crick.clicker.keyboard"),
			Mime::ApplicationVndCrickClickerPalette => write!(f, "application/vnd.crick.clicker.palette"),
			Mime::ApplicationVndCrickClickerTemplate => write!(f, "application/vnd.crick.clicker.template"),
			Mime::ApplicationVndCrickClickerWordbank => write!(f, "application/vnd.crick.clicker.wordbank"),
			Mime::ApplicationVndCriticaltoolsWbsXml => write!(f, "application/vnd.criticaltools.wbs+xml"),
			Mime::ApplicationVndCryptiiPipeJson => write!(f, "application/vnd.cryptii.pipe+json"),
			Mime::ApplicationVndCryptoShadeFile => write!(f, "application/vnd.crypto-shade-file"),
			Mime::ApplicationVndCryptomatorEncrypted => write!(f, "application/vnd.cryptomator.encrypted"),
			Mime::ApplicationVndCryptomatorVault => write!(f, "application/vnd.cryptomator.vault"),
			Mime::ApplicationVndCtcPosml => write!(f, "application/vnd.ctc-posml"),
			Mime::ApplicationVndCtctWsXml => write!(f, "application/vnd.ctct.ws+xml"),
			Mime::ApplicationVndCupsPdf => write!(f, "application/vnd.cups-pdf"),
			Mime::ApplicationVndCupsPostscript => write!(f, "application/vnd.cups-postscript"),
			Mime::ApplicationVndCupsPpd => write!(f, "application/vnd.cups-ppd"),
			Mime::ApplicationVndCupsRaster => write!(f, "application/vnd.cups-raster"),
			Mime::ApplicationVndCupsRaw => write!(f, "application/vnd.cups-raw"),
			Mime::ApplicationVndCurl => write!(f, "application/vnd.curl"),
			Mime::ApplicationVndCyanDeanRootXml => write!(f, "application/vnd.cyan.dean.root+xml"),
			Mime::ApplicationVndCybank => write!(f, "application/vnd.cybank"),
			Mime::ApplicationVndCyclonedxJson => write!(f, "application/vnd.cyclonedx+json"),
			Mime::ApplicationVndCyclonedxXml => write!(f, "application/vnd.cyclonedx+xml"),
			Mime::ApplicationVndD2lCoursepackage1p0Zip => write!(f, "application/vnd.d2l.coursepackage1p0+zip"),
			Mime::ApplicationVndD3mDataset => write!(f, "application/vnd.d3m-dataset"),
			Mime::ApplicationVndD3mProblem => write!(f, "application/vnd.d3m-problem"),
			Mime::ApplicationVndDart => write!(f, "application/vnd.dart"),
			Mime::ApplicationVndDataVisionRdz => write!(f, "application/vnd.data-vision.rdz"),
			Mime::ApplicationVndDatalog => write!(f, "application/vnd.datalog"),
			Mime::ApplicationVndDatapackageJson => write!(f, "application/vnd.datapackage+json"),
			Mime::ApplicationVndDataresourceJson => write!(f, "application/vnd.dataresource+json"),
			Mime::ApplicationVndDbf => write!(f, "application/vnd.dbf"),
			Mime::ApplicationVndDebianBinaryPackage => write!(f, "application/vnd.debian.binary-package"),
			Mime::ApplicationVndDeceData => write!(f, "application/vnd.dece.data"),
			Mime::ApplicationVndDeceTtmlXml => write!(f, "application/vnd.dece.ttml+xml"),
			Mime::ApplicationVndDeceUnspecified => write!(f, "application/vnd.dece.unspecified"),
			Mime::ApplicationVndDeceZip => write!(f, "application/vnd.dece.zip"),
			Mime::ApplicationVndDenovoFcselayoutLink => write!(f, "application/vnd.denovo.fcselayout-link"),
			Mime::ApplicationVndDesmumeMovie => write!(f, "application/vnd.desmume.movie"),
			Mime::ApplicationVndDirBiPlateDlNosuffix => write!(f, "application/vnd.dir-bi.plate-dl-nosuffix"),
			Mime::ApplicationVndDmDelegationXml => write!(f, "application/vnd.dm.delegation+xml"),
			Mime::ApplicationVndDna => write!(f, "application/vnd.dna"),
			Mime::ApplicationVndDocumentJson => write!(f, "application/vnd.document+json"),
			Mime::ApplicationVndDolbyMobile1 => write!(f, "application/vnd.dolby.mobile.1"),
			Mime::ApplicationVndDolbyMobile2 => write!(f, "application/vnd.dolby.mobile.2"),
			Mime::ApplicationVndDoremirScorecloudBinaryDocument => write!(f, "application/vnd.doremir.scorecloud-binary-document"),
			Mime::ApplicationVndDpgraph => write!(f, "application/vnd.dpgraph"),
			Mime::ApplicationVndDreamfactory => write!(f, "application/vnd.dreamfactory"),
			Mime::ApplicationVndDriveJson => write!(f, "application/vnd.drive+json"),
			Mime::ApplicationVndDtgLocal => write!(f, "application/vnd.dtg.local"),
			Mime::ApplicationVndDtgLocalFlash => write!(f, "application/vnd.dtg.local.flash"),
			Mime::ApplicationVndDtgLocalHtml => write!(f, "application/vnd.dtg.local.html"),
			Mime::ApplicationVndDvbAit => write!(f, "application/vnd.dvb.ait"),
			Mime::ApplicationVndDvbDvbislXml => write!(f, "application/vnd.dvb.dvbisl+xml"),
			Mime::ApplicationVndDvbDvbj => write!(f, "application/vnd.dvb.dvbj"),
			Mime::ApplicationVndDvbEsgcontainer => write!(f, "application/vnd.dvb.esgcontainer"),
			Mime::ApplicationVndDvbIpdcdftnotifaccess => write!(f, "application/vnd.dvb.ipdcdftnotifaccess"),
			Mime::ApplicationVndDvbIpdcesgaccess => write!(f, "application/vnd.dvb.ipdcesgaccess"),
			Mime::ApplicationVndDvbIpdcesgaccess2 => write!(f, "application/vnd.dvb.ipdcesgaccess2"),
			Mime::ApplicationVndDvbIpdcesgpdd => write!(f, "application/vnd.dvb.ipdcesgpdd"),
			Mime::ApplicationVndDvbIpdcroaming => write!(f, "application/vnd.dvb.ipdcroaming"),
			Mime::ApplicationVndDvbIptvAlfecBase => write!(f, "application/vnd.dvb.iptv.alfec-base"),
			Mime::ApplicationVndDvbIptvAlfecEnhancement => write!(f, "application/vnd.dvb.iptv.alfec-enhancement"),
			Mime::ApplicationVndDvbNotifAggregateRootXml => write!(f, "application/vnd.dvb.notif-aggregate-root+xml"),
			Mime::ApplicationVndDvbNotifContainerXml => write!(f, "application/vnd.dvb.notif-container+xml"),
			Mime::ApplicationVndDvbNotifGenericXml => write!(f, "application/vnd.dvb.notif-generic+xml"),
			Mime::ApplicationVndDvbNotifIaMsglistXml => write!(f, "application/vnd.dvb.notif-ia-msglist+xml"),
			Mime::ApplicationVndDvbNotifIaRegistrationRequestXml => write!(f, "application/vnd.dvb.notif-ia-registration-request+xml"),
			Mime::ApplicationVndDvbNotifIaRegistrationResponseXml => write!(f, "application/vnd.dvb.notif-ia-registration-response+xml"),
			Mime::ApplicationVndDvbNotifInitXml => write!(f, "application/vnd.dvb.notif-init+xml"),
			Mime::ApplicationVndDvbPfr => write!(f, "application/vnd.dvb.pfr"),
			Mime::ApplicationVndDvbService => write!(f, "application/vnd.dvb.service"),
			Mime::ApplicationVndDxr => write!(f, "application/vnd.dxr"),
			Mime::ApplicationVndDynageo => write!(f, "application/vnd.dynageo"),
			Mime::ApplicationVndDzr => write!(f, "application/vnd.dzr"),
			Mime::ApplicationVndEasykaraokeCdgdownload => write!(f, "application/vnd.easykaraoke.cdgdownload"),
			Mime::ApplicationVndEcipRlp => write!(f, "application/vnd.ecip.rlp"),
			Mime::ApplicationVndEcdisUpdate => write!(f, "application/vnd.ecdis-update"),
			Mime::ApplicationVndEclipseDittoJson => write!(f, "application/vnd.eclipse.ditto+json"),
			Mime::ApplicationVndEcowinChart => write!(f, "application/vnd.ecowin.chart"),
			Mime::ApplicationVndEcowinFilerequest => write!(f, "application/vnd.ecowin.filerequest"),
			Mime::ApplicationVndEcowinFileupdate => write!(f, "application/vnd.ecowin.fileupdate"),
			Mime::ApplicationVndEcowinSeries => write!(f, "application/vnd.ecowin.series"),
			Mime::ApplicationVndEcowinSeriesrequest => write!(f, "application/vnd.ecowin.seriesrequest"),
			Mime::ApplicationVndEcowinSeriesupdate => write!(f, "application/vnd.ecowin.seriesupdate"),
			Mime::ApplicationVndEfiImg => write!(f, "application/vnd.efi.img"),
			Mime::ApplicationVndEfiIso => write!(f, "application/vnd.efi.iso"),
			Mime::ApplicationVndElnZip => write!(f, "application/vnd.eln+zip"),
			Mime::ApplicationVndEmclientAccessrequestXml => write!(f, "application/vnd.emclient.accessrequest+xml"),
			Mime::ApplicationVndEnliven => write!(f, "application/vnd.enliven"),
			Mime::ApplicationVndEnphaseEnvoy => write!(f, "application/vnd.enphase.envoy"),
			Mime::ApplicationVndEprintsDataXml => write!(f, "application/vnd.eprints.data+xml"),
			Mime::ApplicationVndEpsonEsf => write!(f, "application/vnd.epson.esf"),
			Mime::ApplicationVndEpsonMsf => write!(f, "application/vnd.epson.msf"),
			Mime::ApplicationVndEpsonQuickanime => write!(f, "application/vnd.epson.quickanime"),
			Mime::ApplicationVndEpsonSalt => write!(f, "application/vnd.epson.salt"),
			Mime::ApplicationVndEpsonSsf => write!(f, "application/vnd.epson.ssf"),
			Mime::ApplicationVndEricssonQuickcall => write!(f, "application/vnd.ericsson.quickcall"),
			Mime::ApplicationVndEspassEspassZip => write!(f, "application/vnd.espass-espass+zip"),
			Mime::ApplicationVndEszigno3Xml => write!(f, "application/vnd.eszigno3+xml"),
			Mime::ApplicationVndEtsiAocXml => write!(f, "application/vnd.etsi.aoc+xml"),
			Mime::ApplicationVndEtsiAsicSZip => write!(f, "application/vnd.etsi.asic-s+zip"),
			Mime::ApplicationVndEtsiAsicEZip => write!(f, "application/vnd.etsi.asic-e+zip"),
			Mime::ApplicationVndEtsiCugXml => write!(f, "application/vnd.etsi.cug+xml"),
			Mime::ApplicationVndEtsiIptvcommandXml => write!(f, "application/vnd.etsi.iptvcommand+xml"),
			Mime::ApplicationVndEtsiIptvdiscoveryXml => write!(f, "application/vnd.etsi.iptvdiscovery+xml"),
			Mime::ApplicationVndEtsiIptvprofileXml => write!(f, "application/vnd.etsi.iptvprofile+xml"),
			Mime::ApplicationVndEtsiIptvsadBcXml => write!(f, "application/vnd.etsi.iptvsad-bc+xml"),
			Mime::ApplicationVndEtsiIptvsadCodXml => write!(f, "application/vnd.etsi.iptvsad-cod+xml"),
			Mime::ApplicationVndEtsiIptvsadNpvrXml => write!(f, "application/vnd.etsi.iptvsad-npvr+xml"),
			Mime::ApplicationVndEtsiIptvserviceXml => write!(f, "application/vnd.etsi.iptvservice+xml"),
			Mime::ApplicationVndEtsiIptvsyncXml => write!(f, "application/vnd.etsi.iptvsync+xml"),
			Mime::ApplicationVndEtsiIptvueprofileXml => write!(f, "application/vnd.etsi.iptvueprofile+xml"),
			Mime::ApplicationVndEtsiMcidXml => write!(f, "application/vnd.etsi.mcid+xml"),
			Mime::ApplicationVndEtsiMheg5 => write!(f, "application/vnd.etsi.mheg5"),
			Mime::ApplicationVndEtsiOverloadControlPolicyDatasetXml => write!(f, "application/vnd.etsi.overload-control-policy-dataset+xml"),
			Mime::ApplicationVndEtsiPstnXml => write!(f, "application/vnd.etsi.pstn+xml"),
			Mime::ApplicationVndEtsiSciXml => write!(f, "application/vnd.etsi.sci+xml"),
			Mime::ApplicationVndEtsiSimservsXml => write!(f, "application/vnd.etsi.simservs+xml"),
			Mime::ApplicationVndEtsiTimestampToken => write!(f, "application/vnd.etsi.timestamp-token"),
			Mime::ApplicationVndEtsiTslXml => write!(f, "application/vnd.etsi.tsl+xml"),
			Mime::ApplicationVndEtsiTslDer => write!(f, "application/vnd.etsi.tsl.der"),
			Mime::ApplicationVndEuKasparianCarJson => write!(f, "application/vnd.eu.kasparian.car+json"),
			Mime::ApplicationVndEudoraData => write!(f, "application/vnd.eudora.data"),
			Mime::ApplicationVndEvolvEcigProfile => write!(f, "application/vnd.evolv.ecig.profile"),
			Mime::ApplicationVndEvolvEcigSettings => write!(f, "application/vnd.evolv.ecig.settings"),
			Mime::ApplicationVndEvolvEcigTheme => write!(f, "application/vnd.evolv.ecig.theme"),
			Mime::ApplicationVndExstreamEmpowerZip => write!(f, "application/vnd.exstream-empower+zip"),
			Mime::ApplicationVndExstreamPackage => write!(f, "application/vnd.exstream-package"),
			Mime::ApplicationVndEzpixAlbum => write!(f, "application/vnd.ezpix-album"),
			Mime::ApplicationVndEzpixPackage => write!(f, "application/vnd.ezpix-package"),
			Mime::ApplicationVndFSecureMobile => write!(f, "application/vnd.f-secure.mobile"),
			Mime::ApplicationVndFastcopyDiskImage => write!(f, "application/vnd.fastcopy-disk-image"),
			Mime::ApplicationVndFamilysearchGedcomZip => write!(f, "application/vnd.familysearch.gedcom+zip"),
			Mime::ApplicationVndFdsnMseed => write!(f, "application/vnd.fdsn.mseed"),
			Mime::ApplicationVndFdsnSeed => write!(f, "application/vnd.fdsn.seed"),
			Mime::ApplicationVndFfsns => write!(f, "application/vnd.ffsns"),
			Mime::ApplicationVndFiclabFlbZip => write!(f, "application/vnd.ficlab.flb+zip"),
			Mime::ApplicationVndFilmitZfc => write!(f, "application/vnd.filmit.zfc"),
			Mime::ApplicationVndFints => write!(f, "application/vnd.fints"),
			Mime::ApplicationVndFiremonkeysCloudcell => write!(f, "application/vnd.firemonkeys.cloudcell"),
			Mime::ApplicationVndFlographit => write!(f, "application/vnd.FloGraphIt"),
			Mime::ApplicationVndFluxtimeClip => write!(f, "application/vnd.fluxtime.clip"),
			Mime::ApplicationVndFontFontforgeSfd => write!(f, "application/vnd.font-fontforge-sfd"),
			Mime::ApplicationVndFramemaker => write!(f, "application/vnd.framemaker"),
			Mime::ApplicationVndFscWeblaunch => write!(f, "application/vnd.fsc.weblaunch"),
			Mime::ApplicationVndFujifilmFbDocuworks => write!(f, "application/vnd.fujifilm.fb.docuworks"),
			Mime::ApplicationVndFujifilmFbDocuworksBinder => write!(f, "application/vnd.fujifilm.fb.docuworks.binder"),
			Mime::ApplicationVndFujifilmFbDocuworksContainer => write!(f, "application/vnd.fujifilm.fb.docuworks.container"),
			Mime::ApplicationVndFujifilmFbJfiXml => write!(f, "application/vnd.fujifilm.fb.jfi+xml"),
			Mime::ApplicationVndFujitsuOasys => write!(f, "application/vnd.fujitsu.oasys"),
			Mime::ApplicationVndFujitsuOasys2 => write!(f, "application/vnd.fujitsu.oasys2"),
			Mime::ApplicationVndFujitsuOasys3 => write!(f, "application/vnd.fujitsu.oasys3"),
			Mime::ApplicationVndFujitsuOasysgp => write!(f, "application/vnd.fujitsu.oasysgp"),
			Mime::ApplicationVndFujitsuOasysprs => write!(f, "application/vnd.fujitsu.oasysprs"),
			Mime::ApplicationVndFujixeroxArt4 => write!(f, "application/vnd.fujixerox.ART4"),
			Mime::ApplicationVndFujixeroxArtEx => write!(f, "application/vnd.fujixerox.ART-EX"),
			Mime::ApplicationVndFujixeroxDdd => write!(f, "application/vnd.fujixerox.ddd"),
			Mime::ApplicationVndFujixeroxDocuworks => write!(f, "application/vnd.fujixerox.docuworks"),
			Mime::ApplicationVndFujixeroxDocuworksBinder => write!(f, "application/vnd.fujixerox.docuworks.binder"),
			Mime::ApplicationVndFujixeroxDocuworksContainer => write!(f, "application/vnd.fujixerox.docuworks.container"),
			Mime::ApplicationVndFujixeroxHbpl => write!(f, "application/vnd.fujixerox.HBPL"),
			Mime::ApplicationVndFutMisnet => write!(f, "application/vnd.fut-misnet"),
			Mime::ApplicationVndFutoinCbor => write!(f, "application/vnd.futoin+cbor"),
			Mime::ApplicationVndFutoinJson => write!(f, "application/vnd.futoin+json"),
			Mime::ApplicationVndFuzzysheet => write!(f, "application/vnd.fuzzysheet"),
			Mime::ApplicationVndGenomatixTuxedo => write!(f, "application/vnd.genomatix.tuxedo"),
			Mime::ApplicationVndGenozip => write!(f, "application/vnd.genozip"),
			Mime::ApplicationVndGenticsGrdJson => write!(f, "application/vnd.gentics.grd+json"),
			Mime::ApplicationVndGentooCatmetadataXml => write!(f, "application/vnd.gentoo.catmetadata+xml"),
			Mime::ApplicationVndGentooEbuild => write!(f, "application/vnd.gentoo.ebuild"),
			Mime::ApplicationVndGentooEclass => write!(f, "application/vnd.gentoo.eclass"),
			Mime::ApplicationVndGentooGpkg => write!(f, "application/vnd.gentoo.gpkg"),
			Mime::ApplicationVndGentooManifest => write!(f, "application/vnd.gentoo.manifest"),
			Mime::ApplicationVndGentooXpak => write!(f, "application/vnd.gentoo.xpak"),
			Mime::ApplicationVndGentooPkgmetadataXml => write!(f, "application/vnd.gentoo.pkgmetadata+xml"),
			Mime::ApplicationVndGeogebraFile => write!(f, "application/vnd.geogebra.file"),
			Mime::ApplicationVndGeogebraSlides => write!(f, "application/vnd.geogebra.slides"),
			Mime::ApplicationVndGeogebraTool => write!(f, "application/vnd.geogebra.tool"),
			Mime::ApplicationVndGeometryExplorer => write!(f, "application/vnd.geometry-explorer"),
			Mime::ApplicationVndGeonext => write!(f, "application/vnd.geonext"),
			Mime::ApplicationVndGeoplan => write!(f, "application/vnd.geoplan"),
			Mime::ApplicationVndGeospace => write!(f, "application/vnd.geospace"),
			Mime::ApplicationVndGerber => write!(f, "application/vnd.gerber"),
			Mime::ApplicationVndGlobalplatformCardContentMgt => write!(f, "application/vnd.globalplatform.card-content-mgt"),
			Mime::ApplicationVndGlobalplatformCardContentMgtResponse => write!(f, "application/vnd.globalplatform.card-content-mgt-response"),
			Mime::ApplicationVndGnuTalerExchangeJson => write!(f, "application/vnd.gnu.taler.exchange+json"),
			Mime::ApplicationVndGnuTalerMerchantJson => write!(f, "application/vnd.gnu.taler.merchant+json"),
			Mime::ApplicationVndGoogleEarthKmlXml => write!(f, "application/vnd.google-earth.kml+xml"),
			Mime::ApplicationVndGoogleEarthKmz => write!(f, "application/vnd.google-earth.kmz"),
			Mime::ApplicationVndGovSkEFormXml => write!(f, "application/vnd.gov.sk.e-form+xml"),
			Mime::ApplicationVndGovSkEFormZip => write!(f, "application/vnd.gov.sk.e-form+zip"),
			Mime::ApplicationVndGovSkXmldatacontainerXml => write!(f, "application/vnd.gov.sk.xmldatacontainer+xml"),
			Mime::ApplicationVndGpxseeMapXml => write!(f, "application/vnd.gpxsee.map+xml"),
			Mime::ApplicationVndGrafeq => write!(f, "application/vnd.grafeq"),
			Mime::ApplicationVndGridmp => write!(f, "application/vnd.gridmp"),
			Mime::ApplicationVndGrooveAccount => write!(f, "application/vnd.groove-account"),
			Mime::ApplicationVndGrooveHelp => write!(f, "application/vnd.groove-help"),
			Mime::ApplicationVndGrooveIdentityMessage => write!(f, "application/vnd.groove-identity-message"),
			Mime::ApplicationVndGrooveInjector => write!(f, "application/vnd.groove-injector"),
			Mime::ApplicationVndGrooveToolMessage => write!(f, "application/vnd.groove-tool-message"),
			Mime::ApplicationVndGrooveToolTemplate => write!(f, "application/vnd.groove-tool-template"),
			Mime::ApplicationVndGrooveVcard => write!(f, "application/vnd.groove-vcard"),
			Mime::ApplicationVndHalJson => write!(f, "application/vnd.hal+json"),
			Mime::ApplicationVndHalXml => write!(f, "application/vnd.hal+xml"),
			Mime::ApplicationVndHandheldEntertainmentXml => write!(f, "application/vnd.HandHeld-Entertainment+xml"),
			Mime::ApplicationVndHbci => write!(f, "application/vnd.hbci"),
			Mime::ApplicationVndHcJson => write!(f, "application/vnd.hc+json"),
			Mime::ApplicationVndHclBireports => write!(f, "application/vnd.hcl-bireports"),
			Mime::ApplicationVndHdt => write!(f, "application/vnd.hdt"),
			Mime::ApplicationVndHerokuJson => write!(f, "application/vnd.heroku+json"),
			Mime::ApplicationVndHheLessonPlayer => write!(f, "application/vnd.hhe.lesson-player"),
			Mime::ApplicationVndHpHpgl => write!(f, "application/vnd.hp-HPGL"),
			Mime::ApplicationVndHpHpid => write!(f, "application/vnd.hp-hpid"),
			Mime::ApplicationVndHpHps => write!(f, "application/vnd.hp-hps"),
			Mime::ApplicationVndHpJlyt => write!(f, "application/vnd.hp-jlyt"),
			Mime::ApplicationVndHpPcl => write!(f, "application/vnd.hp-PCL"),
			Mime::ApplicationVndHpPclxl => write!(f, "application/vnd.hp-PCLXL"),
			Mime::ApplicationVndHsl => write!(f, "application/vnd.hsl"),
			Mime::ApplicationVndHttphone => write!(f, "application/vnd.httphone"),
			Mime::ApplicationVndHydrostatixSofData => write!(f, "application/vnd.hydrostatix.sof-data"),
			Mime::ApplicationVndHyperItemJson => write!(f, "application/vnd.hyper-item+json"),
			Mime::ApplicationVndHyperJson => write!(f, "application/vnd.hyper+json"),
			Mime::ApplicationVndHyperdriveJson => write!(f, "application/vnd.hyperdrive+json"),
			Mime::ApplicationVndHzn3dCrossword => write!(f, "application/vnd.hzn-3d-crossword"),
			Mime::ApplicationVndIbmElectronicMedia => write!(f, "application/vnd.ibm.electronic-media"),
			Mime::ApplicationVndIbmMinipay => write!(f, "application/vnd.ibm.MiniPay"),
			Mime::ApplicationVndIbmRightsManagement => write!(f, "application/vnd.ibm.rights-management"),
			Mime::ApplicationVndIbmSecureContainer => write!(f, "application/vnd.ibm.secure-container"),
			Mime::ApplicationVndIccprofile => write!(f, "application/vnd.iccprofile"),
			Mime::ApplicationVndIeee1905 => write!(f, "application/vnd.ieee.1905"),
			Mime::ApplicationVndIgloader => write!(f, "application/vnd.igloader"),
			Mime::ApplicationVndImagemeterFolderZip => write!(f, "application/vnd.imagemeter.folder+zip"),
			Mime::ApplicationVndImagemeterImageZip => write!(f, "application/vnd.imagemeter.image+zip"),
			Mime::ApplicationVndImmervisionIvp => write!(f, "application/vnd.immervision-ivp"),
			Mime::ApplicationVndImmervisionIvu => write!(f, "application/vnd.immervision-ivu"),
			Mime::ApplicationVndImsImsccv1p1 => write!(f, "application/vnd.ims.imsccv1p1"),
			Mime::ApplicationVndImsImsccv1p2 => write!(f, "application/vnd.ims.imsccv1p2"),
			Mime::ApplicationVndImsImsccv1p3 => write!(f, "application/vnd.ims.imsccv1p3"),
			Mime::ApplicationVndImsLisV2ResultJson => write!(f, "application/vnd.ims.lis.v2.result+json"),
			Mime::ApplicationVndImsLtiV2ToolconsumerprofileJson => write!(f, "application/vnd.ims.lti.v2.toolconsumerprofile+json"),
			Mime::ApplicationVndImsLtiV2ToolproxyIdJson => write!(f, "application/vnd.ims.lti.v2.toolproxy.id+json"),
			Mime::ApplicationVndImsLtiV2ToolproxyJson => write!(f, "application/vnd.ims.lti.v2.toolproxy+json"),
			Mime::ApplicationVndImsLtiV2ToolsettingsJson => write!(f, "application/vnd.ims.lti.v2.toolsettings+json"),
			Mime::ApplicationVndImsLtiV2ToolsettingsSimpleJson => write!(f, "application/vnd.ims.lti.v2.toolsettings.simple+json"),
			Mime::ApplicationVndInformedcontrolRmsXml => write!(f, "application/vnd.informedcontrol.rms+xml"),
			Mime::ApplicationVndInfotechProject => write!(f, "application/vnd.infotech.project"),
			Mime::ApplicationVndInfotechProjectXml => write!(f, "application/vnd.infotech.project+xml"),
			Mime::ApplicationVndInnopathWampNotification => write!(f, "application/vnd.innopath.wamp.notification"),
			Mime::ApplicationVndInsorsIgm => write!(f, "application/vnd.insors.igm"),
			Mime::ApplicationVndInterconFormnet => write!(f, "application/vnd.intercon.formnet"),
			Mime::ApplicationVndIntergeo => write!(f, "application/vnd.intergeo"),
			Mime::ApplicationVndIntertrustDigibox => write!(f, "application/vnd.intertrust.digibox"),
			Mime::ApplicationVndIntertrustNncp => write!(f, "application/vnd.intertrust.nncp"),
			Mime::ApplicationVndIntuQbo => write!(f, "application/vnd.intu.qbo"),
			Mime::ApplicationVndIntuQfx => write!(f, "application/vnd.intu.qfx"),
			Mime::ApplicationVndIpfsIpnsRecord => write!(f, "application/vnd.ipfs.ipns-record"),
			Mime::ApplicationVndIpldCar => write!(f, "application/vnd.ipld.car"),
			Mime::ApplicationVndIpldDagCbor => write!(f, "application/vnd.ipld.dag-cbor"),
			Mime::ApplicationVndIpldDagJson => write!(f, "application/vnd.ipld.dag-json"),
			Mime::ApplicationVndIpldRaw => write!(f, "application/vnd.ipld.raw"),
			Mime::ApplicationVndIptcG2CatalogitemXml => write!(f, "application/vnd.iptc.g2.catalogitem+xml"),
			Mime::ApplicationVndIptcG2ConceptitemXml => write!(f, "application/vnd.iptc.g2.conceptitem+xml"),
			Mime::ApplicationVndIptcG2KnowledgeitemXml => write!(f, "application/vnd.iptc.g2.knowledgeitem+xml"),
			Mime::ApplicationVndIptcG2NewsitemXml => write!(f, "application/vnd.iptc.g2.newsitem+xml"),
			Mime::ApplicationVndIptcG2NewsmessageXml => write!(f, "application/vnd.iptc.g2.newsmessage+xml"),
			Mime::ApplicationVndIptcG2PackageitemXml => write!(f, "application/vnd.iptc.g2.packageitem+xml"),
			Mime::ApplicationVndIptcG2PlanningitemXml => write!(f, "application/vnd.iptc.g2.planningitem+xml"),
			Mime::ApplicationVndIpunpluggedRcprofile => write!(f, "application/vnd.ipunplugged.rcprofile"),
			Mime::ApplicationVndIrepositoryPackageXml => write!(f, "application/vnd.irepository.package+xml"),
			Mime::ApplicationVndIsXpr => write!(f, "application/vnd.is-xpr"),
			Mime::ApplicationVndIsacFcs => write!(f, "application/vnd.isac.fcs"),
			Mime::ApplicationVndJam => write!(f, "application/vnd.jam"),
			Mime::ApplicationVndIso1178310Zip => write!(f, "application/vnd.iso11783-10+zip"),
			Mime::ApplicationVndJapannetDirectoryService => write!(f, "application/vnd.japannet-directory-service"),
			Mime::ApplicationVndJapannetJpnstoreWakeup => write!(f, "application/vnd.japannet-jpnstore-wakeup"),
			Mime::ApplicationVndJapannetPaymentWakeup => write!(f, "application/vnd.japannet-payment-wakeup"),
			Mime::ApplicationVndJapannetRegistration => write!(f, "application/vnd.japannet-registration"),
			Mime::ApplicationVndJapannetRegistrationWakeup => write!(f, "application/vnd.japannet-registration-wakeup"),
			Mime::ApplicationVndJapannetSetstoreWakeup => write!(f, "application/vnd.japannet-setstore-wakeup"),
			Mime::ApplicationVndJapannetVerification => write!(f, "application/vnd.japannet-verification"),
			Mime::ApplicationVndJapannetVerificationWakeup => write!(f, "application/vnd.japannet-verification-wakeup"),
			Mime::ApplicationVndJcpJavameMidletRms => write!(f, "application/vnd.jcp.javame.midlet-rms"),
			Mime::ApplicationVndJisp => write!(f, "application/vnd.jisp"),
			Mime::ApplicationVndJoostJodaArchive => write!(f, "application/vnd.joost.joda-archive"),
			Mime::ApplicationVndJskIsdnNgn => write!(f, "application/vnd.jsk.isdn-ngn"),
			Mime::ApplicationVndKahootz => write!(f, "application/vnd.kahootz"),
			Mime::ApplicationVndKdeKarbon => write!(f, "application/vnd.kde.karbon"),
			Mime::ApplicationVndKdeKchart => write!(f, "application/vnd.kde.kchart"),
			Mime::ApplicationVndKdeKformula => write!(f, "application/vnd.kde.kformula"),
			Mime::ApplicationVndKdeKivio => write!(f, "application/vnd.kde.kivio"),
			Mime::ApplicationVndKdeKontour => write!(f, "application/vnd.kde.kontour"),
			Mime::ApplicationVndKdeKpresenter => write!(f, "application/vnd.kde.kpresenter"),
			Mime::ApplicationVndKdeKspread => write!(f, "application/vnd.kde.kspread"),
			Mime::ApplicationVndKdeKword => write!(f, "application/vnd.kde.kword"),
			Mime::ApplicationVndKenameaapp => write!(f, "application/vnd.kenameaapp"),
			Mime::ApplicationVndKidspiration => write!(f, "application/vnd.kidspiration"),
			Mime::ApplicationVndKinar => write!(f, "application/vnd.Kinar"),
			Mime::ApplicationVndKoan => write!(f, "application/vnd.koan"),
			Mime::ApplicationVndKodakDescriptor => write!(f, "application/vnd.kodak-descriptor"),
			Mime::ApplicationVndLas => write!(f, "application/vnd.las"),
			Mime::ApplicationVndLasLasJson => write!(f, "application/vnd.las.las+json"),
			Mime::ApplicationVndLasLasXml => write!(f, "application/vnd.las.las+xml"),
			Mime::ApplicationVndLaszip => write!(f, "application/vnd.laszip"),
			Mime::ApplicationVndLeapJson => write!(f, "application/vnd.leap+json"),
			Mime::ApplicationVndLibertyRequestXml => write!(f, "application/vnd.liberty-request+xml"),
			Mime::ApplicationVndLlamagraphicsLifeBalanceDesktop => write!(f, "application/vnd.llamagraphics.life-balance.desktop"),
			Mime::ApplicationVndLlamagraphicsLifeBalanceExchangeXml => write!(f, "application/vnd.llamagraphics.life-balance.exchange+xml"),
			Mime::ApplicationVndLogipipeCircuitZip => write!(f, "application/vnd.logipipe.circuit+zip"),
			Mime::ApplicationVndLoom => write!(f, "application/vnd.loom"),
			Mime::ApplicationVndLotus123 => write!(f, "application/vnd.lotus-1-2-3"),
			Mime::ApplicationVndLotusApproach => write!(f, "application/vnd.lotus-approach"),
			Mime::ApplicationVndLotusFreelance => write!(f, "application/vnd.lotus-freelance"),
			Mime::ApplicationVndLotusNotes => write!(f, "application/vnd.lotus-notes"),
			Mime::ApplicationVndLotusOrganizer => write!(f, "application/vnd.lotus-organizer"),
			Mime::ApplicationVndLotusScreencam => write!(f, "application/vnd.lotus-screencam"),
			Mime::ApplicationVndLotusWordpro => write!(f, "application/vnd.lotus-wordpro"),
			Mime::ApplicationVndMacportsPortpkg => write!(f, "application/vnd.macports.portpkg"),
			Mime::ApplicationVndMapboxVectorTile => write!(f, "application/vnd.mapbox-vector-tile"),
			Mime::ApplicationVndMarlinDrmActiontokenXml => write!(f, "application/vnd.marlin.drm.actiontoken+xml"),
			Mime::ApplicationVndMarlinDrmConftokenXml => write!(f, "application/vnd.marlin.drm.conftoken+xml"),
			Mime::ApplicationVndMarlinDrmLicenseXml => write!(f, "application/vnd.marlin.drm.license+xml"),
			Mime::ApplicationVndMarlinDrmMdcf => write!(f, "application/vnd.marlin.drm.mdcf"),
			Mime::ApplicationVndMasonJson => write!(f, "application/vnd.mason+json"),
			Mime::ApplicationVndMaxarArchive3tzZip => write!(f, "application/vnd.maxar.archive.3tz+zip"),
			Mime::ApplicationVndMaxmindMaxmindDb => write!(f, "application/vnd.maxmind.maxmind-db"),
			Mime::ApplicationVndMcd => write!(f, "application/vnd.mcd"),
			Mime::ApplicationVndMdl => write!(f, "application/vnd.mdl"),
			Mime::ApplicationVndMdlMbsdf => write!(f, "application/vnd.mdl-mbsdf"),
			Mime::ApplicationVndMedcalcdata => write!(f, "application/vnd.medcalcdata"),
			Mime::ApplicationVndMediastationCdkey => write!(f, "application/vnd.mediastation.cdkey"),
			Mime::ApplicationVndMedicalholodeckRecordxr => write!(f, "application/vnd.medicalholodeck.recordxr"),
			Mime::ApplicationVndMeridianSlingshot => write!(f, "application/vnd.meridian-slingshot"),
			Mime::ApplicationVndMfer => write!(f, "application/vnd.MFER"),
			Mime::ApplicationVndMfmp => write!(f, "application/vnd.mfmp"),
			Mime::ApplicationVndMicroJson => write!(f, "application/vnd.micro+json"),
			Mime::ApplicationVndMicrografxFlo => write!(f, "application/vnd.micrografx.flo"),
			Mime::ApplicationVndMicrografxIgx => write!(f, "application/vnd.micrografx.igx"),
			Mime::ApplicationVndMicrosoftPortableExecutable => write!(f, "application/vnd.microsoft.portable-executable"),
			Mime::ApplicationVndMicrosoftWindowsThumbnailCache => write!(f, "application/vnd.microsoft.windows.thumbnail-cache"),
			Mime::ApplicationVndMieleJson => write!(f, "application/vnd.miele+json"),
			Mime::ApplicationVndMif => write!(f, "application/vnd.mif"),
			Mime::ApplicationVndMinisoftHp3000Save => write!(f, "application/vnd.minisoft-hp3000-save"),
			Mime::ApplicationVndMitsubishiMistyGuardTrustweb => write!(f, "application/vnd.mitsubishi.misty-guard.trustweb"),
			Mime::ApplicationVndMobiusDaf => write!(f, "application/vnd.Mobius.DAF"),
			Mime::ApplicationVndMobiusDis => write!(f, "application/vnd.Mobius.DIS"),
			Mime::ApplicationVndMobiusMbk => write!(f, "application/vnd.Mobius.MBK"),
			Mime::ApplicationVndMobiusMqy => write!(f, "application/vnd.Mobius.MQY"),
			Mime::ApplicationVndMobiusMsl => write!(f, "application/vnd.Mobius.MSL"),
			Mime::ApplicationVndMobiusPlc => write!(f, "application/vnd.Mobius.PLC"),
			Mime::ApplicationVndMobiusTxf => write!(f, "application/vnd.Mobius.TXF"),
			Mime::ApplicationVndModl => write!(f, "application/vnd.modl"),
			Mime::ApplicationVndMophunApplication => write!(f, "application/vnd.mophun.application"),
			Mime::ApplicationVndMophunCertificate => write!(f, "application/vnd.mophun.certificate"),
			Mime::ApplicationVndMotorolaFlexsuite => write!(f, "application/vnd.motorola.flexsuite"),
			Mime::ApplicationVndMotorolaFlexsuiteAdsi => write!(f, "application/vnd.motorola.flexsuite.adsi"),
			Mime::ApplicationVndMotorolaFlexsuiteFis => write!(f, "application/vnd.motorola.flexsuite.fis"),
			Mime::ApplicationVndMotorolaFlexsuiteGotap => write!(f, "application/vnd.motorola.flexsuite.gotap"),
			Mime::ApplicationVndMotorolaFlexsuiteKmr => write!(f, "application/vnd.motorola.flexsuite.kmr"),
			Mime::ApplicationVndMotorolaFlexsuiteTtc => write!(f, "application/vnd.motorola.flexsuite.ttc"),
			Mime::ApplicationVndMotorolaFlexsuiteWem => write!(f, "application/vnd.motorola.flexsuite.wem"),
			Mime::ApplicationVndMotorolaIprm => write!(f, "application/vnd.motorola.iprm"),
			Mime::ApplicationVndMozillaXulXml => write!(f, "application/vnd.mozilla.xul+xml"),
			Mime::ApplicationVndMsArtgalry => write!(f, "application/vnd.ms-artgalry"),
			Mime::ApplicationVndMsAsf => write!(f, "application/vnd.ms-asf"),
			Mime::ApplicationVndMsCabCompressed => write!(f, "application/vnd.ms-cab-compressed"),
			Mime::ApplicationVndMs3mfdocument => write!(f, "application/vnd.ms-3mfdocument"),
			Mime::ApplicationVndMsExcel => write!(f, "application/vnd.ms-excel"),
			Mime::ApplicationVndMsExcelAddinMacroenabled12 => write!(f, "application/vnd.ms-excel.addin.macroEnabled.12"),
			Mime::ApplicationVndMsExcelSheetBinaryMacroenabled12 => write!(f, "application/vnd.ms-excel.sheet.binary.macroEnabled.12"),
			Mime::ApplicationVndMsExcelSheetMacroenabled12 => write!(f, "application/vnd.ms-excel.sheet.macroEnabled.12"),
			Mime::ApplicationVndMsExcelTemplateMacroenabled12 => write!(f, "application/vnd.ms-excel.template.macroEnabled.12"),
			Mime::ApplicationVndMsFontobject => write!(f, "application/vnd.ms-fontobject"),
			Mime::ApplicationVndMsHtmlhelp => write!(f, "application/vnd.ms-htmlhelp"),
			Mime::ApplicationVndMsIms => write!(f, "application/vnd.ms-ims"),
			Mime::ApplicationVndMsLrm => write!(f, "application/vnd.ms-lrm"),
			Mime::ApplicationVndMsOfficeActivexXml => write!(f, "application/vnd.ms-office.activeX+xml"),
			Mime::ApplicationVndMsOfficetheme => write!(f, "application/vnd.ms-officetheme"),
			Mime::ApplicationVndMsPlayreadyInitiatorXml => write!(f, "application/vnd.ms-playready.initiator+xml"),
			Mime::ApplicationVndMsPowerpoint => write!(f, "application/vnd.ms-powerpoint"),
			Mime::ApplicationVndMsPowerpointAddinMacroenabled12 => write!(f, "application/vnd.ms-powerpoint.addin.macroEnabled.12"),
			Mime::ApplicationVndMsPowerpointPresentationMacroenabled12 => write!(f, "application/vnd.ms-powerpoint.presentation.macroEnabled.12"),
			Mime::ApplicationVndMsPowerpointSlideMacroenabled12 => write!(f, "application/vnd.ms-powerpoint.slide.macroEnabled.12"),
			Mime::ApplicationVndMsPowerpointSlideshowMacroenabled12 => write!(f, "application/vnd.ms-powerpoint.slideshow.macroEnabled.12"),
			Mime::ApplicationVndMsPowerpointTemplateMacroenabled12 => write!(f, "application/vnd.ms-powerpoint.template.macroEnabled.12"),
			Mime::ApplicationVndMsPrintdevicecapabilitiesXml => write!(f, "application/vnd.ms-PrintDeviceCapabilities+xml"),
			Mime::ApplicationVndMsPrintschematicketXml => write!(f, "application/vnd.ms-PrintSchemaTicket+xml"),
			Mime::ApplicationVndMsProject => write!(f, "application/vnd.ms-project"),
			Mime::ApplicationVndMsTnef => write!(f, "application/vnd.ms-tnef"),
			Mime::ApplicationVndMsWindowsDevicepairing => write!(f, "application/vnd.ms-windows.devicepairing"),
			Mime::ApplicationVndMsWindowsNwprintingOob => write!(f, "application/vnd.ms-windows.nwprinting.oob"),
			Mime::ApplicationVndMsWindowsPrinterpairing => write!(f, "application/vnd.ms-windows.printerpairing"),
			Mime::ApplicationVndMsWindowsWsdOob => write!(f, "application/vnd.ms-windows.wsd.oob"),
			Mime::ApplicationVndMsWmdrmLicChlgReq => write!(f, "application/vnd.ms-wmdrm.lic-chlg-req"),
			Mime::ApplicationVndMsWmdrmLicResp => write!(f, "application/vnd.ms-wmdrm.lic-resp"),
			Mime::ApplicationVndMsWmdrmMeterChlgReq => write!(f, "application/vnd.ms-wmdrm.meter-chlg-req"),
			Mime::ApplicationVndMsWmdrmMeterResp => write!(f, "application/vnd.ms-wmdrm.meter-resp"),
			Mime::ApplicationVndMsWordDocumentMacroenabled12 => write!(f, "application/vnd.ms-word.document.macroEnabled.12"),
			Mime::ApplicationVndMsWordTemplateMacroenabled12 => write!(f, "application/vnd.ms-word.template.macroEnabled.12"),
			Mime::ApplicationVndMsWorks => write!(f, "application/vnd.ms-works"),
			Mime::ApplicationVndMsWpl => write!(f, "application/vnd.ms-wpl"),
			Mime::ApplicationVndMsXpsdocument => write!(f, "application/vnd.ms-xpsdocument"),
			Mime::ApplicationVndMsaDiskImage => write!(f, "application/vnd.msa-disk-image"),
			Mime::ApplicationVndMseq => write!(f, "application/vnd.mseq"),
			Mime::ApplicationVndMsign => write!(f, "application/vnd.msign"),
			Mime::ApplicationVndMultiadCreator => write!(f, "application/vnd.multiad.creator"),
			Mime::ApplicationVndMultiadCreatorCif => write!(f, "application/vnd.multiad.creator.cif"),
			Mime::ApplicationVndMusician => write!(f, "application/vnd.musician"),
			Mime::ApplicationVndMusicNiff => write!(f, "application/vnd.music-niff"),
			Mime::ApplicationVndMuveeStyle => write!(f, "application/vnd.muvee.style"),
			Mime::ApplicationVndMynfc => write!(f, "application/vnd.mynfc"),
			Mime::ApplicationVndNacamarYbridJson => write!(f, "application/vnd.nacamar.ybrid+json"),
			Mime::ApplicationVndNcdControl => write!(f, "application/vnd.ncd.control"),
			Mime::ApplicationVndNcdReference => write!(f, "application/vnd.ncd.reference"),
			Mime::ApplicationVndNearstInvJson => write!(f, "application/vnd.nearst.inv+json"),
			Mime::ApplicationVndNebumindLine => write!(f, "application/vnd.nebumind.line"),
			Mime::ApplicationVndNervana => write!(f, "application/vnd.nervana"),
			Mime::ApplicationVndNetfpx => write!(f, "application/vnd.netfpx"),
			Mime::ApplicationVndNeurolanguageNlu => write!(f, "application/vnd.neurolanguage.nlu"),
			Mime::ApplicationVndNimn => write!(f, "application/vnd.nimn"),
			Mime::ApplicationVndNintendoSnesRom => write!(f, "application/vnd.nintendo.snes.rom"),
			Mime::ApplicationVndNintendoNitroRom => write!(f, "application/vnd.nintendo.nitro.rom"),
			Mime::ApplicationVndNitf => write!(f, "application/vnd.nitf"),
			Mime::ApplicationVndNoblenetDirectory => write!(f, "application/vnd.noblenet-directory"),
			Mime::ApplicationVndNoblenetSealer => write!(f, "application/vnd.noblenet-sealer"),
			Mime::ApplicationVndNoblenetWeb => write!(f, "application/vnd.noblenet-web"),
			Mime::ApplicationVndNokiaCatalogs => write!(f, "application/vnd.nokia.catalogs"),
			Mime::ApplicationVndNokiaConmlWbxml => write!(f, "application/vnd.nokia.conml+wbxml"),
			Mime::ApplicationVndNokiaConmlXml => write!(f, "application/vnd.nokia.conml+xml"),
			Mime::ApplicationVndNokiaIptvConfigXml => write!(f, "application/vnd.nokia.iptv.config+xml"),
			Mime::ApplicationVndNokiaIsdsRadioPresets => write!(f, "application/vnd.nokia.iSDS-radio-presets"),
			Mime::ApplicationVndNokiaLandmarkWbxml => write!(f, "application/vnd.nokia.landmark+wbxml"),
			Mime::ApplicationVndNokiaLandmarkXml => write!(f, "application/vnd.nokia.landmark+xml"),
			Mime::ApplicationVndNokiaLandmarkcollectionXml => write!(f, "application/vnd.nokia.landmarkcollection+xml"),
			Mime::ApplicationVndNokiaNcd => write!(f, "application/vnd.nokia.ncd"),
			Mime::ApplicationVndNokiaNGageAcXml => write!(f, "application/vnd.nokia.n-gage.ac+xml"),
			Mime::ApplicationVndNokiaNGageData => write!(f, "application/vnd.nokia.n-gage.data"),
			Mime::ApplicationVndNokiaPcdWbxml => write!(f, "application/vnd.nokia.pcd+wbxml"),
			Mime::ApplicationVndNokiaPcdXml => write!(f, "application/vnd.nokia.pcd+xml"),
			Mime::ApplicationVndNokiaRadioPreset => write!(f, "application/vnd.nokia.radio-preset"),
			Mime::ApplicationVndNokiaRadioPresets => write!(f, "application/vnd.nokia.radio-presets"),
			Mime::ApplicationVndNovadigmEdm => write!(f, "application/vnd.novadigm.EDM"),
			Mime::ApplicationVndNovadigmEdx => write!(f, "application/vnd.novadigm.EDX"),
			Mime::ApplicationVndNovadigmExt => write!(f, "application/vnd.novadigm.EXT"),
			Mime::ApplicationVndNttLocalContentShare => write!(f, "application/vnd.ntt-local.content-share"),
			Mime::ApplicationVndNttLocalFileTransfer => write!(f, "application/vnd.ntt-local.file-transfer"),
			Mime::ApplicationVndNttLocalOgwRemoteAccess => write!(f, "application/vnd.ntt-local.ogw_remote-access"),
			Mime::ApplicationVndNttLocalSipTaRemote => write!(f, "application/vnd.ntt-local.sip-ta_remote"),
			Mime::ApplicationVndNttLocalSipTaTcpStream => write!(f, "application/vnd.ntt-local.sip-ta_tcp_stream"),
			Mime::ApplicationVndOasisOpendocumentBase => write!(f, "application/vnd.oasis.opendocument.base"),
			Mime::ApplicationVndOasisOpendocumentChart => write!(f, "application/vnd.oasis.opendocument.chart"),
			Mime::ApplicationVndOasisOpendocumentChartTemplate => write!(f, "application/vnd.oasis.opendocument.chart-template"),
			Mime::ApplicationVndOasisOpendocumentFormula => write!(f, "application/vnd.oasis.opendocument.formula"),
			Mime::ApplicationVndOasisOpendocumentFormulaTemplate => write!(f, "application/vnd.oasis.opendocument.formula-template"),
			Mime::ApplicationVndOasisOpendocumentGraphics => write!(f, "application/vnd.oasis.opendocument.graphics"),
			Mime::ApplicationVndOasisOpendocumentGraphicsTemplate => write!(f, "application/vnd.oasis.opendocument.graphics-template"),
			Mime::ApplicationVndOasisOpendocumentImage => write!(f, "application/vnd.oasis.opendocument.image"),
			Mime::ApplicationVndOasisOpendocumentImageTemplate => write!(f, "application/vnd.oasis.opendocument.image-template"),
			Mime::ApplicationVndOasisOpendocumentPresentation => write!(f, "application/vnd.oasis.opendocument.presentation"),
			Mime::ApplicationVndOasisOpendocumentPresentationTemplate => write!(f, "application/vnd.oasis.opendocument.presentation-template"),
			Mime::ApplicationVndOasisOpendocumentSpreadsheet => write!(f, "application/vnd.oasis.opendocument.spreadsheet"),
			Mime::ApplicationVndOasisOpendocumentSpreadsheetTemplate => write!(f, "application/vnd.oasis.opendocument.spreadsheet-template"),
			Mime::ApplicationVndOasisOpendocumentText => write!(f, "application/vnd.oasis.opendocument.text"),
			Mime::ApplicationVndOasisOpendocumentTextMaster => write!(f, "application/vnd.oasis.opendocument.text-master"),
			Mime::ApplicationVndOasisOpendocumentTextMasterTemplate => write!(f, "application/vnd.oasis.opendocument.text-master-template"),
			Mime::ApplicationVndOasisOpendocumentTextTemplate => write!(f, "application/vnd.oasis.opendocument.text-template"),
			Mime::ApplicationVndOasisOpendocumentTextWeb => write!(f, "application/vnd.oasis.opendocument.text-web"),
			Mime::ApplicationVndObn => write!(f, "application/vnd.obn"),
			Mime::ApplicationVndOcfCbor => write!(f, "application/vnd.ocf+cbor"),
			Mime::ApplicationVndOciImageManifestV1Json => write!(f, "application/vnd.oci.image.manifest.v1+json"),
			Mime::ApplicationVndOftnL10nJson => write!(f, "application/vnd.oftn.l10n+json"),
			Mime::ApplicationVndOipfContentaccessdownloadXml => write!(f, "application/vnd.oipf.contentaccessdownload+xml"),
			Mime::ApplicationVndOipfContentaccessstreamingXml => write!(f, "application/vnd.oipf.contentaccessstreaming+xml"),
			Mime::ApplicationVndOipfCspgHexbinary => write!(f, "application/vnd.oipf.cspg-hexbinary"),
			Mime::ApplicationVndOipfDaeSvgXml => write!(f, "application/vnd.oipf.dae.svg+xml"),
			Mime::ApplicationVndOipfDaeXhtmlXml => write!(f, "application/vnd.oipf.dae.xhtml+xml"),
			Mime::ApplicationVndOipfMippvcontrolmessageXml => write!(f, "application/vnd.oipf.mippvcontrolmessage+xml"),
			Mime::ApplicationVndOipfPaeGem => write!(f, "application/vnd.oipf.pae.gem"),
			Mime::ApplicationVndOipfSpdiscoveryXml => write!(f, "application/vnd.oipf.spdiscovery+xml"),
			Mime::ApplicationVndOipfSpdlistXml => write!(f, "application/vnd.oipf.spdlist+xml"),
			Mime::ApplicationVndOipfUeprofileXml => write!(f, "application/vnd.oipf.ueprofile+xml"),
			Mime::ApplicationVndOipfUserprofileXml => write!(f, "application/vnd.oipf.userprofile+xml"),
			Mime::ApplicationVndOlpcSugar => write!(f, "application/vnd.olpc-sugar"),
			Mime::ApplicationVndOmaBcastAssociatedProcedureParameterXml => write!(f, "application/vnd.oma.bcast.associated-procedure-parameter+xml"),
			Mime::ApplicationVndOmaBcastDrmTriggerXml => write!(f, "application/vnd.oma.bcast.drm-trigger+xml"),
			Mime::ApplicationVndOmaBcastImdXml => write!(f, "application/vnd.oma.bcast.imd+xml"),
			Mime::ApplicationVndOmaBcastLtkm => write!(f, "application/vnd.oma.bcast.ltkm"),
			Mime::ApplicationVndOmaBcastNotificationXml => write!(f, "application/vnd.oma.bcast.notification+xml"),
			Mime::ApplicationVndOmaBcastProvisioningtrigger => write!(f, "application/vnd.oma.bcast.provisioningtrigger"),
			Mime::ApplicationVndOmaBcastSgboot => write!(f, "application/vnd.oma.bcast.sgboot"),
			Mime::ApplicationVndOmaBcastSgddXml => write!(f, "application/vnd.oma.bcast.sgdd+xml"),
			Mime::ApplicationVndOmaBcastSgdu => write!(f, "application/vnd.oma.bcast.sgdu"),
			Mime::ApplicationVndOmaBcastSimpleSymbolContainer => write!(f, "application/vnd.oma.bcast.simple-symbol-container"),
			Mime::ApplicationVndOmaBcastSmartcardTriggerXml => write!(f, "application/vnd.oma.bcast.smartcard-trigger+xml"),
			Mime::ApplicationVndOmaBcastSprovXml => write!(f, "application/vnd.oma.bcast.sprov+xml"),
			Mime::ApplicationVndOmaBcastStkm => write!(f, "application/vnd.oma.bcast.stkm"),
			Mime::ApplicationVndOmaCabAddressBookXml => write!(f, "application/vnd.oma.cab-address-book+xml"),
			Mime::ApplicationVndOmaCabFeatureHandlerXml => write!(f, "application/vnd.oma.cab-feature-handler+xml"),
			Mime::ApplicationVndOmaCabPccXml => write!(f, "application/vnd.oma.cab-pcc+xml"),
			Mime::ApplicationVndOmaCabSubsInviteXml => write!(f, "application/vnd.oma.cab-subs-invite+xml"),
			Mime::ApplicationVndOmaCabUserPrefsXml => write!(f, "application/vnd.oma.cab-user-prefs+xml"),
			Mime::ApplicationVndOmaDcd => write!(f, "application/vnd.oma.dcd"),
			Mime::ApplicationVndOmaDcdc => write!(f, "application/vnd.oma.dcdc"),
			Mime::ApplicationVndOmaDd2Xml => write!(f, "application/vnd.oma.dd2+xml"),
			Mime::ApplicationVndOmaDrmRisdXml => write!(f, "application/vnd.oma.drm.risd+xml"),
			Mime::ApplicationVndOmaGroupUsageListXml => write!(f, "application/vnd.oma.group-usage-list+xml"),
			Mime::ApplicationVndOmaLwm2mCbor => write!(f, "application/vnd.oma.lwm2m+cbor"),
			Mime::ApplicationVndOmaLwm2mJson => write!(f, "application/vnd.oma.lwm2m+json"),
			Mime::ApplicationVndOmaLwm2mTlv => write!(f, "application/vnd.oma.lwm2m+tlv"),
			Mime::ApplicationVndOmaPalXml => write!(f, "application/vnd.oma.pal+xml"),
			Mime::ApplicationVndOmaPocDetailedProgressReportXml => write!(f, "application/vnd.oma.poc.detailed-progress-report+xml"),
			Mime::ApplicationVndOmaPocFinalReportXml => write!(f, "application/vnd.oma.poc.final-report+xml"),
			Mime::ApplicationVndOmaPocGroupsXml => write!(f, "application/vnd.oma.poc.groups+xml"),
			Mime::ApplicationVndOmaPocInvocationDescriptorXml => write!(f, "application/vnd.oma.poc.invocation-descriptor+xml"),
			Mime::ApplicationVndOmaPocOptimizedProgressReportXml => write!(f, "application/vnd.oma.poc.optimized-progress-report+xml"),
			Mime::ApplicationVndOmaPush => write!(f, "application/vnd.oma.push"),
			Mime::ApplicationVndOmaScidmMessagesXml => write!(f, "application/vnd.oma.scidm.messages+xml"),
			Mime::ApplicationVndOmaXcapDirectoryXml => write!(f, "application/vnd.oma.xcap-directory+xml"),
			Mime::ApplicationVndOmadsEmailXml => write!(f, "application/vnd.omads-email+xml"),
			Mime::ApplicationVndOmadsFileXml => write!(f, "application/vnd.omads-file+xml"),
			Mime::ApplicationVndOmadsFolderXml => write!(f, "application/vnd.omads-folder+xml"),
			Mime::ApplicationVndOmalocSuplInit => write!(f, "application/vnd.omaloc-supl-init"),
			Mime::ApplicationVndOmaScwsConfig => write!(f, "application/vnd.oma-scws-config"),
			Mime::ApplicationVndOmaScwsHttpRequest => write!(f, "application/vnd.oma-scws-http-request"),
			Mime::ApplicationVndOmaScwsHttpResponse => write!(f, "application/vnd.oma-scws-http-response"),
			Mime::ApplicationVndOnepager => write!(f, "application/vnd.onepager"),
			Mime::ApplicationVndOnepagertamp => write!(f, "application/vnd.onepagertamp"),
			Mime::ApplicationVndOnepagertamx => write!(f, "application/vnd.onepagertamx"),
			Mime::ApplicationVndOnepagertat => write!(f, "application/vnd.onepagertat"),
			Mime::ApplicationVndOnepagertatp => write!(f, "application/vnd.onepagertatp"),
			Mime::ApplicationVndOnepagertatx => write!(f, "application/vnd.onepagertatx"),
			Mime::ApplicationVndOnvifMetadata => write!(f, "application/vnd.onvif.metadata"),
			Mime::ApplicationVndOpenbloxGameBinary => write!(f, "application/vnd.openblox.game-binary"),
			Mime::ApplicationVndOpenbloxGameXml => write!(f, "application/vnd.openblox.game+xml"),
			Mime::ApplicationVndOpeneyeOeb => write!(f, "application/vnd.openeye.oeb"),
			Mime::ApplicationVndOpenstreetmapDataXml => write!(f, "application/vnd.openstreetmap.data+xml"),
			Mime::ApplicationVndOpentimestampsOts => write!(f, "application/vnd.opentimestamps.ots"),
			Mime::ApplicationVndOpenxmlformatsOfficedocumentCustomPropertiesXml => write!(f, "application/vnd.openxmlformats-officedocument.custom-properties+xml"),
			Mime::ApplicationVndOpenxmlformatsOfficedocumentCustomxmlpropertiesXml => write!(f, "application/vnd.openxmlformats-officedocument.customXmlProperties+xml"),
			Mime::ApplicationVndOpenxmlformatsOfficedocumentDrawingXml => write!(f, "application/vnd.openxmlformats-officedocument.drawing+xml"),
			Mime::ApplicationVndOpenxmlformatsOfficedocumentDrawingmlChartXml => write!(f, "application/vnd.openxmlformats-officedocument.drawingml.chart+xml"),
			Mime::ApplicationVndOpenxmlformatsOfficedocumentDrawingmlChartshapesXml => write!(f, "application/vnd.openxmlformats-officedocument.drawingml.chartshapes+xml"),
			Mime::ApplicationVndOpenxmlformatsOfficedocumentDrawingmlDiagramcolorsXml => write!(f, "application/vnd.openxmlformats-officedocument.drawingml.diagramColors+xml"),
			Mime::ApplicationVndOpenxmlformatsOfficedocumentDrawingmlDiagramdataXml => write!(f, "application/vnd.openxmlformats-officedocument.drawingml.diagramData+xml"),
			Mime::ApplicationVndOpenxmlformatsOfficedocumentDrawingmlDiagramlayoutXml => write!(f, "application/vnd.openxmlformats-officedocument.drawingml.diagramLayout+xml"),
			Mime::ApplicationVndOpenxmlformatsOfficedocumentDrawingmlDiagramstyleXml => write!(f, "application/vnd.openxmlformats-officedocument.drawingml.diagramStyle+xml"),
			Mime::ApplicationVndOpenxmlformatsOfficedocumentExtendedPropertiesXml => write!(f, "application/vnd.openxmlformats-officedocument.extended-properties+xml"),
			Mime::ApplicationVndOpenxmlformatsOfficedocumentPresentationmlCommentauthorsXml => write!(f, "application/vnd.openxmlformats-officedocument.presentationml.commentAuthors+xml"),
			Mime::ApplicationVndOpenxmlformatsOfficedocumentPresentationmlCommentsXml => write!(f, "application/vnd.openxmlformats-officedocument.presentationml.comments+xml"),
			Mime::ApplicationVndOpenxmlformatsOfficedocumentPresentationmlHandoutmasterXml => write!(f, "application/vnd.openxmlformats-officedocument.presentationml.handoutMaster+xml"),
			Mime::ApplicationVndOpenxmlformatsOfficedocumentPresentationmlNotesmasterXml => write!(f, "application/vnd.openxmlformats-officedocument.presentationml.notesMaster+xml"),
			Mime::ApplicationVndOpenxmlformatsOfficedocumentPresentationmlNotesslideXml => write!(f, "application/vnd.openxmlformats-officedocument.presentationml.notesSlide+xml"),
			Mime::ApplicationVndOpenxmlformatsOfficedocumentPresentationmlPresentation => write!(f, "application/vnd.openxmlformats-officedocument.presentationml.presentation"),
			Mime::ApplicationVndOpenxmlformatsOfficedocumentPresentationmlPresentationMainXml => write!(f, "application/vnd.openxmlformats-officedocument.presentationml.presentation.main+xml"),
			Mime::ApplicationVndOpenxmlformatsOfficedocumentPresentationmlPrespropsXml => write!(f, "application/vnd.openxmlformats-officedocument.presentationml.presProps+xml"),
			Mime::ApplicationVndOpenxmlformatsOfficedocumentPresentationmlSlide => write!(f, "application/vnd.openxmlformats-officedocument.presentationml.slide"),
			Mime::ApplicationVndOpenxmlformatsOfficedocumentPresentationmlSlideXml => write!(f, "application/vnd.openxmlformats-officedocument.presentationml.slide+xml"),
			Mime::ApplicationVndOpenxmlformatsOfficedocumentPresentationmlSlidelayoutXml => write!(f, "application/vnd.openxmlformats-officedocument.presentationml.slideLayout+xml"),
			Mime::ApplicationVndOpenxmlformatsOfficedocumentPresentationmlSlidemasterXml => write!(f, "application/vnd.openxmlformats-officedocument.presentationml.slideMaster+xml"),
			Mime::ApplicationVndOpenxmlformatsOfficedocumentPresentationmlSlideshow => write!(f, "application/vnd.openxmlformats-officedocument.presentationml.slideshow"),
			Mime::ApplicationVndOpenxmlformatsOfficedocumentPresentationmlSlideshowMainXml => write!(f, "application/vnd.openxmlformats-officedocument.presentationml.slideshow.main+xml"),
			Mime::ApplicationVndOpenxmlformatsOfficedocumentPresentationmlSlideupdateinfoXml => write!(f, "application/vnd.openxmlformats-officedocument.presentationml.slideUpdateInfo+xml"),
			Mime::ApplicationVndOpenxmlformatsOfficedocumentPresentationmlTablestylesXml => write!(f, "application/vnd.openxmlformats-officedocument.presentationml.tableStyles+xml"),
			Mime::ApplicationVndOpenxmlformatsOfficedocumentPresentationmlTagsXml => write!(f, "application/vnd.openxmlformats-officedocument.presentationml.tags+xml"),
			Mime::ApplicationVndOpenxmlformatsOfficedocumentPresentationmlTemplate => write!(f, "application/vnd.openxmlformats-officedocument.presentationml.template"),
			Mime::ApplicationVndOpenxmlformatsOfficedocumentPresentationmlTemplateMainXml => write!(f, "application/vnd.openxmlformats-officedocument.presentationml.template.main+xml"),
			Mime::ApplicationVndOpenxmlformatsOfficedocumentPresentationmlViewpropsXml => write!(f, "application/vnd.openxmlformats-officedocument.presentationml.viewProps+xml"),
			Mime::ApplicationVndOpenxmlformatsOfficedocumentSpreadsheetmlCalcchainXml => write!(f, "application/vnd.openxmlformats-officedocument.spreadsheetml.calcChain+xml"),
			Mime::ApplicationVndOpenxmlformatsOfficedocumentSpreadsheetmlChartsheetXml => write!(f, "application/vnd.openxmlformats-officedocument.spreadsheetml.chartsheet+xml"),
			Mime::ApplicationVndOpenxmlformatsOfficedocumentSpreadsheetmlCommentsXml => write!(f, "application/vnd.openxmlformats-officedocument.spreadsheetml.comments+xml"),
			Mime::ApplicationVndOpenxmlformatsOfficedocumentSpreadsheetmlConnectionsXml => write!(f, "application/vnd.openxmlformats-officedocument.spreadsheetml.connections+xml"),
			Mime::ApplicationVndOpenxmlformatsOfficedocumentSpreadsheetmlDialogsheetXml => write!(f, "application/vnd.openxmlformats-officedocument.spreadsheetml.dialogsheet+xml"),
			Mime::ApplicationVndOpenxmlformatsOfficedocumentSpreadsheetmlExternallinkXml => write!(f, "application/vnd.openxmlformats-officedocument.spreadsheetml.externalLink+xml"),
			Mime::ApplicationVndOpenxmlformatsOfficedocumentSpreadsheetmlPivotcachedefinitionXml => write!(f, "application/vnd.openxmlformats-officedocument.spreadsheetml.pivotCacheDefinition+xml"),
			Mime::ApplicationVndOpenxmlformatsOfficedocumentSpreadsheetmlPivotcacherecordsXml => write!(f, "application/vnd.openxmlformats-officedocument.spreadsheetml.pivotCacheRecords+xml"),
			Mime::ApplicationVndOpenxmlformatsOfficedocumentSpreadsheetmlPivottableXml => write!(f, "application/vnd.openxmlformats-officedocument.spreadsheetml.pivotTable+xml"),
			Mime::ApplicationVndOpenxmlformatsOfficedocumentSpreadsheetmlQuerytableXml => write!(f, "application/vnd.openxmlformats-officedocument.spreadsheetml.queryTable+xml"),
			Mime::ApplicationVndOpenxmlformatsOfficedocumentSpreadsheetmlRevisionheadersXml => write!(f, "application/vnd.openxmlformats-officedocument.spreadsheetml.revisionHeaders+xml"),
			Mime::ApplicationVndOpenxmlformatsOfficedocumentSpreadsheetmlRevisionlogXml => write!(f, "application/vnd.openxmlformats-officedocument.spreadsheetml.revisionLog+xml"),
			Mime::ApplicationVndOpenxmlformatsOfficedocumentSpreadsheetmlSharedstringsXml => write!(f, "application/vnd.openxmlformats-officedocument.spreadsheetml.sharedStrings+xml"),
			Mime::ApplicationVndOpenxmlformatsOfficedocumentSpreadsheetmlSheet => write!(f, "application/vnd.openxmlformats-officedocument.spreadsheetml.sheet"),
			Mime::ApplicationVndOpenxmlformatsOfficedocumentSpreadsheetmlSheetMainXml => write!(f, "application/vnd.openxmlformats-officedocument.spreadsheetml.sheet.main+xml"),
			Mime::ApplicationVndOpenxmlformatsOfficedocumentSpreadsheetmlSheetmetadataXml => write!(f, "application/vnd.openxmlformats-officedocument.spreadsheetml.sheetMetadata+xml"),
			Mime::ApplicationVndOpenxmlformatsOfficedocumentSpreadsheetmlStylesXml => write!(f, "application/vnd.openxmlformats-officedocument.spreadsheetml.styles+xml"),
			Mime::ApplicationVndOpenxmlformatsOfficedocumentSpreadsheetmlTableXml => write!(f, "application/vnd.openxmlformats-officedocument.spreadsheetml.table+xml"),
			Mime::ApplicationVndOpenxmlformatsOfficedocumentSpreadsheetmlTablesinglecellsXml => write!(f, "application/vnd.openxmlformats-officedocument.spreadsheetml.tableSingleCells+xml"),
			Mime::ApplicationVndOpenxmlformatsOfficedocumentSpreadsheetmlTemplate => write!(f, "application/vnd.openxmlformats-officedocument.spreadsheetml.template"),
			Mime::ApplicationVndOpenxmlformatsOfficedocumentSpreadsheetmlTemplateMainXml => write!(f, "application/vnd.openxmlformats-officedocument.spreadsheetml.template.main+xml"),
			Mime::ApplicationVndOpenxmlformatsOfficedocumentSpreadsheetmlUsernamesXml => write!(f, "application/vnd.openxmlformats-officedocument.spreadsheetml.userNames+xml"),
			Mime::ApplicationVndOpenxmlformatsOfficedocumentSpreadsheetmlVolatiledependenciesXml => write!(f, "application/vnd.openxmlformats-officedocument.spreadsheetml.volatileDependencies+xml"),
			Mime::ApplicationVndOpenxmlformatsOfficedocumentSpreadsheetmlWorksheetXml => write!(f, "application/vnd.openxmlformats-officedocument.spreadsheetml.worksheet+xml"),
			Mime::ApplicationVndOpenxmlformatsOfficedocumentThemeXml => write!(f, "application/vnd.openxmlformats-officedocument.theme+xml"),
			Mime::ApplicationVndOpenxmlformatsOfficedocumentThemeoverrideXml => write!(f, "application/vnd.openxmlformats-officedocument.themeOverride+xml"),
			Mime::ApplicationVndOpenxmlformatsOfficedocumentVmldrawing => write!(f, "application/vnd.openxmlformats-officedocument.vmlDrawing"),
			Mime::ApplicationVndOpenxmlformatsOfficedocumentWordprocessingmlCommentsXml => write!(f, "application/vnd.openxmlformats-officedocument.wordprocessingml.comments+xml"),
			Mime::ApplicationVndOpenxmlformatsOfficedocumentWordprocessingmlDocument => write!(f, "application/vnd.openxmlformats-officedocument.wordprocessingml.document"),
			Mime::ApplicationVndOpenxmlformatsOfficedocumentWordprocessingmlDocumentGlossaryXml => write!(f, "application/vnd.openxmlformats-officedocument.wordprocessingml.document.glossary+xml"),
			Mime::ApplicationVndOpenxmlformatsOfficedocumentWordprocessingmlDocumentMainXml => write!(f, "application/vnd.openxmlformats-officedocument.wordprocessingml.document.main+xml"),
			Mime::ApplicationVndOpenxmlformatsOfficedocumentWordprocessingmlEndnotesXml => write!(f, "application/vnd.openxmlformats-officedocument.wordprocessingml.endnotes+xml"),
			Mime::ApplicationVndOpenxmlformatsOfficedocumentWordprocessingmlFonttableXml => write!(f, "application/vnd.openxmlformats-officedocument.wordprocessingml.fontTable+xml"),
			Mime::ApplicationVndOpenxmlformatsOfficedocumentWordprocessingmlFooterXml => write!(f, "application/vnd.openxmlformats-officedocument.wordprocessingml.footer+xml"),
			Mime::ApplicationVndOpenxmlformatsOfficedocumentWordprocessingmlFootnotesXml => write!(f, "application/vnd.openxmlformats-officedocument.wordprocessingml.footnotes+xml"),
			Mime::ApplicationVndOpenxmlformatsOfficedocumentWordprocessingmlNumberingXml => write!(f, "application/vnd.openxmlformats-officedocument.wordprocessingml.numbering+xml"),
			Mime::ApplicationVndOpenxmlformatsOfficedocumentWordprocessingmlSettingsXml => write!(f, "application/vnd.openxmlformats-officedocument.wordprocessingml.settings+xml"),
			Mime::ApplicationVndOpenxmlformatsOfficedocumentWordprocessingmlStylesXml => write!(f, "application/vnd.openxmlformats-officedocument.wordprocessingml.styles+xml"),
			Mime::ApplicationVndOpenxmlformatsOfficedocumentWordprocessingmlTemplate => write!(f, "application/vnd.openxmlformats-officedocument.wordprocessingml.template"),
			Mime::ApplicationVndOpenxmlformatsOfficedocumentWordprocessingmlTemplateMainXml => write!(f, "application/vnd.openxmlformats-officedocument.wordprocessingml.template.main+xml"),
			Mime::ApplicationVndOpenxmlformatsOfficedocumentWordprocessingmlWebsettingsXml => write!(f, "application/vnd.openxmlformats-officedocument.wordprocessingml.webSettings+xml"),
			Mime::ApplicationVndOpenxmlformatsPackageCorePropertiesXml => write!(f, "application/vnd.openxmlformats-package.core-properties+xml"),
			Mime::ApplicationVndOpenxmlformatsPackageDigitalSignatureXmlsignatureXml => write!(f, "application/vnd.openxmlformats-package.digital-signature-xmlsignature+xml"),
			Mime::ApplicationVndOpenxmlformatsPackageRelationshipsXml => write!(f, "application/vnd.openxmlformats-package.relationships+xml"),
			Mime::ApplicationVndOracleResourceJson => write!(f, "application/vnd.oracle.resource+json"),
			Mime::ApplicationVndOrangeIndata => write!(f, "application/vnd.orange.indata"),
			Mime::ApplicationVndOsaNetdeploy => write!(f, "application/vnd.osa.netdeploy"),
			Mime::ApplicationVndOsgeoMapguidePackage => write!(f, "application/vnd.osgeo.mapguide.package"),
			Mime::ApplicationVndOsgiBundle => write!(f, "application/vnd.osgi.bundle"),
			Mime::ApplicationVndOsgiDp => write!(f, "application/vnd.osgi.dp"),
			Mime::ApplicationVndOsgiSubsystem => write!(f, "application/vnd.osgi.subsystem"),
			Mime::ApplicationVndOtpsCtKipXml => write!(f, "application/vnd.otps.ct-kip+xml"),
			Mime::ApplicationVndOxliCountgraph => write!(f, "application/vnd.oxli.countgraph"),
			Mime::ApplicationVndPagerdutyJson => write!(f, "application/vnd.pagerduty+json"),
			Mime::ApplicationVndPalm => write!(f, "application/vnd.palm"),
			Mime::ApplicationVndPanoply => write!(f, "application/vnd.panoply"),
			Mime::ApplicationVndPaosXml => write!(f, "application/vnd.paos.xml"),
			Mime::ApplicationVndPatentdive => write!(f, "application/vnd.patentdive"),
			Mime::ApplicationVndPatientecommsdoc => write!(f, "application/vnd.patientecommsdoc"),
			Mime::ApplicationVndPawaafile => write!(f, "application/vnd.pawaafile"),
			Mime::ApplicationVndPcos => write!(f, "application/vnd.pcos"),
			Mime::ApplicationVndPgFormat => write!(f, "application/vnd.pg.format"),
			Mime::ApplicationVndPgOsasli => write!(f, "application/vnd.pg.osasli"),
			Mime::ApplicationVndPiaccessApplicationLicence => write!(f, "application/vnd.piaccess.application-licence"),
			Mime::ApplicationVndPicsel => write!(f, "application/vnd.picsel"),
			Mime::ApplicationVndPmiWidget => write!(f, "application/vnd.pmi.widget"),
			Mime::ApplicationVndPocGroupAdvertisementXml => write!(f, "application/vnd.poc.group-advertisement+xml"),
			Mime::ApplicationVndPocketlearn => write!(f, "application/vnd.pocketlearn"),
			Mime::ApplicationVndPowerbuilder6 => write!(f, "application/vnd.powerbuilder6"),
			Mime::ApplicationVndPowerbuilder6S => write!(f, "application/vnd.powerbuilder6-s"),
			Mime::ApplicationVndPowerbuilder7 => write!(f, "application/vnd.powerbuilder7"),
			Mime::ApplicationVndPowerbuilder75 => write!(f, "application/vnd.powerbuilder75"),
			Mime::ApplicationVndPowerbuilder75S => write!(f, "application/vnd.powerbuilder75-s"),
			Mime::ApplicationVndPowerbuilder7S => write!(f, "application/vnd.powerbuilder7-s"),
			Mime::ApplicationVndPreminet => write!(f, "application/vnd.preminet"),
			Mime::ApplicationVndPreviewsystemsBox => write!(f, "application/vnd.previewsystems.box"),
			Mime::ApplicationVndProteusMagazine => write!(f, "application/vnd.proteus.magazine"),
			Mime::ApplicationVndPsfs => write!(f, "application/vnd.psfs"),
			Mime::ApplicationVndPtMundusmundi => write!(f, "application/vnd.pt.mundusmundi"),
			Mime::ApplicationVndPublishareDeltaTree => write!(f, "application/vnd.publishare-delta-tree"),
			Mime::ApplicationVndPviPtid1 => write!(f, "application/vnd.pvi.ptid1"),
			Mime::ApplicationVndPwgMultiplexed => write!(f, "application/vnd.pwg-multiplexed"),
			Mime::ApplicationVndPwgXhtmlPrintXml => write!(f, "application/vnd.pwg-xhtml-print+xml"),
			Mime::ApplicationVndQualcommBrewAppRes => write!(f, "application/vnd.qualcomm.brew-app-res"),
			Mime::ApplicationVndQuarantainenet => write!(f, "application/vnd.quarantainenet"),
			Mime::ApplicationVndQuarkQuarkxpress => write!(f, "application/vnd.Quark.QuarkXPress"),
			Mime::ApplicationVndQuobjectQuoxdocument => write!(f, "application/vnd.quobject-quoxdocument"),
			Mime::ApplicationVndRadisysMomlXml => write!(f, "application/vnd.radisys.moml+xml"),
			Mime::ApplicationVndRadisysMsmlAuditConfXml => write!(f, "application/vnd.radisys.msml-audit-conf+xml"),
			Mime::ApplicationVndRadisysMsmlAuditConnXml => write!(f, "application/vnd.radisys.msml-audit-conn+xml"),
			Mime::ApplicationVndRadisysMsmlAuditDialogXml => write!(f, "application/vnd.radisys.msml-audit-dialog+xml"),
			Mime::ApplicationVndRadisysMsmlAuditStreamXml => write!(f, "application/vnd.radisys.msml-audit-stream+xml"),
			Mime::ApplicationVndRadisysMsmlAuditXml => write!(f, "application/vnd.radisys.msml-audit+xml"),
			Mime::ApplicationVndRadisysMsmlConfXml => write!(f, "application/vnd.radisys.msml-conf+xml"),
			Mime::ApplicationVndRadisysMsmlDialogBaseXml => write!(f, "application/vnd.radisys.msml-dialog-base+xml"),
			Mime::ApplicationVndRadisysMsmlDialogFaxDetectXml => write!(f, "application/vnd.radisys.msml-dialog-fax-detect+xml"),
			Mime::ApplicationVndRadisysMsmlDialogFaxSendrecvXml => write!(f, "application/vnd.radisys.msml-dialog-fax-sendrecv+xml"),
			Mime::ApplicationVndRadisysMsmlDialogGroupXml => write!(f, "application/vnd.radisys.msml-dialog-group+xml"),
			Mime::ApplicationVndRadisysMsmlDialogSpeechXml => write!(f, "application/vnd.radisys.msml-dialog-speech+xml"),
			Mime::ApplicationVndRadisysMsmlDialogTransformXml => write!(f, "application/vnd.radisys.msml-dialog-transform+xml"),
			Mime::ApplicationVndRadisysMsmlDialogXml => write!(f, "application/vnd.radisys.msml-dialog+xml"),
			Mime::ApplicationVndRadisysMsmlXml => write!(f, "application/vnd.radisys.msml+xml"),
			Mime::ApplicationVndRainstorData => write!(f, "application/vnd.rainstor.data"),
			Mime::ApplicationVndRapid => write!(f, "application/vnd.rapid"),
			Mime::ApplicationVndRar => write!(f, "application/vnd.rar"),
			Mime::ApplicationVndRealvncBed => write!(f, "application/vnd.realvnc.bed"),
			Mime::ApplicationVndRecordareMusicxml => write!(f, "application/vnd.recordare.musicxml"),
			Mime::ApplicationVndRecordareMusicxmlXml => write!(f, "application/vnd.recordare.musicxml+xml"),
			Mime::ApplicationVndRenlearnRlprint => write!(f, "application/vnd.RenLearn.rlprint"),
			Mime::ApplicationVndResilientLogic => write!(f, "application/vnd.resilient.logic"),
			Mime::ApplicationVndRestfulJson => write!(f, "application/vnd.restful+json"),
			Mime::ApplicationVndRigCryptonote => write!(f, "application/vnd.rig.cryptonote"),
			Mime::ApplicationVndRoute66Link66Xml => write!(f, "application/vnd.route66.link66+xml"),
			Mime::ApplicationVndRs274x => write!(f, "application/vnd.rs-274x"),
			Mime::ApplicationVndRuckusDownload => write!(f, "application/vnd.ruckus.download"),
			Mime::ApplicationVndS3sms => write!(f, "application/vnd.s3sms"),
			Mime::ApplicationVndSailingtrackerTrack => write!(f, "application/vnd.sailingtracker.track"),
			Mime::ApplicationVndSar => write!(f, "application/vnd.sar"),
			Mime::ApplicationVndSbmCid => write!(f, "application/vnd.sbm.cid"),
			Mime::ApplicationVndSbmMid2 => write!(f, "application/vnd.sbm.mid2"),
			Mime::ApplicationVndScribus => write!(f, "application/vnd.scribus"),
			Mime::ApplicationVndSealed3df => write!(f, "application/vnd.sealed.3df"),
			Mime::ApplicationVndSealedCsf => write!(f, "application/vnd.sealed.csf"),
			Mime::ApplicationVndSealedDoc => write!(f, "application/vnd.sealed.doc"),
			Mime::ApplicationVndSealedEml => write!(f, "application/vnd.sealed.eml"),
			Mime::ApplicationVndSealedMht => write!(f, "application/vnd.sealed.mht"),
			Mime::ApplicationVndSealedNet => write!(f, "application/vnd.sealed.net"),
			Mime::ApplicationVndSealedPpt => write!(f, "application/vnd.sealed.ppt"),
			Mime::ApplicationVndSealedTiff => write!(f, "application/vnd.sealed.tiff"),
			Mime::ApplicationVndSealedXls => write!(f, "application/vnd.sealed.xls"),
			Mime::ApplicationVndSealedmediaSoftsealHtml => write!(f, "application/vnd.sealedmedia.softseal.html"),
			Mime::ApplicationVndSealedmediaSoftsealPdf => write!(f, "application/vnd.sealedmedia.softseal.pdf"),
			Mime::ApplicationVndSeemail => write!(f, "application/vnd.seemail"),
			Mime::ApplicationVndSeisJson => write!(f, "application/vnd.seis+json"),
			Mime::ApplicationVndSema => write!(f, "application/vnd.sema"),
			Mime::ApplicationVndSemd => write!(f, "application/vnd.semd"),
			Mime::ApplicationVndSemf => write!(f, "application/vnd.semf"),
			Mime::ApplicationVndShadeSaveFile => write!(f, "application/vnd.shade-save-file"),
			Mime::ApplicationVndShanaInformedFormdata => write!(f, "application/vnd.shana.informed.formdata"),
			Mime::ApplicationVndShanaInformedFormtemplate => write!(f, "application/vnd.shana.informed.formtemplate"),
			Mime::ApplicationVndShanaInformedInterchange => write!(f, "application/vnd.shana.informed.interchange"),
			Mime::ApplicationVndShanaInformedPackage => write!(f, "application/vnd.shana.informed.package"),
			Mime::ApplicationVndShootproofJson => write!(f, "application/vnd.shootproof+json"),
			Mime::ApplicationVndShopkickJson => write!(f, "application/vnd.shopkick+json"),
			Mime::ApplicationVndShp => write!(f, "application/vnd.shp"),
			Mime::ApplicationVndShx => write!(f, "application/vnd.shx"),
			Mime::ApplicationVndSigrokSession => write!(f, "application/vnd.sigrok.session"),
			Mime::ApplicationVndSimtechMindmapper => write!(f, "application/vnd.SimTech-MindMapper"),
			Mime::ApplicationVndSirenJson => write!(f, "application/vnd.siren+json"),
			Mime::ApplicationVndSmaf => write!(f, "application/vnd.smaf"),
			Mime::ApplicationVndSmartNotebook => write!(f, "application/vnd.smart.notebook"),
			Mime::ApplicationVndSmartTeacher => write!(f, "application/vnd.smart.teacher"),
			Mime::ApplicationVndSmintioPortalsArchive => write!(f, "application/vnd.smintio.portals.archive"),
			Mime::ApplicationVndSnesdevPageTable => write!(f, "application/vnd.snesdev-page-table"),
			Mime::ApplicationVndSoftware602FillerFormXml => write!(f, "application/vnd.software602.filler.form+xml"),
			Mime::ApplicationVndSoftware602FillerFormXmlZip => write!(f, "application/vnd.software602.filler.form-xml-zip"),
			Mime::ApplicationVndSolentSdkmXml => write!(f, "application/vnd.solent.sdkm+xml"),
			Mime::ApplicationVndSpotfireDxp => write!(f, "application/vnd.spotfire.dxp"),
			Mime::ApplicationVndSpotfireSfs => write!(f, "application/vnd.spotfire.sfs"),
			Mime::ApplicationVndSqlite3 => write!(f, "application/vnd.sqlite3"),
			Mime::ApplicationVndSssCod => write!(f, "application/vnd.sss-cod"),
			Mime::ApplicationVndSssDtf => write!(f, "application/vnd.sss-dtf"),
			Mime::ApplicationVndSssNtf => write!(f, "application/vnd.sss-ntf"),
			Mime::ApplicationVndStepmaniaPackage => write!(f, "application/vnd.stepmania.package"),
			Mime::ApplicationVndStepmaniaStepchart => write!(f, "application/vnd.stepmania.stepchart"),
			Mime::ApplicationVndStreetStream => write!(f, "application/vnd.street-stream"),
			Mime::ApplicationVndSunWadlXml => write!(f, "application/vnd.sun.wadl+xml"),
			Mime::ApplicationVndSusCalendar => write!(f, "application/vnd.sus-calendar"),
			Mime::ApplicationVndSvd => write!(f, "application/vnd.svd"),
			Mime::ApplicationVndSwiftviewIcs => write!(f, "application/vnd.swiftview-ics"),
			Mime::ApplicationVndSybylMol2 => write!(f, "application/vnd.sybyl.mol2"),
			Mime::ApplicationVndSycleXml => write!(f, "application/vnd.sycle+xml"),
			Mime::ApplicationVndSyftJson => write!(f, "application/vnd.syft+json"),
			Mime::ApplicationVndSyncmlDmNotification => write!(f, "application/vnd.syncml.dm.notification"),
			Mime::ApplicationVndSyncmlDmddfXml => write!(f, "application/vnd.syncml.dmddf+xml"),
			Mime::ApplicationVndSyncmlDmtndsWbxml => write!(f, "application/vnd.syncml.dmtnds+wbxml"),
			Mime::ApplicationVndSyncmlDmtndsXml => write!(f, "application/vnd.syncml.dmtnds+xml"),
			Mime::ApplicationVndSyncmlDmddfWbxml => write!(f, "application/vnd.syncml.dmddf+wbxml"),
			Mime::ApplicationVndSyncmlDmWbxml => write!(f, "application/vnd.syncml.dm+wbxml"),
			Mime::ApplicationVndSyncmlDmXml => write!(f, "application/vnd.syncml.dm+xml"),
			Mime::ApplicationVndSyncmlDsNotification => write!(f, "application/vnd.syncml.ds.notification"),
			Mime::ApplicationVndSyncmlXml => write!(f, "application/vnd.syncml+xml"),
			Mime::ApplicationVndTableschemaJson => write!(f, "application/vnd.tableschema+json"),
			Mime::ApplicationVndTaoIntentModuleArchive => write!(f, "application/vnd.tao.intent-module-archive"),
			Mime::ApplicationVndTcpdumpPcap => write!(f, "application/vnd.tcpdump.pcap"),
			Mime::ApplicationVndThinkCellPpttcJson => write!(f, "application/vnd.think-cell.ppttc+json"),
			Mime::ApplicationVndTml => write!(f, "application/vnd.tml"),
			Mime::ApplicationVndTmdMediaflexApiXml => write!(f, "application/vnd.tmd.mediaflex.api+xml"),
			Mime::ApplicationVndTmobileLivetv => write!(f, "application/vnd.tmobile-livetv"),
			Mime::ApplicationVndTriOnesource => write!(f, "application/vnd.tri.onesource"),
			Mime::ApplicationVndTridTpt => write!(f, "application/vnd.trid.tpt"),
			Mime::ApplicationVndTriscapeMxs => write!(f, "application/vnd.triscape.mxs"),
			Mime::ApplicationVndTrueapp => write!(f, "application/vnd.trueapp"),
			Mime::ApplicationVndTruedoc => write!(f, "application/vnd.truedoc"),
			Mime::ApplicationVndUbisoftWebplayer => write!(f, "application/vnd.ubisoft.webplayer"),
			Mime::ApplicationVndUfdl => write!(f, "application/vnd.ufdl"),
			Mime::ApplicationVndUiqTheme => write!(f, "application/vnd.uiq.theme"),
			Mime::ApplicationVndUmajin => write!(f, "application/vnd.umajin"),
			Mime::ApplicationVndUnity => write!(f, "application/vnd.unity"),
			Mime::ApplicationVndUomlXml => write!(f, "application/vnd.uoml+xml"),
			Mime::ApplicationVndUplanetAlert => write!(f, "application/vnd.uplanet.alert"),
			Mime::ApplicationVndUplanetAlertWbxml => write!(f, "application/vnd.uplanet.alert-wbxml"),
			Mime::ApplicationVndUplanetBearerChoice => write!(f, "application/vnd.uplanet.bearer-choice"),
			Mime::ApplicationVndUplanetBearerChoiceWbxml => write!(f, "application/vnd.uplanet.bearer-choice-wbxml"),
			Mime::ApplicationVndUplanetCacheop => write!(f, "application/vnd.uplanet.cacheop"),
			Mime::ApplicationVndUplanetCacheopWbxml => write!(f, "application/vnd.uplanet.cacheop-wbxml"),
			Mime::ApplicationVndUplanetChannel => write!(f, "application/vnd.uplanet.channel"),
			Mime::ApplicationVndUplanetChannelWbxml => write!(f, "application/vnd.uplanet.channel-wbxml"),
			Mime::ApplicationVndUplanetList => write!(f, "application/vnd.uplanet.list"),
			Mime::ApplicationVndUplanetListcmd => write!(f, "application/vnd.uplanet.listcmd"),
			Mime::ApplicationVndUplanetListcmdWbxml => write!(f, "application/vnd.uplanet.listcmd-wbxml"),
			Mime::ApplicationVndUplanetListWbxml => write!(f, "application/vnd.uplanet.list-wbxml"),
			Mime::ApplicationVndUriMap => write!(f, "application/vnd.uri-map"),
			Mime::ApplicationVndUplanetSignal => write!(f, "application/vnd.uplanet.signal"),
			Mime::ApplicationVndValveSourceMaterial => write!(f, "application/vnd.valve.source.material"),
			Mime::ApplicationVndVcx => write!(f, "application/vnd.vcx"),
			Mime::ApplicationVndVdStudy => write!(f, "application/vnd.vd-study"),
			Mime::ApplicationVndVectorworks => write!(f, "application/vnd.vectorworks"),
			Mime::ApplicationVndVelJson => write!(f, "application/vnd.vel+json"),
			Mime::ApplicationVndVerimatrixVcas => write!(f, "application/vnd.verimatrix.vcas"),
			Mime::ApplicationVndVeritoneAionJson => write!(f, "application/vnd.veritone.aion+json"),
			Mime::ApplicationVndVeryantThin => write!(f, "application/vnd.veryant.thin"),
			Mime::ApplicationVndVesEncrypted => write!(f, "application/vnd.ves.encrypted"),
			Mime::ApplicationVndVidsoftVidconference => write!(f, "application/vnd.vidsoft.vidconference"),
			Mime::ApplicationVndVisio => write!(f, "application/vnd.visio"),
			Mime::ApplicationVndVisionary => write!(f, "application/vnd.visionary"),
			Mime::ApplicationVndVividenceScriptfile => write!(f, "application/vnd.vividence.scriptfile"),
			Mime::ApplicationVndVsf => write!(f, "application/vnd.vsf"),
			Mime::ApplicationVndWapSic => write!(f, "application/vnd.wap.sic"),
			Mime::ApplicationVndWapSlc => write!(f, "application/vnd.wap.slc"),
			Mime::ApplicationVndWapWbxml => write!(f, "application/vnd.wap.wbxml"),
			Mime::ApplicationVndWapWmlc => write!(f, "application/vnd.wap.wmlc"),
			Mime::ApplicationVndWapWmlscriptc => write!(f, "application/vnd.wap.wmlscriptc"),
			Mime::ApplicationVndWasmflowWafl => write!(f, "application/vnd.wasmflow.wafl"),
			Mime::ApplicationVndWebturbo => write!(f, "application/vnd.webturbo"),
			Mime::ApplicationVndWfaDpp => write!(f, "application/vnd.wfa.dpp"),
			Mime::ApplicationVndWfaP2p => write!(f, "application/vnd.wfa.p2p"),
			Mime::ApplicationVndWfaWsc => write!(f, "application/vnd.wfa.wsc"),
			Mime::ApplicationVndWindowsDevicepairing => write!(f, "application/vnd.windows.devicepairing"),
			Mime::ApplicationVndWmc => write!(f, "application/vnd.wmc"),
			Mime::ApplicationVndWmfBootstrap => write!(f, "application/vnd.wmf.bootstrap"),
			Mime::ApplicationVndWolframMathematica => write!(f, "application/vnd.wolfram.mathematica"),
			Mime::ApplicationVndWolframMathematicaPackage => write!(f, "application/vnd.wolfram.mathematica.package"),
			Mime::ApplicationVndWolframPlayer => write!(f, "application/vnd.wolfram.player"),
			Mime::ApplicationVndWordlift => write!(f, "application/vnd.wordlift"),
			Mime::ApplicationVndWordperfect => write!(f, "application/vnd.wordperfect"),
			Mime::ApplicationVndWqd => write!(f, "application/vnd.wqd"),
			Mime::ApplicationVndWrqHp3000Labelled => write!(f, "application/vnd.wrq-hp3000-labelled"),
			Mime::ApplicationVndWtStf => write!(f, "application/vnd.wt.stf"),
			Mime::ApplicationVndWvCspXml => write!(f, "application/vnd.wv.csp+xml"),
			Mime::ApplicationVndWvCspWbxml => write!(f, "application/vnd.wv.csp+wbxml"),
			Mime::ApplicationVndWvSspXml => write!(f, "application/vnd.wv.ssp+xml"),
			Mime::ApplicationVndXacmlJson => write!(f, "application/vnd.xacml+json"),
			Mime::ApplicationVndXara => write!(f, "application/vnd.xara"),
			Mime::ApplicationVndXfdl => write!(f, "application/vnd.xfdl"),
			Mime::ApplicationVndXfdlWebform => write!(f, "application/vnd.xfdl.webform"),
			Mime::ApplicationVndXmiXml => write!(f, "application/vnd.xmi+xml"),
			Mime::ApplicationVndXmpieCpkg => write!(f, "application/vnd.xmpie.cpkg"),
			Mime::ApplicationVndXmpieDpkg => write!(f, "application/vnd.xmpie.dpkg"),
			Mime::ApplicationVndXmpiePlan => write!(f, "application/vnd.xmpie.plan"),
			Mime::ApplicationVndXmpiePpkg => write!(f, "application/vnd.xmpie.ppkg"),
			Mime::ApplicationVndXmpieXlim => write!(f, "application/vnd.xmpie.xlim"),
			Mime::ApplicationVndYamahaHvDic => write!(f, "application/vnd.yamaha.hv-dic"),
			Mime::ApplicationVndYamahaHvScript => write!(f, "application/vnd.yamaha.hv-script"),
			Mime::ApplicationVndYamahaHvVoice => write!(f, "application/vnd.yamaha.hv-voice"),
			Mime::ApplicationVndYamahaOpenscoreformatOsfpvgXml => write!(f, "application/vnd.yamaha.openscoreformat.osfpvg+xml"),
			Mime::ApplicationVndYamahaOpenscoreformat => write!(f, "application/vnd.yamaha.openscoreformat"),
			Mime::ApplicationVndYamahaRemoteSetup => write!(f, "application/vnd.yamaha.remote-setup"),
			Mime::ApplicationVndYamahaSmafAudio => write!(f, "application/vnd.yamaha.smaf-audio"),
			Mime::ApplicationVndYamahaSmafPhrase => write!(f, "application/vnd.yamaha.smaf-phrase"),
			Mime::ApplicationVndYamahaThroughNgn => write!(f, "application/vnd.yamaha.through-ngn"),
			Mime::ApplicationVndYamahaTunnelUdpencap => write!(f, "application/vnd.yamaha.tunnel-udpencap"),
			Mime::ApplicationVndYaoweme => write!(f, "application/vnd.yaoweme"),
			Mime::ApplicationVndYellowriverCustomMenu => write!(f, "application/vnd.yellowriver-custom-menu"),
			Mime::ApplicationVndZul => write!(f, "application/vnd.zul"),
			Mime::ApplicationVndZzazzDeckXml => write!(f, "application/vnd.zzazz.deck+xml"),
			Mime::ApplicationVoicexmlXml => write!(f, "application/voicexml+xml"),
			Mime::ApplicationVoucherCmsJson => write!(f, "application/voucher-cms+json"),
			Mime::ApplicationVqRtcpxr => write!(f, "application/vq-rtcpxr"),
			Mime::ApplicationWasm => write!(f, "application/wasm"),
			Mime::ApplicationWatcherinfoXml => write!(f, "application/watcherinfo+xml"),
			Mime::ApplicationWebpushOptionsJson => write!(f, "application/webpush-options+json"),
			Mime::ApplicationWhoisppQuery => write!(f, "application/whoispp-query"),
			Mime::ApplicationWhoisppResponse => write!(f, "application/whoispp-response"),
			Mime::ApplicationWidget => write!(f, "application/widget"),
			Mime::ApplicationWita => write!(f, "application/wita"),
			Mime::ApplicationWordperfect51 => write!(f, "application/wordperfect5.1"),
			Mime::ApplicationWsdlXml => write!(f, "application/wsdl+xml"),
			Mime::ApplicationWspolicyXml => write!(f, "application/wspolicy+xml"),
			Mime::ApplicationXPkiMessage => write!(f, "application/x-pki-message"),
			Mime::ApplicationXWwwFormUrlencoded => write!(f, "application/x-www-form-urlencoded"),
			Mime::ApplicationXX509CaCert => write!(f, "application/x-x509-ca-cert"),
			Mime::ApplicationXX509CaRaCert => write!(f, "application/x-x509-ca-ra-cert"),
			Mime::ApplicationXX509NextCaCert => write!(f, "application/x-x509-next-ca-cert"),
			Mime::ApplicationX400Bp => write!(f, "application/x400-bp"),
			Mime::ApplicationXacmlXml => write!(f, "application/xacml+xml"),
			Mime::ApplicationXcapAttXml => write!(f, "application/xcap-att+xml"),
			Mime::ApplicationXcapCapsXml => write!(f, "application/xcap-caps+xml"),
			Mime::ApplicationXcapDiffXml => write!(f, "application/xcap-diff+xml"),
			Mime::ApplicationXcapElXml => write!(f, "application/xcap-el+xml"),
			Mime::ApplicationXcapErrorXml => write!(f, "application/xcap-error+xml"),
			Mime::ApplicationXcapNsXml => write!(f, "application/xcap-ns+xml"),
			Mime::ApplicationXconConferenceInfoDiffXml => write!(f, "application/xcon-conference-info-diff+xml"),
			Mime::ApplicationXconConferenceInfoXml => write!(f, "application/xcon-conference-info+xml"),
			Mime::ApplicationXencXml => write!(f, "application/xenc+xml"),
			Mime::ApplicationXfdf => write!(f, "application/xfdf"),
			Mime::ApplicationXhtmlXml => write!(f, "application/xhtml+xml"),
			Mime::ApplicationXliffXml => write!(f, "application/xliff+xml"),
			Mime::ApplicationXml => write!(f, "application/xml"),
			Mime::ApplicationXmlDtd => write!(f, "application/xml-dtd"),
			Mime::ApplicationXmlExternalParsedEntity => write!(f, "application/xml-external-parsed-entity"),
			Mime::ApplicationXmlPatchXml => write!(f, "application/xml-patch+xml"),
			Mime::ApplicationXmppXml => write!(f, "application/xmpp+xml"),
			Mime::ApplicationXopXml => write!(f, "application/xop+xml"),
			Mime::ApplicationXsltXml => write!(f, "application/xslt+xml"),
			Mime::ApplicationXvXml => write!(f, "application/xv+xml"),
			Mime::ApplicationYang => write!(f, "application/yang"),
			Mime::ApplicationYangDataCbor => write!(f, "application/yang-data+cbor"),
			Mime::ApplicationYangDataJson => write!(f, "application/yang-data+json"),
			Mime::ApplicationYangDataXml => write!(f, "application/yang-data+xml"),
			Mime::ApplicationYangPatchJson => write!(f, "application/yang-patch+json"),
			Mime::ApplicationYangPatchXml => write!(f, "application/yang-patch+xml"),
			Mime::ApplicationYinXml => write!(f, "application/yin+xml"),
			Mime::ApplicationZip => write!(f, "application/zip"),
			Mime::ApplicationZlib => write!(f, "application/zlib"),
			Mime::ApplicationZstd => write!(f, "application/zstd"),
			Mime::Audio1dInterleavedParityfec => write!(f, "audio/1d-interleaved-parityfec"),
			Mime::Audio32kadpcm => write!(f, "audio/32kadpcm"),
			Mime::Audio3gpp => write!(f, "audio/3gpp"),
			Mime::Audio3gpp2 => write!(f, "audio/3gpp2"),
			Mime::AudioAac => write!(f, "audio/aac"),
			Mime::AudioAc3 => write!(f, "audio/ac3"),
			Mime::AudioAmr => write!(f, "audio/AMR"),
			Mime::AudioAmrWb => write!(f, "audio/AMR-WB"),
			Mime::AudioAmrWbPlus => write!(f, "audio/amr-wb+"),
			Mime::AudioAptx => write!(f, "audio/aptx"),
			Mime::AudioAsc => write!(f, "audio/asc"),
			Mime::AudioAtracAdvancedLossless => write!(f, "audio/ATRAC-ADVANCED-LOSSLESS"),
			Mime::AudioAtracX => write!(f, "audio/ATRAC-X"),
			Mime::AudioAtrac3 => write!(f, "audio/ATRAC3"),
			Mime::AudioBasic => write!(f, "audio/basic"),
			Mime::AudioBv16 => write!(f, "audio/BV16"),
			Mime::AudioBv32 => write!(f, "audio/BV32"),
			Mime::AudioClearmode => write!(f, "audio/clearmode"),
			Mime::AudioCn => write!(f, "audio/CN"),
			Mime::AudioDat12 => write!(f, "audio/DAT12"),
			Mime::AudioDls => write!(f, "audio/dls"),
			Mime::AudioDsrEs201108 => write!(f, "audio/dsr-es201108"),
			Mime::AudioDsrEs202050 => write!(f, "audio/dsr-es202050"),
			Mime::AudioDsrEs202211 => write!(f, "audio/dsr-es202211"),
			Mime::AudioDsrEs202212 => write!(f, "audio/dsr-es202212"),
			Mime::AudioDv => write!(f, "audio/DV"),
			Mime::AudioDvi4 => write!(f, "audio/DVI4"),
			Mime::AudioEac3 => write!(f, "audio/eac3"),
			Mime::AudioEncaprtp => write!(f, "audio/encaprtp"),
			Mime::AudioEvrc => write!(f, "audio/EVRC"),
			Mime::AudioEvrcQcp => write!(f, "audio/EVRC-QCP"),
			Mime::AudioEvrc0 => write!(f, "audio/EVRC0"),
			Mime::AudioEvrc1 => write!(f, "audio/EVRC1"),
			Mime::AudioEvrcb => write!(f, "audio/EVRCB"),
			Mime::AudioEvrcb0 => write!(f, "audio/EVRCB0"),
			Mime::AudioEvrcb1 => write!(f, "audio/EVRCB1"),
			Mime::AudioEvrcnw => write!(f, "audio/EVRCNW"),
			Mime::AudioEvrcnw0 => write!(f, "audio/EVRCNW0"),
			Mime::AudioEvrcnw1 => write!(f, "audio/EVRCNW1"),
			Mime::AudioEvrcwb => write!(f, "audio/EVRCWB"),
			Mime::AudioEvrcwb0 => write!(f, "audio/EVRCWB0"),
			Mime::AudioEvrcwb1 => write!(f, "audio/EVRCWB1"),
			Mime::AudioEvs => write!(f, "audio/EVS"),
			Mime::AudioExample => write!(f, "audio/example"),
			Mime::AudioFlexfec => write!(f, "audio/flexfec"),
			Mime::AudioFwdred => write!(f, "audio/fwdred"),
			Mime::AudioG7110 => write!(f, "audio/G711-0"),
			Mime::AudioG719 => write!(f, "audio/G719"),
			Mime::AudioG7221 => write!(f, "audio/G7221"),
			Mime::AudioG722 => write!(f, "audio/G722"),
			Mime::AudioG723 => write!(f, "audio/G723"),
			Mime::AudioG72616 => write!(f, "audio/G726-16"),
			Mime::AudioG72624 => write!(f, "audio/G726-24"),
			Mime::AudioG72632 => write!(f, "audio/G726-32"),
			Mime::AudioG72640 => write!(f, "audio/G726-40"),
			Mime::AudioG728 => write!(f, "audio/G728"),
			Mime::AudioG729 => write!(f, "audio/G729"),
			Mime::AudioG7291 => write!(f, "audio/G7291"),
			Mime::AudioG729d => write!(f, "audio/G729D"),
			Mime::AudioG729e => write!(f, "audio/G729E"),
			Mime::AudioGsm => write!(f, "audio/GSM"),
			Mime::AudioGsmEfr => write!(f, "audio/GSM-EFR"),
			Mime::AudioGsmHr08 => write!(f, "audio/GSM-HR-08"),
			Mime::AudioIlbc => write!(f, "audio/iLBC"),
			Mime::AudioIpMrV25 => write!(f, "audio/ip-mr_v2.5"),
			Mime::AudioL8 => write!(f, "audio/L8"),
			Mime::AudioL16 => write!(f, "audio/L16"),
			Mime::AudioL20 => write!(f, "audio/L20"),
			Mime::AudioL24 => write!(f, "audio/L24"),
			Mime::AudioLpc => write!(f, "audio/LPC"),
			Mime::AudioMelp => write!(f, "audio/MELP"),
			Mime::AudioMelp600 => write!(f, "audio/MELP600"),
			Mime::AudioMelp1200 => write!(f, "audio/MELP1200"),
			Mime::AudioMelp2400 => write!(f, "audio/MELP2400"),
			Mime::AudioMhas => write!(f, "audio/mhas"),
			Mime::AudioMobileXmf => write!(f, "audio/mobile-xmf"),
			Mime::AudioMpa => write!(f, "audio/MPA"),
			Mime::AudioMp4 => write!(f, "audio/mp4"),
			Mime::AudioMp4aLatm => write!(f, "audio/MP4A-LATM"),
			Mime::AudioMpaRobust => write!(f, "audio/mpa-robust"),
			Mime::AudioMpeg => write!(f, "audio/mpeg"),
			Mime::AudioMpeg4Generic => write!(f, "audio/mpeg4-generic"),
			Mime::AudioOgg => write!(f, "audio/ogg"),
			Mime::AudioOpus => write!(f, "audio/opus"),
			Mime::AudioParityfec => write!(f, "audio/parityfec"),
			Mime::AudioPcma => write!(f, "audio/PCMA"),
			Mime::AudioPcmaWb => write!(f, "audio/PCMA-WB"),
			Mime::AudioPcmu => write!(f, "audio/PCMU"),
			Mime::AudioPcmuWb => write!(f, "audio/PCMU-WB"),
			Mime::AudioPrsSid => write!(f, "audio/prs.sid"),
			Mime::AudioQcelp => write!(f, "audio/QCELP"),
			Mime::AudioRaptorfec => write!(f, "audio/raptorfec"),
			Mime::AudioRed => write!(f, "audio/RED"),
			Mime::AudioRtpEncAescm128 => write!(f, "audio/rtp-enc-aescm128"),
			Mime::AudioRtploopback => write!(f, "audio/rtploopback"),
			Mime::AudioRtpMidi => write!(f, "audio/rtp-midi"),
			Mime::AudioRtx => write!(f, "audio/rtx"),
			Mime::AudioScip => write!(f, "audio/scip"),
			Mime::AudioSmv => write!(f, "audio/SMV"),
			Mime::AudioSmv0 => write!(f, "audio/SMV0"),
			Mime::AudioSmvQcp => write!(f, "audio/SMV-QCP"),
			Mime::AudioSofa => write!(f, "audio/sofa"),
			Mime::AudioSpMidi => write!(f, "audio/sp-midi"),
			Mime::AudioSpeex => write!(f, "audio/speex"),
			Mime::AudioT140c => write!(f, "audio/t140c"),
			Mime::AudioT38 => write!(f, "audio/t38"),
			Mime::AudioTelephoneEvent => write!(f, "audio/telephone-event"),
			Mime::AudioTetraAcelp => write!(f, "audio/TETRA_ACELP"),
			Mime::AudioTetraAcelpBb => write!(f, "audio/TETRA_ACELP_BB"),
			Mime::AudioTone => write!(f, "audio/tone"),
			Mime::AudioTsvcis => write!(f, "audio/TSVCIS"),
			Mime::AudioUemclip => write!(f, "audio/UEMCLIP"),
			Mime::AudioUlpfec => write!(f, "audio/ulpfec"),
			Mime::AudioUsac => write!(f, "audio/usac"),
			Mime::AudioVdvi => write!(f, "audio/VDVI"),
			Mime::AudioVmrWb => write!(f, "audio/VMR-WB"),
			Mime::AudioVnd3gppIufp => write!(f, "audio/vnd.3gpp.iufp"),
			Mime::AudioVnd4sb => write!(f, "audio/vnd.4SB"),
			Mime::AudioVndAudiokoz => write!(f, "audio/vnd.audiokoz"),
			Mime::AudioVndCelp => write!(f, "audio/vnd.CELP"),
			Mime::AudioVndCiscoNse => write!(f, "audio/vnd.cisco.nse"),
			Mime::AudioVndCmlesRadioEvents => write!(f, "audio/vnd.cmles.radio-events"),
			Mime::AudioVndCnsAnp1 => write!(f, "audio/vnd.cns.anp1"),
			Mime::AudioVndCnsInf1 => write!(f, "audio/vnd.cns.inf1"),
			Mime::AudioVndDeceAudio => write!(f, "audio/vnd.dece.audio"),
			Mime::AudioVndDigitalWinds => write!(f, "audio/vnd.digital-winds"),
			Mime::AudioVndDlnaAdts => write!(f, "audio/vnd.dlna.adts"),
			Mime::AudioVndDolbyHeaac1 => write!(f, "audio/vnd.dolby.heaac.1"),
			Mime::AudioVndDolbyHeaac2 => write!(f, "audio/vnd.dolby.heaac.2"),
			Mime::AudioVndDolbyMlp => write!(f, "audio/vnd.dolby.mlp"),
			Mime::AudioVndDolbyMps => write!(f, "audio/vnd.dolby.mps"),
			Mime::AudioVndDolbyPl2 => write!(f, "audio/vnd.dolby.pl2"),
			Mime::AudioVndDolbyPl2x => write!(f, "audio/vnd.dolby.pl2x"),
			Mime::AudioVndDolbyPl2z => write!(f, "audio/vnd.dolby.pl2z"),
			Mime::AudioVndDolbyPulse1 => write!(f, "audio/vnd.dolby.pulse.1"),
			Mime::AudioVndDra => write!(f, "audio/vnd.dra"),
			Mime::AudioVndDts => write!(f, "audio/vnd.dts"),
			Mime::AudioVndDtsHd => write!(f, "audio/vnd.dts.hd"),
			Mime::AudioVndDtsUhd => write!(f, "audio/vnd.dts.uhd"),
			Mime::AudioVndDvbFile => write!(f, "audio/vnd.dvb.file"),
			Mime::AudioVndEveradPlj => write!(f, "audio/vnd.everad.plj"),
			Mime::AudioVndHnsAudio => write!(f, "audio/vnd.hns.audio"),
			Mime::AudioVndLucentVoice => write!(f, "audio/vnd.lucent.voice"),
			Mime::AudioVndMsPlayreadyMediaPya => write!(f, "audio/vnd.ms-playready.media.pya"),
			Mime::AudioVndNokiaMobileXmf => write!(f, "audio/vnd.nokia.mobile-xmf"),
			Mime::AudioVndNortelVbk => write!(f, "audio/vnd.nortel.vbk"),
			Mime::AudioVndNueraEcelp4800 => write!(f, "audio/vnd.nuera.ecelp4800"),
			Mime::AudioVndNueraEcelp7470 => write!(f, "audio/vnd.nuera.ecelp7470"),
			Mime::AudioVndNueraEcelp9600 => write!(f, "audio/vnd.nuera.ecelp9600"),
			Mime::AudioVndOctelSbc => write!(f, "audio/vnd.octel.sbc"),
			Mime::AudioVndPresonusMultitrack => write!(f, "audio/vnd.presonus.multitrack"),
			Mime::AudioVndRhetorex32kadpcm => write!(f, "audio/vnd.rhetorex.32kadpcm"),
			Mime::AudioVndRip => write!(f, "audio/vnd.rip"),
			Mime::AudioVndSealedmediaSoftsealMpeg => write!(f, "audio/vnd.sealedmedia.softseal.mpeg"),
			Mime::AudioVndVmxCvsd => write!(f, "audio/vnd.vmx.cvsd"),
			Mime::AudioVorbis => write!(f, "audio/vorbis"),
			Mime::AudioVorbisConfig => write!(f, "audio/vorbis-config"),
			Mime::FontCollection => write!(f, "font/collection"),
			Mime::FontOtf => write!(f, "font/otf"),
			Mime::FontSfnt => write!(f, "font/sfnt"),
			Mime::FontTtf => write!(f, "font/ttf"),
			Mime::FontWoff => write!(f, "font/woff"),
			Mime::FontWoff2 => write!(f, "font/woff2"),
			Mime::ImageAces => write!(f, "image/aces"),
			Mime::ImageApng => write!(f, "image/apng"),
			Mime::ImageAvci => write!(f, "image/avci"),
			Mime::ImageAvcs => write!(f, "image/avcs"),
			Mime::ImageAvif => write!(f, "image/avif"),
			Mime::ImageBmp => write!(f, "image/bmp"),
			Mime::ImageCgm => write!(f, "image/cgm"),
			Mime::ImageDicomRle => write!(f, "image/dicom-rle"),
			Mime::ImageDpx => write!(f, "image/dpx"),
			Mime::ImageEmf => write!(f, "image/emf"),
			Mime::ImageExample => write!(f, "image/example"),
			Mime::ImageFits => write!(f, "image/fits"),
			Mime::ImageG3fax => write!(f, "image/g3fax"),
			Mime::ImageHeic => write!(f, "image/heic"),
			Mime::ImageHeicSequence => write!(f, "image/heic-sequence"),
			Mime::ImageHeif => write!(f, "image/heif"),
			Mime::ImageHeifSequence => write!(f, "image/heif-sequence"),
			Mime::ImageHej2k => write!(f, "image/hej2k"),
			Mime::ImageHsj2 => write!(f, "image/hsj2"),
			Mime::ImageJls => write!(f, "image/jls"),
			Mime::ImageJp2 => write!(f, "image/jp2"),
            Mime::ImageJpeg => write!(f, "image/jpeg"),
			Mime::ImageJph => write!(f, "image/jph"),
			Mime::ImageJphc => write!(f, "image/jphc"),
			Mime::ImageJpm => write!(f, "image/jpm"),
			Mime::ImageJpx => write!(f, "image/jpx"),
			Mime::ImageJxr => write!(f, "image/jxr"),
			Mime::ImageJxra => write!(f, "image/jxrA"),
			Mime::ImageJxrs => write!(f, "image/jxrS"),
			Mime::ImageJxs => write!(f, "image/jxs"),
			Mime::ImageJxsc => write!(f, "image/jxsc"),
			Mime::ImageJxsi => write!(f, "image/jxsi"),
			Mime::ImageJxss => write!(f, "image/jxss"),
			Mime::ImageKtx => write!(f, "image/ktx"),
			Mime::ImageKtx2 => write!(f, "image/ktx2"),
			Mime::ImageNaplps => write!(f, "image/naplps"),
			Mime::ImagePng => write!(f, "image/png"),
			Mime::ImagePrsBtif => write!(f, "image/prs.btif"),
			Mime::ImagePrsPti => write!(f, "image/prs.pti"),
			Mime::ImagePwgRaster => write!(f, "image/pwg-raster"),
			Mime::ImageSvgXml => write!(f, "image/svg+xml"),
			Mime::ImageT38 => write!(f, "image/t38"),
			Mime::ImageTiff => write!(f, "image/tiff"),
			Mime::ImageTiffFx => write!(f, "image/tiff-fx"),
			Mime::ImageVndAdobePhotoshop => write!(f, "image/vnd.adobe.photoshop"),
			Mime::ImageVndAirzipAcceleratorAzv => write!(f, "image/vnd.airzip.accelerator.azv"),
			Mime::ImageVndCnsInf2 => write!(f, "image/vnd.cns.inf2"),
			Mime::ImageVndDeceGraphic => write!(f, "image/vnd.dece.graphic"),
			Mime::ImageVndDjvu => write!(f, "image/vnd.djvu"),
			Mime::ImageVndDwg => write!(f, "image/vnd.dwg"),
			Mime::ImageVndDxf => write!(f, "image/vnd.dxf"),
			Mime::ImageVndDvbSubtitle => write!(f, "image/vnd.dvb.subtitle"),
			Mime::ImageVndFastbidsheet => write!(f, "image/vnd.fastbidsheet"),
			Mime::ImageVndFpx => write!(f, "image/vnd.fpx"),
			Mime::ImageVndFst => write!(f, "image/vnd.fst"),
			Mime::ImageVndFujixeroxEdmicsMmr => write!(f, "image/vnd.fujixerox.edmics-mmr"),
			Mime::ImageVndFujixeroxEdmicsRlc => write!(f, "image/vnd.fujixerox.edmics-rlc"),
			Mime::ImageVndGlobalgraphicsPgb => write!(f, "image/vnd.globalgraphics.pgb"),
			Mime::ImageVndMicrosoftIcon => write!(f, "image/vnd.microsoft.icon"),
			Mime::ImageVndMix => write!(f, "image/vnd.mix"),
			Mime::ImageVndMsModi => write!(f, "image/vnd.ms-modi"),
			Mime::ImageVndMozillaApng => write!(f, "image/vnd.mozilla.apng"),
			Mime::ImageVndNetFpx => write!(f, "image/vnd.net-fpx"),
			Mime::ImageVndPcoB16 => write!(f, "image/vnd.pco.b16"),
			Mime::ImageVndRadiance => write!(f, "image/vnd.radiance"),
			Mime::ImageVndSealedPng => write!(f, "image/vnd.sealed.png"),
			Mime::ImageVndSealedmediaSoftsealGif => write!(f, "image/vnd.sealedmedia.softseal.gif"),
			Mime::ImageVndSealedmediaSoftsealJpg => write!(f, "image/vnd.sealedmedia.softseal.jpg"),
			Mime::ImageVndSvf => write!(f, "image/vnd.svf"),
			Mime::ImageVndTencentTap => write!(f, "image/vnd.tencent.tap"),
			Mime::ImageVndValveSourceTexture => write!(f, "image/vnd.valve.source.texture"),
			Mime::ImageVndWapWbmp => write!(f, "image/vnd.wap.wbmp"),
			Mime::ImageVndXiff => write!(f, "image/vnd.xiff"),
			Mime::ImageVndZbrushPcx => write!(f, "image/vnd.zbrush.pcx"),
			Mime::ImageWebp => write!(f, "image/webp"),
			Mime::ImageWmf => write!(f, "image/wmf"),
			Mime::MessageBhttp => write!(f, "message/bhttp"),
			Mime::MessageCpim => write!(f, "message/CPIM"),
			Mime::MessageDeliveryStatus => write!(f, "message/delivery-status"),
			Mime::MessageDispositionNotification => write!(f, "message/disposition-notification"),
			Mime::MessageExample => write!(f, "message/example"),
			Mime::MessageFeedbackReport => write!(f, "message/feedback-report"),
			Mime::MessageGlobal => write!(f, "message/global"),
			Mime::MessageGlobalDeliveryStatus => write!(f, "message/global-delivery-status"),
			Mime::MessageGlobalDispositionNotification => write!(f, "message/global-disposition-notification"),
			Mime::MessageGlobalHeaders => write!(f, "message/global-headers"),
			Mime::MessageHttp => write!(f, "message/http"),
			Mime::MessageImdnXml => write!(f, "message/imdn+xml"),
			Mime::MessageMls => write!(f, "message/mls"),
			Mime::MessageOhttpReq => write!(f, "message/ohttp-req"),
			Mime::MessageOhttpRes => write!(f, "message/ohttp-res"),
			Mime::MessageSip => write!(f, "message/sip"),
			Mime::MessageSipfrag => write!(f, "message/sipfrag"),
			Mime::MessageTrackingStatus => write!(f, "message/tracking-status"),
			Mime::MessageVndWfaWsc => write!(f, "message/vnd.wfa.wsc"),
			Mime::Model3mf => write!(f, "model/3mf"),
			Mime::ModelE57 => write!(f, "model/e57"),
			Mime::ModelExample => write!(f, "model/example"),
			Mime::ModelGltfBinary => write!(f, "model/gltf-binary"),
			Mime::ModelGltfJson => write!(f, "model/gltf+json"),
			Mime::ModelJt => write!(f, "model/JT"),
			Mime::ModelIges => write!(f, "model/iges"),
			Mime::ModelMtl => write!(f, "model/mtl"),
			Mime::ModelObj => write!(f, "model/obj"),
			Mime::ModelPrc => write!(f, "model/prc"),
			Mime::ModelStep => write!(f, "model/step"),
			Mime::ModelStepXml => write!(f, "model/step+xml"),
			Mime::ModelStepZip => write!(f, "model/step+zip"),
			Mime::ModelStepXmlZip => write!(f, "model/step-xml+zip"),
			Mime::ModelStl => write!(f, "model/stl"),
			Mime::ModelU3d => write!(f, "model/u3d"),
			Mime::ModelVndBary => write!(f, "model/vnd.bary"),
			Mime::ModelVndCld => write!(f, "model/vnd.cld"),
			Mime::ModelVndColladaXml => write!(f, "model/vnd.collada+xml"),
			Mime::ModelVndDwf => write!(f, "model/vnd.dwf"),
			Mime::ModelVndFlatland3dml => write!(f, "model/vnd.flatland.3dml"),
			Mime::ModelVndGdl => write!(f, "model/vnd.gdl"),
			Mime::ModelVndGsGdl => write!(f, "model/vnd.gs-gdl"),
			Mime::ModelVndGtw => write!(f, "model/vnd.gtw"),
			Mime::ModelVndMomlXml => write!(f, "model/vnd.moml+xml"),
			Mime::ModelVndMts => write!(f, "model/vnd.mts"),
			Mime::ModelVndOpengex => write!(f, "model/vnd.opengex"),
			Mime::ModelVndParasolidTransmitBinary => write!(f, "model/vnd.parasolid.transmit.binary"),
			Mime::ModelVndParasolidTransmitText => write!(f, "model/vnd.parasolid.transmit.text"),
			Mime::ModelVndPythaPyox => write!(f, "model/vnd.pytha.pyox"),
			Mime::ModelVndRosetteAnnotatedDataModel => write!(f, "model/vnd.rosette.annotated-data-model"),
			Mime::ModelVndSapVds => write!(f, "model/vnd.sap.vds"),
			Mime::ModelVndUsda => write!(f, "model/vnd.usda"),
			Mime::ModelVndUsdzZip => write!(f, "model/vnd.usdz+zip"),
			Mime::ModelVndValveSourceCompiledMap => write!(f, "model/vnd.valve.source.compiled-map"),
			Mime::ModelVndVtu => write!(f, "model/vnd.vtu"),
			Mime::ModelX3dVrml => write!(f, "model/x3d-vrml"),
			Mime::ModelX3dFastinfoset => write!(f, "model/x3d+fastinfoset"),
			Mime::ModelX3dXml => write!(f, "model/x3d+xml"),
			Mime::MultipartAppledouble => write!(f, "multipart/appledouble"),
			Mime::MultipartByteranges => write!(f, "multipart/byteranges"),
			Mime::MultipartEncrypted => write!(f, "multipart/encrypted"),
			Mime::MultipartExample => write!(f, "multipart/example"),
			Mime::MultipartFormData => write!(f, "multipart/form-data"),
			Mime::MultipartHeaderSet => write!(f, "multipart/header-set"),
			Mime::MultipartMultilingual => write!(f, "multipart/multilingual"),
			Mime::MultipartRelated => write!(f, "multipart/related"),
			Mime::MultipartReport => write!(f, "multipart/report"),
			Mime::MultipartSigned => write!(f, "multipart/signed"),
			Mime::MultipartVndBintMedPlus => write!(f, "multipart/vnd.bint.med-plus"),
			Mime::MultipartVoiceMessage => write!(f, "multipart/voice-message"),
			Mime::MultipartXMixedReplace => write!(f, "multipart/x-mixed-replace"),
			Mime::Text1dInterleavedParityfec => write!(f, "text/1d-interleaved-parityfec"),
			Mime::TextCacheManifest => write!(f, "text/cache-manifest"),
			Mime::TextCalendar => write!(f, "text/calendar"),
			Mime::TextCql => write!(f, "text/cql"),
			Mime::TextCqlExpression => write!(f, "text/cql-expression"),
			Mime::TextCqlIdentifier => write!(f, "text/cql-identifier"),
			Mime::TextCss => write!(f, "text/css"),
			Mime::TextCsv => write!(f, "text/csv"),
			Mime::TextCsvSchema => write!(f, "text/csv-schema"),
			Mime::TextDns => write!(f, "text/dns"),
			Mime::TextEncaprtp => write!(f, "text/encaprtp"),
			Mime::TextExample => write!(f, "text/example"),
			Mime::TextFhirpath => write!(f, "text/fhirpath"),
			Mime::TextFlexfec => write!(f, "text/flexfec"),
			Mime::TextFwdred => write!(f, "text/fwdred"),
			Mime::TextGff3 => write!(f, "text/gff3"),
			Mime::TextGrammarRefList => write!(f, "text/grammar-ref-list"),
			Mime::TextHl7v2 => write!(f, "text/hl7v2"),
			Mime::TextHtml => write!(f, "text/html"),
			Mime::TextJavascript => write!(f, "text/javascript"),
			Mime::TextJcrCnd => write!(f, "text/jcr-cnd"),
			Mime::TextMarkdown => write!(f, "text/markdown"),
			Mime::TextMizar => write!(f, "text/mizar"),
			Mime::TextN3 => write!(f, "text/n3"),
			Mime::TextParameters => write!(f, "text/parameters"),
			Mime::TextParityfec => write!(f, "text/parityfec"),
            Mime::TextPlain => write!(f, "text/plain"),
			Mime::TextProvenanceNotation => write!(f, "text/provenance-notation"),
			Mime::TextPrsFallensteinRst => write!(f, "text/prs.fallenstein.rst"),
			Mime::TextPrsLinesTag => write!(f, "text/prs.lines.tag"),
			Mime::TextPrsPropLogic => write!(f, "text/prs.prop.logic"),
			Mime::TextRaptorfec => write!(f, "text/raptorfec"),
			Mime::TextRed => write!(f, "text/RED"),
			Mime::TextRfc822Headers => write!(f, "text/rfc822-headers"),
			Mime::TextRtf => write!(f, "text/rtf"),
			Mime::TextRtpEncAescm128 => write!(f, "text/rtp-enc-aescm128"),
			Mime::TextRtploopback => write!(f, "text/rtploopback"),
			Mime::TextRtx => write!(f, "text/rtx"),
			Mime::TextSgml => write!(f, "text/SGML"),
			Mime::TextShaclc => write!(f, "text/shaclc"),
			Mime::TextShex => write!(f, "text/shex"),
			Mime::TextSpdx => write!(f, "text/spdx"),
			Mime::TextStrings => write!(f, "text/strings"),
			Mime::TextT140 => write!(f, "text/t140"),
			Mime::TextTabSeparatedValues => write!(f, "text/tab-separated-values"),
			Mime::TextTroff => write!(f, "text/troff"),
			Mime::TextTurtle => write!(f, "text/turtle"),
			Mime::TextUlpfec => write!(f, "text/ulpfec"),
			Mime::TextUriList => write!(f, "text/uri-list"),
			Mime::TextVcard => write!(f, "text/vcard"),
			Mime::TextVndA => write!(f, "text/vnd.a"),
			Mime::TextVndAbc => write!(f, "text/vnd.abc"),
			Mime::TextVndAsciiArt => write!(f, "text/vnd.ascii-art"),
			Mime::TextVndCurl => write!(f, "text/vnd.curl"),
			Mime::TextVndDebianCopyright => write!(f, "text/vnd.debian.copyright"),
			Mime::TextVndDmclientscript => write!(f, "text/vnd.DMClientScript"),
			Mime::TextVndDvbSubtitle => write!(f, "text/vnd.dvb.subtitle"),
			Mime::TextVndEsmertecThemeDescriptor => write!(f, "text/vnd.esmertec.theme-descriptor"),
			Mime::TextVndExchangeable => write!(f, "text/vnd.exchangeable"),
			Mime::TextVndFamilysearchGedcom => write!(f, "text/vnd.familysearch.gedcom"),
			Mime::TextVndFiclabFlt => write!(f, "text/vnd.ficlab.flt"),
			Mime::TextVndFly => write!(f, "text/vnd.fly"),
			Mime::TextVndFmiFlexstor => write!(f, "text/vnd.fmi.flexstor"),
			Mime::TextVndGml => write!(f, "text/vnd.gml"),
			Mime::TextVndGraphviz => write!(f, "text/vnd.graphviz"),
			Mime::TextVndHans => write!(f, "text/vnd.hans"),
			Mime::TextVndHgl => write!(f, "text/vnd.hgl"),
			Mime::TextVndIn3d3dml => write!(f, "text/vnd.in3d.3dml"),
			Mime::TextVndIn3dSpot => write!(f, "text/vnd.in3d.spot"),
			Mime::TextVndIptcNewsml => write!(f, "text/vnd.IPTC.NewsML"),
			Mime::TextVndIptcNitf => write!(f, "text/vnd.IPTC.NITF"),
			Mime::TextVndLatexZ => write!(f, "text/vnd.latex-z"),
			Mime::TextVndMotorolaReflex => write!(f, "text/vnd.motorola.reflex"),
			Mime::TextVndMsMediapackage => write!(f, "text/vnd.ms-mediapackage"),
			Mime::TextVndNet2phoneCommcenterCommand => write!(f, "text/vnd.net2phone.commcenter.command"),
			Mime::TextVndRadisysMsmlBasicLayout => write!(f, "text/vnd.radisys.msml-basic-layout"),
			Mime::TextVndSenxWarpscript => write!(f, "text/vnd.senx.warpscript"),
			Mime::TextVndSunJ2meAppDescriptor => write!(f, "text/vnd.sun.j2me.app-descriptor"),
			Mime::TextVndSosi => write!(f, "text/vnd.sosi"),
			Mime::TextVndTrolltechLinguist => write!(f, "text/vnd.trolltech.linguist"),
			Mime::TextVndWapSi => write!(f, "text/vnd.wap.si"),
			Mime::TextVndWapSl => write!(f, "text/vnd.wap.sl"),
			Mime::TextVndWapWml => write!(f, "text/vnd.wap.wml"),
			Mime::TextVndWapWmlscript => write!(f, "text/vnd.wap.wmlscript"),
			Mime::TextVtt => write!(f, "text/vtt"),
			Mime::TextWgsl => write!(f, "text/wgsl"),
			Mime::TextXml => write!(f, "text/xml"),
			Mime::TextXmlExternalParsedEntity => write!(f, "text/xml-external-parsed-entity"),
			Mime::Video1dInterleavedParityfec => write!(f, "video/1d-interleaved-parityfec"),
			Mime::Video3gpp => write!(f, "video/3gpp"),
			Mime::Video3gpp2 => write!(f, "video/3gpp2"),
			Mime::Video3gppTt => write!(f, "video/3gpp-tt"),
			Mime::VideoAv1 => write!(f, "video/AV1"),
			Mime::VideoBmpeg => write!(f, "video/BMPEG"),
			Mime::VideoBt656 => write!(f, "video/BT656"),
			Mime::VideoCelb => write!(f, "video/CelB"),
			Mime::VideoDv => write!(f, "video/DV"),
			Mime::VideoEncaprtp => write!(f, "video/encaprtp"),
			Mime::VideoExample => write!(f, "video/example"),
			Mime::VideoFfv1 => write!(f, "video/FFV1"),
			Mime::VideoFlexfec => write!(f, "video/flexfec"),
			Mime::VideoH261 => write!(f, "video/H261"),
			Mime::VideoH263 => write!(f, "video/H263"),
			Mime::VideoH2631998 => write!(f, "video/H263-1998"),
			Mime::VideoH2632000 => write!(f, "video/H263-2000"),
			Mime::VideoH264 => write!(f, "video/H264"),
			Mime::VideoH264Rcdo => write!(f, "video/H264-RCDO"),
			Mime::VideoH264Svc => write!(f, "video/H264-SVC"),
			Mime::VideoH265 => write!(f, "video/H265"),
			Mime::VideoH266 => write!(f, "video/H266"),
			Mime::VideoIsoSegment => write!(f, "video/iso.segment"),
			Mime::VideoJpeg => write!(f, "video/JPEG"),
			Mime::VideoJpeg2000 => write!(f, "video/jpeg2000"),
			Mime::VideoJxsv => write!(f, "video/jxsv"),
			Mime::VideoMj2 => write!(f, "video/mj2"),
			Mime::VideoMp1s => write!(f, "video/MP1S"),
			Mime::VideoMp2p => write!(f, "video/MP2P"),
			Mime::VideoMp2t => write!(f, "video/MP2T"),
			Mime::VideoMp4 => write!(f, "video/mp4"),
			Mime::VideoMp4vEs => write!(f, "video/MP4V-ES"),
			Mime::VideoMpv => write!(f, "video/MPV"),
			Mime::VideoMpeg4Generic => write!(f, "video/mpeg4-generic"),
			Mime::VideoNv => write!(f, "video/nv"),
			Mime::VideoOgg => write!(f, "video/ogg"),
			Mime::VideoParityfec => write!(f, "video/parityfec"),
			Mime::VideoPointer => write!(f, "video/pointer"),
			Mime::VideoQuicktime => write!(f, "video/quicktime"),
			Mime::VideoRaptorfec => write!(f, "video/raptorfec"),
			Mime::VideoRaw => write!(f, "video/raw"),
			Mime::VideoRtpEncAescm128 => write!(f, "video/rtp-enc-aescm128"),
			Mime::VideoRtploopback => write!(f, "video/rtploopback"),
			Mime::VideoRtx => write!(f, "video/rtx"),
			Mime::VideoScip => write!(f, "video/scip"),
			Mime::VideoSmpte291 => write!(f, "video/smpte291"),
			Mime::VideoSmpte292m => write!(f, "video/SMPTE292M"),
			Mime::VideoUlpfec => write!(f, "video/ulpfec"),
			Mime::VideoVc1 => write!(f, "video/vc1"),
			Mime::VideoVc2 => write!(f, "video/vc2"),
			Mime::VideoVndCctv => write!(f, "video/vnd.CCTV"),
			Mime::VideoVndDeceHd => write!(f, "video/vnd.dece.hd"),
			Mime::VideoVndDeceMobile => write!(f, "video/vnd.dece.mobile"),
			Mime::VideoVndDeceMp4 => write!(f, "video/vnd.dece.mp4"),
			Mime::VideoVndDecePd => write!(f, "video/vnd.dece.pd"),
			Mime::VideoVndDeceSd => write!(f, "video/vnd.dece.sd"),
			Mime::VideoVndDeceVideo => write!(f, "video/vnd.dece.video"),
			Mime::VideoVndDirectvMpeg => write!(f, "video/vnd.directv.mpeg"),
			Mime::VideoVndDirectvMpegTts => write!(f, "video/vnd.directv.mpeg-tts"),
			Mime::VideoVndDlnaMpegTts => write!(f, "video/vnd.dlna.mpeg-tts"),
			Mime::VideoVndDvbFile => write!(f, "video/vnd.dvb.file"),
			Mime::VideoVndFvt => write!(f, "video/vnd.fvt"),
			Mime::VideoVndHnsVideo => write!(f, "video/vnd.hns.video"),
			Mime::VideoVndIptvforum1dparityfec1010 => write!(f, "video/vnd.iptvforum.1dparityfec-1010"),
			Mime::VideoVndIptvforum1dparityfec2005 => write!(f, "video/vnd.iptvforum.1dparityfec-2005"),
			Mime::VideoVndIptvforum2dparityfec1010 => write!(f, "video/vnd.iptvforum.2dparityfec-1010"),
			Mime::VideoVndIptvforum2dparityfec2005 => write!(f, "video/vnd.iptvforum.2dparityfec-2005"),
			Mime::VideoVndIptvforumTtsavc => write!(f, "video/vnd.iptvforum.ttsavc"),
			Mime::VideoVndIptvforumTtsmpeg2 => write!(f, "video/vnd.iptvforum.ttsmpeg2"),
			Mime::VideoVndMotorolaVideo => write!(f, "video/vnd.motorola.video"),
			Mime::VideoVndMotorolaVideop => write!(f, "video/vnd.motorola.videop"),
			Mime::VideoVndMpegurl => write!(f, "video/vnd.mpegurl"),
			Mime::VideoVndMsPlayreadyMediaPyv => write!(f, "video/vnd.ms-playready.media.pyv"),
			Mime::VideoVndNokiaInterleavedMultimedia => write!(f, "video/vnd.nokia.interleaved-multimedia"),
			Mime::VideoVndNokiaMp4vr => write!(f, "video/vnd.nokia.mp4vr"),
			Mime::VideoVndNokiaVideovoip => write!(f, "video/vnd.nokia.videovoip"),
			Mime::VideoVndObjectvideo => write!(f, "video/vnd.objectvideo"),
			Mime::VideoVndRadgamettoolsBink => write!(f, "video/vnd.radgamettools.bink"),
			Mime::VideoVndRadgamettoolsSmacker => write!(f, "video/vnd.radgamettools.smacker"),
			Mime::VideoVndSealedMpeg1 => write!(f, "video/vnd.sealed.mpeg1"),
			Mime::VideoVndSealedMpeg4 => write!(f, "video/vnd.sealed.mpeg4"),
			Mime::VideoVndSealedSwf => write!(f, "video/vnd.sealed.swf"),
			Mime::VideoVndSealedmediaSoftsealMov => write!(f, "video/vnd.sealedmedia.softseal.mov"),
			Mime::VideoVndUvvuMp4 => write!(f, "video/vnd.uvvu.mp4"),
			Mime::VideoVndYoutubeYt => write!(f, "video/vnd.youtube.yt"),
			Mime::VideoVndVivo => write!(f, "video/vnd.vivo"),
			Mime::VideoVp8 => write!(f, "video/VP8"),
			Mime::VideoVp9 => write!(f, "video/VP9"),
		}
    }
}

#[derive(Debug)]
pub struct ParseMimeError(i32);

impl std::fmt::Display for ParseMimeError {
    fn fmt(&self, f: &mut std::fmt::Formatter<'_>) -> std::fmt::Result {
        write!(f, "{:?}", self)
    }
}
impl std::error::Error for ParseMimeError {}

impl std::str::FromStr for Mime {
    type Err = ParseMimeError;

    fn from_str(s: &str) -> Result<Self, Self::Err> {
        let s = if let Some(str) = s.split_once(';') {
            str.0
        } else {
            s
        };
        match MIME_MAP.get(s).copied() {
            Some(mimetype) => Ok(mimetype),
            None => Err(ParseMimeError(1)),
        }
    }
}

impl Mime {
    /// Gets the mime type from filename, defaults to [Mime::TextPlain]
    pub fn from_filename(filename: &str) -> Self {
        match filename.split('.').last() {
            Some(v) => match v {
                "png" => Mime::ImagePng,
                "jpg" => Mime::ImageJpeg,
                "json" => Mime::ApplicationJson,
                "html" => Mime::TextHtml,
                "css" => Mime::TextCss,
                "svg" => Mime::ImageSvgXml,
                &_ => Mime::TextPlain,
            },
            None => Mime::TextPlain,
        }
    }
}

#[cfg(test)]
mod test {
    use crate::utils::mime::mime_enum::Mime;

    #[test]
    fn get_mime_test() {
        assert_eq!("text/plain".parse::<Mime>().unwrap(), Mime::TextPlain)
    }
}
